/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-3D.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _Qt3DAnimationAPI_H
#define _Qt3DAnimationAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_8_0
#define SIP_TIMELINE_Qt3D_6_8_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_Qt3DAnimation__QAbstractAnimation__AnimationType 0
#define sipName_Qt3DAnimation__QAbstractAnimation__AnimationType &sipStrings_Qt3DAnimation[0]
#define sipNameNr_49 49
#define sipName_49 &sipStrings_Qt3DAnimation[49]
#define sipNameNr_Qt3DAnimation__QKeyframeAnimation__RepeatMode 96
#define sipName_Qt3DAnimation__QKeyframeAnimation__RepeatMode &sipStrings_Qt3DAnimation[96]
#define sipNameNr_Qt3DAnimation__QAbstractClipAnimator__Loops 142
#define sipName_Qt3DAnimation__QAbstractClipAnimator__Loops &sipStrings_Qt3DAnimation[142]
#define sipNameNr_Qt3DAnimation__QAnimationClipLoader__Status 186
#define sipName_Qt3DAnimation__QAnimationClipLoader__Status &sipStrings_Qt3DAnimation[186]
#define sipNameNr_Qt3DAnimation__QKeyFrame__InterpolationType 230
#define sipName_Qt3DAnimation__QKeyFrame__InterpolationType &sipStrings_Qt3DAnimation[230]
#define sipNameNr_274 274
#define sipName_274 &sipStrings_Qt3DAnimation[274]
#define sipNameNr_Qt3DAnimation__QMorphingAnimation__Method 316
#define sipName_Qt3DAnimation__QMorphingAnimation__Method &sipStrings_Qt3DAnimation[316]
#define sipNameNr_358 358
#define sipName_358 &sipStrings_Qt3DAnimation[358]
#define sipNameNr_Qt3DAnimation__QAbstractChannelMapping 397
#define sipName_Qt3DAnimation__QAbstractChannelMapping &sipStrings_Qt3DAnimation[397]
#define sipNameNr_Qt3DAnimation__QAbstractAnimationClip 436
#define sipName_Qt3DAnimation__QAbstractAnimationClip &sipStrings_Qt3DAnimation[436]
#define sipNameNr_Qt3DAnimation__QAbstractClipBlendNode 474
#define sipName_Qt3DAnimation__QAbstractClipBlendNode &sipStrings_Qt3DAnimation[474]
#define sipNameNr_Qt3DAnimation__QAbstractClipAnimator 512
#define sipName_Qt3DAnimation__QAbstractClipAnimator &sipStrings_Qt3DAnimation[512]
#define sipNameNr_Qt3DAnimation__QVertexBlendAnimation 549
#define sipName_Qt3DAnimation__QVertexBlendAnimation &sipStrings_Qt3DAnimation[549]
#define sipNameNr_586 586
#define sipName_586 &sipStrings_Qt3DAnimation[586]
#define sipNameNr_Qt3DAnimation__QAnimationClipLoader 622
#define sipName_Qt3DAnimation__QAnimationClipLoader &sipStrings_Qt3DAnimation[622]
#define sipNameNr_Qt3DAnimation__QAnimationController 658
#define sipName_Qt3DAnimation__QAnimationController &sipStrings_Qt3DAnimation[658]
#define sipNameNr_Qt3DAnimation__QBlendedClipAnimator 694
#define sipName_Qt3DAnimation__QBlendedClipAnimator &sipStrings_Qt3DAnimation[694]
#define sipNameNr_Qt3DAnimation__QAbstractAnimation 730
#define sipName_Qt3DAnimation__QAbstractAnimation &sipStrings_Qt3DAnimation[730]
#define sipNameNr_Qt3DAnimation__QAdditiveClipBlend 764
#define sipName_Qt3DAnimation__QAdditiveClipBlend &sipStrings_Qt3DAnimation[764]
#define sipNameNr_Qt3DAnimation__QAnimationClipData 798
#define sipName_Qt3DAnimation__QAnimationClipData &sipStrings_Qt3DAnimation[798]
#define sipNameNr_Qt3DAnimation__QKeyframeAnimation 832
#define sipName_Qt3DAnimation__QKeyframeAnimation &sipStrings_Qt3DAnimation[832]
#define sipNameNr_Qt3DAnimation__QMorphingAnimation 866
#define sipName_Qt3DAnimation__QMorphingAnimation &sipStrings_Qt3DAnimation[866]
#define sipNameNr_Qt3DAnimation__QChannelComponent 900
#define sipName_Qt3DAnimation__QChannelComponent &sipStrings_Qt3DAnimation[900]
#define sipNameNr_Qt3DAnimation__QAnimationAspect 933
#define sipName_Qt3DAnimation__QAnimationAspect &sipStrings_Qt3DAnimation[933]
#define sipNameNr_Qt3DAnimation__QSkeletonMapping 965
#define sipName_Qt3DAnimation__QSkeletonMapping &sipStrings_Qt3DAnimation[965]
#define sipNameNr_Qt3DAnimation__QAnimationGroup 997
#define sipName_Qt3DAnimation__QAnimationGroup &sipStrings_Qt3DAnimation[997]
#define sipNameNr_Qt3DAnimation__QChannelMapping 1028
#define sipName_Qt3DAnimation__QChannelMapping &sipStrings_Qt3DAnimation[1028]
#define sipNameNr_Qt3DAnimation__QClipBlendValue 1059
#define sipName_Qt3DAnimation__QClipBlendValue &sipStrings_Qt3DAnimation[1059]
#define sipNameNr_Qt3DAnimation__QAnimationClip 1090
#define sipName_Qt3DAnimation__QAnimationClip &sipStrings_Qt3DAnimation[1090]
#define sipNameNr_Qt3DAnimation__QChannelMapper 1120
#define sipName_Qt3DAnimation__QChannelMapper &sipStrings_Qt3DAnimation[1120]
#define sipNameNr_Qt3DAnimation__QLerpClipBlend 1150
#define sipName_Qt3DAnimation__QLerpClipBlend &sipStrings_Qt3DAnimation[1150]
#define sipNameNr_1180 1180
#define sipName_1180 &sipStrings_Qt3DAnimation[1180]
#define sipNameNr_Qt3DAnimation__QClipAnimator 1209
#define sipName_Qt3DAnimation__QClipAnimator &sipStrings_Qt3DAnimation[1209]
#define sipNameNr_Qt3DAnimation__QMorphTarget 1238
#define sipName_Qt3DAnimation__QMorphTarget &sipStrings_Qt3DAnimation[1238]
#define sipNameNr_activeAnimationGroupChanged 1266
#define sipName_activeAnimationGroupChanged &sipStrings_Qt3DAnimation[1266]
#define sipNameNr_Qt3DAnimation__QKeyFrame 1294
#define sipName_Qt3DAnimation__QKeyFrame &sipStrings_Qt3DAnimation[1294]
#define sipNameNr_PyQt6_sip_simplewrapper 1319
#define sipName_PyQt6_sip_simplewrapper &sipStrings_Qt3DAnimation[1319]
#define sipNameNr_QAbstractChannelMapping 412
#define sipName_QAbstractChannelMapping &sipStrings_Qt3DAnimation[412]
#define sipNameNr_Qt3DAnimation__QChannel 1343
#define sipName_Qt3DAnimation__QChannel &sipStrings_Qt3DAnimation[1343]
#define sipNameNr_setActiveAnimationGroup 1367
#define sipName_setActiveAnimationGroup &sipStrings_Qt3DAnimation[1367]
#define sipNameNr_QAbstractAnimationClip 451
#define sipName_QAbstractAnimationClip &sipStrings_Qt3DAnimation[451]
#define sipNameNr_QAbstractClipBlendNode 489
#define sipName_QAbstractClipBlendNode &sipStrings_Qt3DAnimation[489]
#define sipNameNr_appendChannelComponent 1391
#define sipName_appendChannelComponent &sipStrings_Qt3DAnimation[1391]
#define sipNameNr_clearChannelComponents 1414
#define sipName_clearChannelComponents &sipStrings_Qt3DAnimation[1414]
#define sipNameNr_insertChannelComponent 1437
#define sipName_insertChannelComponent &sipStrings_Qt3DAnimation[1437]
#define sipNameNr_removeChannelComponent 1460
#define sipName_removeChannelComponent &sipStrings_Qt3DAnimation[1460]
#define sipNameNr_targetPositionsChanged 1483
#define sipName_targetPositionsChanged &sipStrings_Qt3DAnimation[1483]
#define sipNameNr_ConstantInterpolation 1506
#define sipName_ConstantInterpolation &sipStrings_Qt3DAnimation[1506]
#define sipNameNr_QAbstractClipAnimator 527
#define sipName_QAbstractClipAnimator &sipStrings_Qt3DAnimation[527]
#define sipNameNr_QVertexBlendAnimation 564
#define sipName_QVertexBlendAnimation &sipStrings_Qt3DAnimation[564]
#define sipNameNr_Qt3DAnimation__QClock 1528
#define sipName_Qt3DAnimation__QClock &sipStrings_Qt3DAnimation[1528]
#define sipNameNr_additiveFactorChanged 1550
#define sipName_additiveFactorChanged &sipStrings_Qt3DAnimation[1550]
#define sipNameNr_attributeNamesChanged 1572
#define sipName_attributeNamesChanged &sipStrings_Qt3DAnimation[1572]
#define sipNameNr_channelComponentCount 1594
#define sipName_channelComponentCount &sipStrings_Qt3DAnimation[1594]
#define sipNameNr_framePositionsChanged 1616
#define sipName_framePositionsChanged &sipStrings_Qt3DAnimation[1616]
#define sipNameNr_normalizedTimeChanged 1638
#define sipName_normalizedTimeChanged &sipStrings_Qt3DAnimation[1638]
#define sipNameNr_positionOffsetChanged 1660
#define sipName_positionOffsetChanged &sipStrings_Qt3DAnimation[1660]
#define sipNameNr_QAnimationClipLoader 637
#define sipName_QAnimationClipLoader &sipStrings_Qt3DAnimation[637]
#define sipNameNr_QAnimationController 673
#define sipName_QAnimationController &sipStrings_Qt3DAnimation[673]
#define sipNameNr_QBlendedClipAnimator 709
#define sipName_QBlendedClipAnimator &sipStrings_Qt3DAnimation[709]
#define sipNameNr_VertexBlendAnimation 565
#define sipName_VertexBlendAnimation &sipStrings_Qt3DAnimation[565]
#define sipNameNr_activeAnimationGroup 1682
#define sipName_activeAnimationGroup &sipStrings_Qt3DAnimation[1682]
#define sipNameNr_animationNameChanged 1703
#define sipName_animationNameChanged &sipStrings_Qt3DAnimation[1703]
#define sipNameNr_channelMapperChanged 1724
#define sipName_channelMapperChanged &sipStrings_Qt3DAnimation[1724]
#define sipNameNr_positionScaleChanged 1745
#define sipName_positionScaleChanged &sipStrings_Qt3DAnimation[1745]
#define sipNameNr_removeAnimationGroup 1766
#define sipName_removeAnimationGroup &sipStrings_Qt3DAnimation[1766]
#define sipNameNr_setInterpolationType 1787
#define sipName_setInterpolationType &sipStrings_Qt3DAnimation[1787]
#define sipNameNr_setRightControlPoint 1808
#define sipName_setRightControlPoint &sipStrings_Qt3DAnimation[1808]
#define sipNameNr_BezierInterpolation 1829
#define sipName_BezierInterpolation &sipStrings_Qt3DAnimation[1829]
#define sipNameNr_LinearInterpolation 1849
#define sipName_LinearInterpolation &sipStrings_Qt3DAnimation[1849]
#define sipNameNr_PyQt6_Qt3DAnimation 1869
#define sipName_PyQt6_Qt3DAnimation &sipStrings_Qt3DAnimation[1869]
#define sipNameNr_additiveClipChanged 1889
#define sipName_additiveClipChanged &sipStrings_Qt3DAnimation[1889]
#define sipNameNr_interpolatorChanged 1909
#define sipName_interpolatorChanged &sipStrings_Qt3DAnimation[1909]
#define sipNameNr_playbackRateChanged 1929
#define sipName_playbackRateChanged &sipStrings_Qt3DAnimation[1929]
#define sipNameNr_setLeftControlPoint 1949
#define sipName_setLeftControlPoint &sipStrings_Qt3DAnimation[1949]
#define sipNameNr_QAbstractAnimation 745
#define sipName_QAbstractAnimation &sipStrings_Qt3DAnimation[745]
#define sipNameNr_QAdditiveClipBlend 779
#define sipName_QAdditiveClipBlend &sipStrings_Qt3DAnimation[779]
#define sipNameNr_QAnimationClipData 813
#define sipName_QAnimationClipData &sipStrings_Qt3DAnimation[813]
#define sipNameNr_QKeyframeAnimation 847
#define sipName_QKeyframeAnimation &sipStrings_Qt3DAnimation[847]
#define sipNameNr_QMorphingAnimation 881
#define sipName_QMorphingAnimation &sipStrings_Qt3DAnimation[881]
#define sipNameNr_animationGroupList 1969
#define sipName_animationGroupList &sipStrings_Qt3DAnimation[1969]
#define sipNameNr_blendFactorChanged 1988
#define sipName_blendFactorChanged &sipStrings_Qt3DAnimation[1988]
#define sipNameNr_channelNameChanged 2007
#define sipName_channelNameChanged &sipStrings_Qt3DAnimation[2007]
#define sipNameNr_setAnimationGroups 2026
#define sipName_setAnimationGroups &sipStrings_Qt3DAnimation[2026]
#define sipNameNr_setTargetPositions 2045
#define sipName_setTargetPositions &sipStrings_Qt3DAnimation[2045]
#define sipNameNr_InterpolationType 256
#define sipName_InterpolationType &sipStrings_Qt3DAnimation[256]
#define sipNameNr_KeyframeAnimation 848
#define sipName_KeyframeAnimation &sipStrings_Qt3DAnimation[848]
#define sipNameNr_MorphingAnimation 882
#define sipName_MorphingAnimation &sipStrings_Qt3DAnimation[882]
#define sipNameNr_QChannelComponent 915
#define sipName_QChannelComponent &sipStrings_Qt3DAnimation[915]
#define sipNameNr_addAnimationGroup 2064
#define sipName_addAnimationGroup &sipStrings_Qt3DAnimation[2064]
#define sipNameNr_getAnimationIndex 2082
#define sipName_getAnimationIndex &sipStrings_Qt3DAnimation[2082]
#define sipNameNr_interpolationType 2100
#define sipName_interpolationType &sipStrings_Qt3DAnimation[2100]
#define sipNameNr_removeMorphTarget 2118
#define sipName_removeMorphTarget &sipStrings_Qt3DAnimation[2118]
#define sipNameNr_rightControlPoint 2136
#define sipName_rightControlPoint &sipStrings_Qt3DAnimation[2136]
#define sipNameNr_setAdditiveFactor 2154
#define sipName_setAdditiveFactor &sipStrings_Qt3DAnimation[2154]
#define sipNameNr_setFramePositions 2172
#define sipName_setFramePositions &sipStrings_Qt3DAnimation[2172]
#define sipNameNr_setNormalizedTime 2190
#define sipName_setNormalizedTime &sipStrings_Qt3DAnimation[2190]
#define sipNameNr_setPositionOffset 2208
#define sipName_setPositionOffset &sipStrings_Qt3DAnimation[2208]
#define sipNameNr_targetNameChanged 2226
#define sipName_targetNameChanged &sipStrings_Qt3DAnimation[2226]
#define sipNameNr_QAnimationAspect 948
#define sipName_QAnimationAspect &sipStrings_Qt3DAnimation[948]
#define sipNameNr_QSkeletonMapping 980
#define sipName_QSkeletonMapping &sipStrings_Qt3DAnimation[980]
#define sipNameNr_blendTreeChanged 2244
#define sipName_blendTreeChanged &sipStrings_Qt3DAnimation[2244]
#define sipNameNr_disconnectNotify 2261
#define sipName_disconnectNotify &sipStrings_Qt3DAnimation[2261]
#define sipNameNr_leftControlPoint 2278
#define sipName_leftControlPoint &sipStrings_Qt3DAnimation[2278]
#define sipNameNr_loopCountChanged 2295
#define sipName_loopCountChanged &sipStrings_Qt3DAnimation[2295]
#define sipNameNr_recursiveChanged 2312
#define sipName_recursiveChanged &sipStrings_Qt3DAnimation[2312]
#define sipNameNr_setAnimationName 2329
#define sipName_setAnimationName &sipStrings_Qt3DAnimation[2329]
#define sipNameNr_setChannelMapper 2346
#define sipName_setChannelMapper &sipStrings_Qt3DAnimation[2346]
#define sipNameNr_setPositionScale 2363
#define sipName_setPositionScale &sipStrings_Qt3DAnimation[2363]
#define sipNameNr_startClipChanged 2380
#define sipName_startClipChanged &sipStrings_Qt3DAnimation[2380]
#define sipNameNr_startModeChanged 2397
#define sipName_startModeChanged &sipStrings_Qt3DAnimation[2397]
#define sipNameNr_QAnimationGroup 1012
#define sipName_QAnimationGroup &sipStrings_Qt3DAnimation[1012]
#define sipNameNr_QChannelMapping 1043
#define sipName_QChannelMapping &sipStrings_Qt3DAnimation[1043]
#define sipNameNr_QClipBlendValue 1074
#define sipName_QClipBlendValue &sipStrings_Qt3DAnimation[1074]
#define sipNameNr_baseClipChanged 2414
#define sipName_baseClipChanged &sipStrings_Qt3DAnimation[2414]
#define sipNameNr_clipDataChanged 2430
#define sipName_clipDataChanged &sipStrings_Qt3DAnimation[2430]
#define sipNameNr_durationChanged 2446
#define sipName_durationChanged &sipStrings_Qt3DAnimation[2446]
#define sipNameNr_morphTargetList 2462
#define sipName_morphTargetList &sipStrings_Qt3DAnimation[2462]
#define sipNameNr_positionChanged 2478
#define sipName_positionChanged &sipStrings_Qt3DAnimation[2478]
#define sipNameNr_propertyChanged 2494
#define sipName_propertyChanged &sipStrings_Qt3DAnimation[2494]
#define sipNameNr_removeAnimation 2510
#define sipName_removeAnimation &sipStrings_Qt3DAnimation[2510]
#define sipNameNr_removeAttribute 2526
#define sipName_removeAttribute &sipStrings_Qt3DAnimation[2526]
#define sipNameNr_setAdditiveClip 2542
#define sipName_setAdditiveClip &sipStrings_Qt3DAnimation[2542]
#define sipNameNr_setMorphTargets 2558
#define sipName_setMorphTargets &sipStrings_Qt3DAnimation[2558]
#define sipNameNr_setPlaybackRate 2574
#define sipName_setPlaybackRate &sipStrings_Qt3DAnimation[2574]
#define sipNameNr_skeletonChanged 2590
#define sipName_skeletonChanged &sipStrings_Qt3DAnimation[2590]
#define sipNameNr_targetPositions 2606
#define sipName_targetPositions &sipStrings_Qt3DAnimation[2606]
#define sipNameNr_QAnimationClip 1105
#define sipName_QAnimationClip &sipStrings_Qt3DAnimation[1105]
#define sipNameNr_QChannelMapper 1135
#define sipName_QChannelMapper &sipStrings_Qt3DAnimation[1135]
#define sipNameNr_QLerpClipBlend 1165
#define sipName_QLerpClipBlend &sipStrings_Qt3DAnimation[1165]
#define sipNameNr_addMorphTarget 2622
#define sipName_addMorphTarget &sipStrings_Qt3DAnimation[2622]
#define sipNameNr_additiveFactor 2637
#define sipName_additiveFactor &sipStrings_Qt3DAnimation[2637]
#define sipNameNr_appendKeyFrame 2652
#define sipName_appendKeyFrame &sipStrings_Qt3DAnimation[2652]
#define sipNameNr_attributeNames 2667
#define sipName_attributeNames &sipStrings_Qt3DAnimation[2667]
#define sipNameNr_clearKeyFrames 2682
#define sipName_clearKeyFrames &sipStrings_Qt3DAnimation[2682]
#define sipNameNr_endClipChanged 2697
#define sipName_endClipChanged &sipStrings_Qt3DAnimation[2697]
#define sipNameNr_endModeChanged 2712
#define sipName_endModeChanged &sipStrings_Qt3DAnimation[2712]
#define sipNameNr_framePositions 2727
#define sipName_framePositions &sipStrings_Qt3DAnimation[2727]
#define sipNameNr_insertKeyFrame 2742
#define sipName_insertKeyFrame &sipStrings_Qt3DAnimation[2742]
#define sipNameNr_normalizedTime 2757
#define sipName_normalizedTime &sipStrings_Qt3DAnimation[2757]
#define sipNameNr_positionOffset 2772
#define sipName_positionOffset &sipStrings_Qt3DAnimation[2772]
#define sipNameNr_removeKeyFrame 2787
#define sipName_removeKeyFrame &sipStrings_Qt3DAnimation[2787]
#define sipNameNr_removeKeyframe 2802
#define sipName_removeKeyframe &sipStrings_Qt3DAnimation[2802]
#define sipNameNr_runningChanged 2817
#define sipName_runningChanged &sipStrings_Qt3DAnimation[2817]
#define sipNameNr_setBlendFactor 2832
#define sipName_setBlendFactor &sipStrings_Qt3DAnimation[2832]
#define sipNameNr_setChannelName 2847
#define sipName_setChannelName &sipStrings_Qt3DAnimation[2847]
#define sipNameNr_setCoordinates 2862
#define sipName_setCoordinates &sipStrings_Qt3DAnimation[2862]
#define sipNameNr_AnimationType 35
#define sipName_AnimationType &sipStrings_Qt3DAnimation[35]
#define sipNameNr_QClipAnimator 1224
#define sipName_QClipAnimator &sipStrings_Qt3DAnimation[1224]
#define sipNameNr_Qt3DAnimation 1875
#define sipName_Qt3DAnimation &sipStrings_Qt3DAnimation[1875]
#define sipNameNr_animationList 2877
#define sipName_animationList &sipStrings_Qt3DAnimation[2877]
#define sipNameNr_animationName 2891
#define sipName_animationName &sipStrings_Qt3DAnimation[2891]
#define sipNameNr_animationType 2905
#define sipName_animationType &sipStrings_Qt3DAnimation[2905]
#define sipNameNr_appendChannel 2919
#define sipName_appendChannel &sipStrings_Qt3DAnimation[2919]
#define sipNameNr_attributeList 2933
#define sipName_attributeList &sipStrings_Qt3DAnimation[2933]
#define sipNameNr_channelMapper 2947
#define sipName_channelMapper &sipStrings_Qt3DAnimation[2947]
#define sipNameNr_clearChannels 2961
#define sipName_clearChannels &sipStrings_Qt3DAnimation[2961]
#define sipNameNr_connectNotify 2264
#define sipName_connectNotify &sipStrings_Qt3DAnimation[2264]
#define sipNameNr_easingChanged 2975
#define sipName_easingChanged &sipStrings_Qt3DAnimation[2975]
#define sipNameNr_entityChanged 2989
#define sipName_entityChanged &sipStrings_Qt3DAnimation[2989]
#define sipNameNr_insertChannel 3003
#define sipName_insertChannel &sipStrings_Qt3DAnimation[3003]
#define sipNameNr_keyFrameCount 3017
#define sipName_keyFrameCount &sipStrings_Qt3DAnimation[3017]
#define sipNameNr_methodChanged 3031
#define sipName_methodChanged &sipStrings_Qt3DAnimation[3031]
#define sipNameNr_positionScale 3045
#define sipName_positionScale &sipStrings_Qt3DAnimation[3045]
#define sipNameNr_removeChannel 3059
#define sipName_removeChannel &sipStrings_Qt3DAnimation[3059]
#define sipNameNr_removeMapping 3073
#define sipName_removeMapping &sipStrings_Qt3DAnimation[3073]
#define sipNameNr_setAnimations 3087
#define sipName_setAnimations &sipStrings_Qt3DAnimation[3087]
#define sipNameNr_setAttributes 3101
#define sipName_setAttributes &sipStrings_Qt3DAnimation[3101]
#define sipNameNr_setJointIndex 3115
#define sipName_setJointIndex &sipStrings_Qt3DAnimation[3115]
#define sipNameNr_setTargetName 3129
#define sipName_setTargetName &sipStrings_Qt3DAnimation[3129]
#define sipNameNr_sourceChanged 3143
#define sipName_sourceChanged &sipStrings_Qt3DAnimation[3143]
#define sipNameNr_statusChanged 3157
#define sipName_statusChanged &sipStrings_Qt3DAnimation[3157]
#define sipNameNr_targetChanged 3171
#define sipName_targetChanged &sipStrings_Qt3DAnimation[3171]
#define sipNameNr_QMorphTarget 1253
#define sipName_QMorphTarget &sipStrings_Qt3DAnimation[1253]
#define sipNameNr_addAnimation 3185
#define sipName_addAnimation &sipStrings_Qt3DAnimation[3185]
#define sipNameNr_addAttribute 3198
#define sipName_addAttribute &sipStrings_Qt3DAnimation[3198]
#define sipNameNr_additiveClip 3211
#define sipName_additiveClip &sipStrings_Qt3DAnimation[3211]
#define sipNameNr_channelCount 3224
#define sipName_channelCount &sipStrings_Qt3DAnimation[3224]
#define sipNameNr_clockChanged 3237
#define sipName_clockChanged &sipStrings_Qt3DAnimation[3237]
#define sipNameNr_fromGeometry 3250
#define sipName_fromGeometry &sipStrings_Qt3DAnimation[3250]
#define sipNameNr_interpolator 3263
#define sipName_interpolator &sipStrings_Qt3DAnimation[3263]
#define sipNameNr_keyframeList 3276
#define sipName_keyframeList &sipStrings_Qt3DAnimation[3276]
#define sipNameNr_playbackRate 3289
#define sipName_playbackRate &sipStrings_Qt3DAnimation[3289]
#define sipNameNr_setBlendTree 3302
#define sipName_setBlendTree &sipStrings_Qt3DAnimation[3302]
#define sipNameNr_setKeyframes 3315
#define sipName_setKeyframes &sipStrings_Qt3DAnimation[3315]
#define sipNameNr_setLoopCount 3328
#define sipName_setLoopCount &sipStrings_Qt3DAnimation[3328]
#define sipNameNr_setRecursive 3341
#define sipName_setRecursive &sipStrings_Qt3DAnimation[3341]
#define sipNameNr_setStartClip 3354
#define sipName_setStartClip &sipStrings_Qt3DAnimation[3354]
#define sipNameNr_setStartMode 3367
#define sipName_setStartMode &sipStrings_Qt3DAnimation[3367]
#define sipNameNr_addKeyframe 3380
#define sipName_addKeyframe &sipStrings_Qt3DAnimation[3380]
#define sipNameNr_blendFactor 3392
#define sipName_blendFactor &sipStrings_Qt3DAnimation[3392]
#define sipNameNr_channelName 3404
#define sipName_channelName &sipStrings_Qt3DAnimation[3404]
#define sipNameNr_clipChanged 3416
#define sipName_clipChanged &sipStrings_Qt3DAnimation[3416]
#define sipNameNr_coordinates 3428
#define sipName_coordinates &sipStrings_Qt3DAnimation[3428]
#define sipNameNr_customEvent 3440
#define sipName_customEvent &sipStrings_Qt3DAnimation[3440]
#define sipNameNr_eventFilter 3452
#define sipName_eventFilter &sipStrings_Qt3DAnimation[3452]
#define sipNameNr_nameChanged 3464
#define sipName_nameChanged &sipStrings_Qt3DAnimation[3464]
#define sipNameNr_setBaseClip 3476
#define sipName_setBaseClip &sipStrings_Qt3DAnimation[3476]
#define sipNameNr_setClipData 3488
#define sipName_setClipData &sipStrings_Qt3DAnimation[3488]
#define sipNameNr_setDuration 3500
#define sipName_setDuration &sipStrings_Qt3DAnimation[3500]
#define sipNameNr_setPosition 3512
#define sipName_setPosition &sipStrings_Qt3DAnimation[3512]
#define sipNameNr_setProperty 3524
#define sipName_setProperty &sipStrings_Qt3DAnimation[3524]
#define sipNameNr_setSkeleton 3536
#define sipName_setSkeleton &sipStrings_Qt3DAnimation[3536]
#define sipNameNr_Normalized 3548
#define sipName_Normalized &sipStrings_Qt3DAnimation[3548]
#define sipNameNr_RepeatMode 131
#define sipName_RepeatMode &sipStrings_Qt3DAnimation[131]
#define sipNameNr_addMapping 3559
#define sipName_addMapping &sipStrings_Qt3DAnimation[3559]
#define sipNameNr_childEvent 3570
#define sipName_childEvent &sipStrings_Qt3DAnimation[3570]
#define sipNameNr_getWeights 3581
#define sipName_getWeights &sipStrings_Qt3DAnimation[3581]
#define sipNameNr_jointIndex 3592
#define sipName_jointIndex &sipStrings_Qt3DAnimation[3592]
#define sipNameNr_setEndClip 3603
#define sipName_setEndClip &sipStrings_Qt3DAnimation[3603]
#define sipNameNr_setEndMode 3614
#define sipName_setEndMode &sipStrings_Qt3DAnimation[3614]
#define sipNameNr_setRunning 3625
#define sipName_setRunning &sipStrings_Qt3DAnimation[3625]
#define sipNameNr_setWeights 3636
#define sipName_setWeights &sipStrings_Qt3DAnimation[3636]
#define sipNameNr_targetName 3647
#define sipName_targetName &sipStrings_Qt3DAnimation[3647]
#define sipNameNr_timerEvent 3658
#define sipName_timerEvent &sipStrings_Qt3DAnimation[3658]
#define sipNameNr_QKeyFrame 1309
#define sipName_QKeyFrame &sipStrings_Qt3DAnimation[1309]
#define sipNameNr_blendTree 3669
#define sipName_blendTree &sipStrings_Qt3DAnimation[3669]
#define sipNameNr_isRunning 3679
#define sipName_isRunning &sipStrings_Qt3DAnimation[3679]
#define sipNameNr_loopCount 3689
#define sipName_loopCount &sipStrings_Qt3DAnimation[3689]
#define sipNameNr_recursive 3699
#define sipName_recursive &sipStrings_Qt3DAnimation[3699]
#define sipNameNr_setEasing 3709
#define sipName_setEasing &sipStrings_Qt3DAnimation[3709]
#define sipNameNr_setEntity 3719
#define sipName_setEntity &sipStrings_Qt3DAnimation[3719]
#define sipNameNr_setMethod 3729
#define sipName_setMethod &sipStrings_Qt3DAnimation[3729]
#define sipNameNr_setSource 3739
#define sipName_setSource &sipStrings_Qt3DAnimation[3739]
#define sipNameNr_setTarget 3749
#define sipName_setTarget &sipStrings_Qt3DAnimation[3749]
#define sipNameNr_startClip 3759
#define sipName_startClip &sipStrings_Qt3DAnimation[3759]
#define sipNameNr_startMode 3769
#define sipName_startMode &sipStrings_Qt3DAnimation[3769]
#define sipNameNr_Constant 3779
#define sipName_Constant &sipStrings_Qt3DAnimation[3779]
#define sipNameNr_Infinite 3788
#define sipName_Infinite &sipStrings_Qt3DAnimation[3788]
#define sipNameNr_NotReady 3797
#define sipName_NotReady &sipStrings_Qt3DAnimation[3797]
#define sipNameNr_QChannel 1358
#define sipName_QChannel &sipStrings_Qt3DAnimation[1358]
#define sipNameNr_Relative 3806
#define sipName_Relative &sipStrings_Qt3DAnimation[3806]
#define sipNameNr_baseClip 3815
#define sipName_baseClip &sipStrings_Qt3DAnimation[3815]
#define sipNameNr_clipData 3824
#define sipName_clipData &sipStrings_Qt3DAnimation[3824]
#define sipNameNr_duration 3833
#define sipName_duration &sipStrings_Qt3DAnimation[3833]
#define sipNameNr_getGroup 3842
#define sipName_getGroup &sipStrings_Qt3DAnimation[3842]
#define sipNameNr_mappings 3851
#define sipName_mappings &sipStrings_Qt3DAnimation[3851]
#define sipNameNr_position 3860
#define sipName_position &sipStrings_Qt3DAnimation[3860]
#define sipNameNr_property 3869
#define sipName_property &sipStrings_Qt3DAnimation[3869]
#define sipNameNr_setClock 3878
#define sipName_setClock &sipStrings_Qt3DAnimation[3878]
#define sipNameNr_skeleton 3887
#define sipName_skeleton &sipStrings_Qt3DAnimation[3887]
#define sipNameNr_endClip 3896
#define sipName_endClip &sipStrings_Qt3DAnimation[3896]
#define sipNameNr_endMode 3904
#define sipName_endMode &sipStrings_Qt3DAnimation[3904]
#define sipNameNr_isValid 3912
#define sipName_isValid &sipStrings_Qt3DAnimation[3912]
#define sipNameNr_setClip 3920
#define sipName_setClip &sipStrings_Qt3DAnimation[3920]
#define sipNameNr_setName 3928
#define sipName_setName &sipStrings_Qt3DAnimation[3928]
#define sipNameNr_Method 351
#define sipName_Method &sipStrings_Qt3DAnimation[351]
#define sipNameNr_QClock 1543
#define sipName_QClock &sipStrings_Qt3DAnimation[1543]
#define sipNameNr_Repeat 3936
#define sipName_Repeat &sipStrings_Qt3DAnimation[3936]
#define sipNameNr_Status 223
#define sipName_Status &sipStrings_Qt3DAnimation[223]
#define sipNameNr___eq__ 3943
#define sipName___eq__ &sipStrings_Qt3DAnimation[3943]
#define sipNameNr___ne__ 3950
#define sipName___ne__ &sipStrings_Qt3DAnimation[3950]
#define sipNameNr_easing 3957
#define sipName_easing &sipStrings_Qt3DAnimation[3957]
#define sipNameNr_entity 3964
#define sipName_entity &sipStrings_Qt3DAnimation[3964]
#define sipNameNr_method 3971
#define sipName_method &sipStrings_Qt3DAnimation[3971]
#define sipNameNr_parent 3978
#define sipName_parent &sipStrings_Qt3DAnimation[3978]
#define sipNameNr_source 3985
#define sipName_source &sipStrings_Qt3DAnimation[3985]
#define sipNameNr_status 3992
#define sipName_status &sipStrings_Qt3DAnimation[3992]
#define sipNameNr_target 3999
#define sipName_target &sipStrings_Qt3DAnimation[3999]
#define sipNameNr_Error 4006
#define sipName_Error &sipStrings_Qt3DAnimation[4006]
#define sipNameNr_Loops 180
#define sipName_Loops &sipStrings_Qt3DAnimation[180]
#define sipNameNr_None_ 4012
#define sipName_None_ &sipStrings_Qt3DAnimation[4012]
#define sipNameNr_Ready 3800
#define sipName_Ready &sipStrings_Qt3DAnimation[3800]
#define sipNameNr_clock 4018
#define sipName_clock &sipStrings_Qt3DAnimation[4018]
#define sipNameNr_event 4024
#define sipName_event &sipStrings_Qt3DAnimation[4024]
#define sipNameNr_start 4030
#define sipName_start &sipStrings_Qt3DAnimation[4030]
#define sipNameNr_clip 4036
#define sipName_clip &sipStrings_Qt3DAnimation[4036]
#define sipNameNr_name 4041
#define sipName_name &sipStrings_Qt3DAnimation[4041]
#define sipNameNr_stop 4046
#define sipName_stop &sipStrings_Qt3DAnimation[4046]

#define sipMalloc                   sipAPI_Qt3DAnimation->api_malloc
#define sipFree                     sipAPI_Qt3DAnimation->api_free
#define sipBuildResult              sipAPI_Qt3DAnimation->api_build_result
#define sipCallMethod               sipAPI_Qt3DAnimation->api_call_method
#define sipCallProcedureMethod      sipAPI_Qt3DAnimation->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_Qt3DAnimation->api_call_error_handler
#define sipParseResultEx            sipAPI_Qt3DAnimation->api_parse_result_ex
#define sipParseResult              sipAPI_Qt3DAnimation->api_parse_result
#define sipParseArgs                sipAPI_Qt3DAnimation->api_parse_args
#define sipParseKwdArgs             sipAPI_Qt3DAnimation->api_parse_kwd_args
#define sipParsePair                sipAPI_Qt3DAnimation->api_parse_pair
#define sipInstanceDestroyed        sipAPI_Qt3DAnimation->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_Qt3DAnimation->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_Qt3DAnimation->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_Qt3DAnimation->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_Qt3DAnimation->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_Qt3DAnimation->api_convert_to_void_ptr
#define sipAddException             sipAPI_Qt3DAnimation->api_add_exception
#define sipNoFunction               sipAPI_Qt3DAnimation->api_no_function
#define sipNoMethod                 sipAPI_Qt3DAnimation->api_no_method
#define sipAbstractMethod           sipAPI_Qt3DAnimation->api_abstract_method
#define sipBadClass                 sipAPI_Qt3DAnimation->api_bad_class
#define sipBadCatcherResult         sipAPI_Qt3DAnimation->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_Qt3DAnimation->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_Qt3DAnimation->api_bad_operator_arg
#define sipTrace                    sipAPI_Qt3DAnimation->api_trace
#define sipTransferBack             sipAPI_Qt3DAnimation->api_transfer_back
#define sipTransferTo               sipAPI_Qt3DAnimation->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_Qt3DAnimation->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_Qt3DAnimation->api_wrapper_type
#define sipWrapperType_Type         sipAPI_Qt3DAnimation->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_Qt3DAnimation->api_voidptr_type
#define sipGetPyObject              sipAPI_Qt3DAnimation->api_get_pyobject
#define sipGetAddress               sipAPI_Qt3DAnimation->api_get_address
#define sipGetMixinAddress          sipAPI_Qt3DAnimation->api_get_mixin_address
#define sipGetCppPtr                sipAPI_Qt3DAnimation->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Qt3DAnimation->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_Qt3DAnimation->api_call_hook
#define sipEndThread                sipAPI_Qt3DAnimation->api_end_thread
#define sipRaiseUnknownException    sipAPI_Qt3DAnimation->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_Qt3DAnimation->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_Qt3DAnimation->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_Qt3DAnimation->api_add_type_instance
#define sipPySlotExtend             sipAPI_Qt3DAnimation->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_Qt3DAnimation->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_Qt3DAnimation->api_can_convert_to_type
#define sipConvertToType            sipAPI_Qt3DAnimation->api_convert_to_type
#define sipForceConvertToType       sipAPI_Qt3DAnimation->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_Qt3DAnimation->api_convert_to_enum
#define sipConvertToBool            sipAPI_Qt3DAnimation->api_convert_to_bool
#define sipReleaseType              sipAPI_Qt3DAnimation->api_release_type
#define sipConvertFromType          sipAPI_Qt3DAnimation->api_convert_from_type
#define sipConvertFromNewType       sipAPI_Qt3DAnimation->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_Qt3DAnimation->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_Qt3DAnimation->api_convert_from_enum
#define sipGetState                 sipAPI_Qt3DAnimation->api_get_state
#define sipExportSymbol             sipAPI_Qt3DAnimation->api_export_symbol
#define sipImportSymbol             sipAPI_Qt3DAnimation->api_import_symbol
#define sipFindType                 sipAPI_Qt3DAnimation->api_find_type
#define sipBytes_AsChar             sipAPI_Qt3DAnimation->api_bytes_as_char
#define sipBytes_AsString           sipAPI_Qt3DAnimation->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_Qt3DAnimation->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_Qt3DAnimation->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_Qt3DAnimation->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_Qt3DAnimation->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_Qt3DAnimation->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_Qt3DAnimation->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_Qt3DAnimation->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Qt3DAnimation->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Qt3DAnimation->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Qt3DAnimation->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Qt3DAnimation->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_Qt3DAnimation->api_get_reference
#define sipKeepReference            sipAPI_Qt3DAnimation->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_Qt3DAnimation->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_Qt3DAnimation->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_Qt3DAnimation->api_type_from_py_type_object
#define sipTypeScope                sipAPI_Qt3DAnimation->api_type_scope
#define sipResolveTypedef           sipAPI_Qt3DAnimation->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_Qt3DAnimation->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_Qt3DAnimation->api_enable_autoconversion
#define sipInitMixin                sipAPI_Qt3DAnimation->api_init_mixin
#define sipExportModule             sipAPI_Qt3DAnimation->api_export_module
#define sipInitModule               sipAPI_Qt3DAnimation->api_init_module
#define sipGetInterpreter           sipAPI_Qt3DAnimation->api_get_interpreter
#define sipSetTypeUserData          sipAPI_Qt3DAnimation->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_Qt3DAnimation->api_get_type_user_data
#define sipPyTypeDict               sipAPI_Qt3DAnimation->api_py_type_dict
#define sipPyTypeName               sipAPI_Qt3DAnimation->api_py_type_name
#define sipGetCFunction             sipAPI_Qt3DAnimation->api_get_c_function
#define sipGetMethod                sipAPI_Qt3DAnimation->api_get_method
#define sipFromMethod               sipAPI_Qt3DAnimation->api_from_method
#define sipGetDate                  sipAPI_Qt3DAnimation->api_get_date
#define sipFromDate                 sipAPI_Qt3DAnimation->api_from_date
#define sipGetDateTime              sipAPI_Qt3DAnimation->api_get_datetime
#define sipFromDateTime             sipAPI_Qt3DAnimation->api_from_datetime
#define sipGetTime                  sipAPI_Qt3DAnimation->api_get_time
#define sipFromTime                 sipAPI_Qt3DAnimation->api_from_time
#define sipIsUserType               sipAPI_Qt3DAnimation->api_is_user_type
#define sipCheckPluginForType       sipAPI_Qt3DAnimation->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_Qt3DAnimation->api_unicode_new
#define sipUnicodeWrite             sipAPI_Qt3DAnimation->api_unicode_write
#define sipUnicodeData              sipAPI_Qt3DAnimation->api_unicode_data
#define sipGetBufferInfo            sipAPI_Qt3DAnimation->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_Qt3DAnimation->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_Qt3DAnimation->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_Qt3DAnimation->api_is_derived_class
#define sipGetUserObject            sipAPI_Qt3DAnimation->api_get_user_object
#define sipSetUserObject            sipAPI_Qt3DAnimation->api_set_user_object
#define sipRegisterEventHandler     sipAPI_Qt3DAnimation->api_register_event_handler
#define sipConvertToArray           sipAPI_Qt3DAnimation->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_Qt3DAnimation->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_Qt3DAnimation->api_enable_gc
#define sipPrintObject              sipAPI_Qt3DAnimation->api_print_object
#define sipLong_AsChar              sipAPI_Qt3DAnimation->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_Qt3DAnimation->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_Qt3DAnimation->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_Qt3DAnimation->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_Qt3DAnimation->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_Qt3DAnimation->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_Qt3DAnimation->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_Qt3DAnimation->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_Qt3DAnimation->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_Qt3DAnimation->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_Qt3DAnimation->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_Qt3DAnimation->api_long_as_size_t
#define sipVisitWrappers            sipAPI_Qt3DAnimation->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_Qt3DAnimation->api_register_exit_notifier
#define sipDeprecated               sipAPI_Qt3DAnimation->api_deprecated
#define sipPyTypeDictRef            sipAPI_Qt3DAnimation->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_Qt3DAnimation->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_Qt3DAnimation->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_Qt3DAnimation->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_Qt3DAnimation->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_Qt3DAnimation->api_release_type_us
#define sipIsPyMethod               sipAPI_Qt3DAnimation->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_Qt3DAnimation[];


#define sipType_Qt3DAnimation_QAbstractAnimation sipExportedTypes_Qt3DAnimation[5]

#define sipType_Qt3DAnimation_QAbstractAnimation_AnimationType sipExportedTypes_Qt3DAnimation[6]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAbstractAnimation;

#define sipType_Qt3DAnimation_QAbstractAnimationClip sipExportedTypes_Qt3DAnimation[7]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAbstractAnimationClip;

#define sipType_Qt3DAnimation_QAbstractChannelMapping sipExportedTypes_Qt3DAnimation[8]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAbstractChannelMapping;

#define sipType_Qt3DAnimation_QAbstractClipAnimator sipExportedTypes_Qt3DAnimation[9]

#define sipType_Qt3DAnimation_QAbstractClipAnimator_Loops sipExportedTypes_Qt3DAnimation[10]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAbstractClipAnimator;

#define sipType_Qt3DAnimation_QAbstractClipBlendNode sipExportedTypes_Qt3DAnimation[11]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAbstractClipBlendNode;

#define sipType_Qt3DAnimation_QAdditiveClipBlend sipExportedTypes_Qt3DAnimation[12]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAdditiveClipBlend;

#define sipType_Qt3DAnimation_QAnimationAspect sipExportedTypes_Qt3DAnimation[13]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAnimationAspect;

#define sipType_Qt3DAnimation_QAnimationClip sipExportedTypes_Qt3DAnimation[14]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAnimationClip;

#define sipType_Qt3DAnimation_QAnimationClipData sipExportedTypes_Qt3DAnimation[15]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAnimationClipData;

#define sipType_Qt3DAnimation_QAnimationClipLoader sipExportedTypes_Qt3DAnimation[16]

#define sipType_Qt3DAnimation_QAnimationClipLoader_Status sipExportedTypes_Qt3DAnimation[17]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAnimationClipLoader;

#define sipType_Qt3DAnimation_QAnimationController sipExportedTypes_Qt3DAnimation[18]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAnimationController;

#define sipType_Qt3DAnimation_QAnimationGroup sipExportedTypes_Qt3DAnimation[19]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QAnimationGroup;

#define sipType_Qt3DAnimation_QBlendedClipAnimator sipExportedTypes_Qt3DAnimation[20]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QBlendedClipAnimator;

#define sipType_Qt3DAnimation_QChannel sipExportedTypes_Qt3DAnimation[21]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QChannel;

#define sipType_Qt3DAnimation_QChannelComponent sipExportedTypes_Qt3DAnimation[22]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QChannelComponent;

#define sipType_Qt3DAnimation_QChannelMapper sipExportedTypes_Qt3DAnimation[23]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QChannelMapper;

#define sipType_Qt3DAnimation_QChannelMapping sipExportedTypes_Qt3DAnimation[24]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QChannelMapping;

#define sipType_Qt3DAnimation_QClipAnimator sipExportedTypes_Qt3DAnimation[25]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QClipAnimator;

#define sipType_Qt3DAnimation_QClipBlendValue sipExportedTypes_Qt3DAnimation[26]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QClipBlendValue;

#define sipType_Qt3DAnimation_QClock sipExportedTypes_Qt3DAnimation[27]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QClock;

#define sipType_Qt3DAnimation_QKeyFrame sipExportedTypes_Qt3DAnimation[28]

#define sipType_Qt3DAnimation_QKeyFrame_InterpolationType sipExportedTypes_Qt3DAnimation[29]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QKeyFrame;

#define sipType_Qt3DAnimation_QKeyframeAnimation sipExportedTypes_Qt3DAnimation[30]

#define sipType_Qt3DAnimation_QKeyframeAnimation_RepeatMode sipExportedTypes_Qt3DAnimation[31]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QKeyframeAnimation;

#define sipType_Qt3DAnimation_QLerpClipBlend sipExportedTypes_Qt3DAnimation[32]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QLerpClipBlend;

#define sipType_Qt3DAnimation_QMorphingAnimation sipExportedTypes_Qt3DAnimation[34]

#define sipType_Qt3DAnimation_QMorphingAnimation_Method sipExportedTypes_Qt3DAnimation[35]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QMorphingAnimation;

#define sipType_Qt3DAnimation_QMorphTarget sipExportedTypes_Qt3DAnimation[33]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QMorphTarget;

#define sipType_Qt3DAnimation_QSkeletonMapping sipExportedTypes_Qt3DAnimation[36]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QSkeletonMapping;

#define sipType_Qt3DAnimation_QVertexBlendAnimation sipExportedTypes_Qt3DAnimation[37]

extern sipClassTypeDef sipTypeDef_Qt3DAnimation_Qt3DAnimation_QVertexBlendAnimation;

#define sipType_QList_0101Qt3DAnimation_QMorphTarget sipExportedTypes_Qt3DAnimation[3]

extern sipMappedTypeDef sipTypeDef_Qt3DAnimation_QList_0101Qt3DAnimation_QMorphTarget;

#define sipType_QList_0101Qt3DCore_QTransform sipExportedTypes_Qt3DAnimation[4]

extern sipMappedTypeDef sipTypeDef_Qt3DAnimation_QList_0101Qt3DCore_QTransform;

#define sipType_QList_0101Qt3DAnimation_QAbstractChannelMapping sipExportedTypes_Qt3DAnimation[1]

extern sipMappedTypeDef sipTypeDef_Qt3DAnimation_QList_0101Qt3DAnimation_QAbstractChannelMapping;

#define sipType_QList_0101Qt3DAnimation_QAbstractAnimation sipExportedTypes_Qt3DAnimation[0]

extern sipMappedTypeDef sipTypeDef_Qt3DAnimation_QList_0101Qt3DAnimation_QAbstractAnimation;

#define sipType_QList_0101Qt3DAnimation_QAnimationGroup sipExportedTypes_Qt3DAnimation[2]

extern sipMappedTypeDef sipTypeDef_Qt3DAnimation_QList_0101Qt3DAnimation_QAnimationGroup;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Qt3DAnimation;
extern sipExportedModuleDef sipModuleAPI_Qt3DAnimation;
extern sipTypeDef *sipExportedTypes_Qt3DAnimation[];

#define sipType_QObject sipImportedTypes_Qt3DAnimation_QtCore[5].it_td

#define sipType_QEvent sipImportedTypes_Qt3DAnimation_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_Qt3DAnimation_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_Qt3DAnimation_QtCore[0].it_td

#define sipType_QEasingCurve sipImportedTypes_Qt3DAnimation_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_Qt3DAnimation_QtCore[4].it_td

#define sipType_QUrl sipImportedTypes_Qt3DAnimation_QtCore[9].it_td

#define sipType_QStringList sipImportedTypes_Qt3DAnimation_QtCore[7].it_td

#define sipType_QList_2200 sipImportedTypes_Qt3DAnimation_QtCore[3].it_td

#define sipType_QString sipImportedTypes_Qt3DAnimation_QtCore[6].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DAnimation_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_Qt3DAnimation_QtCore[];

#define sipType_QVector2D sipImportedTypes_Qt3DAnimation_QtGui[0].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DAnimation_QtGui[];

#define sipType_Qt3DCore_QAbstractAspect sipImportedTypes_Qt3DAnimation_Qt3DCore[1].it_td

#define sipType_Qt3DCore_QNode sipImportedTypes_Qt3DAnimation_Qt3DCore[7].it_td

#define sipType_Qt3DCore_QAbstractSkeleton sipImportedTypes_Qt3DAnimation_Qt3DCore[2].it_td

#define sipType_Qt3DCore_QComponent sipImportedTypes_Qt3DAnimation_Qt3DCore[4].it_td

#define sipType_Qt3DCore_QAttribute sipImportedTypes_Qt3DAnimation_Qt3DCore[3].it_td

#define sipType_Qt3DCore_QEntity sipImportedTypes_Qt3DAnimation_Qt3DCore[5].it_td

#define sipType_Qt3DCore_QGeometry sipImportedTypes_Qt3DAnimation_Qt3DCore[6].it_td

#define sipType_Qt3DCore_QTransform sipImportedTypes_Qt3DAnimation_Qt3DCore[8].it_td

#define sipType_QList_0101Qt3DCore_QAttribute sipImportedTypes_Qt3DAnimation_Qt3DCore[0].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DAnimation_Qt3DCore[];

#define sipType_Qt3DRender_QGeometryRenderer sipImportedTypes_Qt3DAnimation_Qt3DRender[0].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DAnimation_Qt3DRender[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_Qt3DAnimation_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_Qt3DAnimation_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_Qt3DAnimation_qt_metacast;
#line 95 "/home/abuild/rpmbuild/BUILD/PyQt6_3D-6.8.0/sip/Qt3DCore/qsharedpointer.sip"

#include <qsharedpointer.h>


// The dtor for the saved QSharedPointer.
template<class T>
void qt3d_QspDtor(PyObject *capsule)
{
    delete reinterpret_cast<QSharedPointer<T> *>(
            PyCapsule_GetPointer(capsule, 0));
}


template<class T>
bool qt3d_SaveQsp(PyObject *py, QSharedPointer<T> *qsp)
{
    // Wrap the copy in a Python object.
    PyObject *qsp_obj = PyCapsule_New(qsp, 0, qt3d_QspDtor<T>);

    if (!qsp_obj)
        return false;

    sipSetUserObject((sipSimpleWrapper *)py, qsp_obj);

    return true;
}

#line 973 "/home/abuild/rpmbuild/BUILD/PyQt6_3D-6.8.0/build/Qt3DAnimation/sipAPIQt3DAnimation.h"

#endif
