/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-3D.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _Qt3DInputAPI_H
#define _Qt3DInputAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_8_0
#define SIP_TIMELINE_Qt3D_6_8_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_Qt3DInput__QAxisAccumulator__SourceAxisType 0
#define sipName_Qt3DInput__QAxisAccumulator__SourceAxisType &sipStrings_Qt3DInput[0]
#define sipNameNr_44 44
#define sipName_44 &sipStrings_Qt3DInput[44]
#define sipNameNr_84 84
#define sipName_84 &sipStrings_Qt3DInput[84]
#define sipNameNr_Qt3DInput__QAbstractPhysicalDevice 122
#define sipName_Qt3DInput__QAbstractPhysicalDevice &sipStrings_Qt3DInput[122]
#define sipNameNr_Qt3DInput__QMouseEvent__Modifiers 157
#define sipName_Qt3DInput__QMouseEvent__Modifiers &sipStrings_Qt3DInput[157]
#define sipNameNr_Qt3DInput__QWheelEvent__Modifiers 191
#define sipName_Qt3DInput__QWheelEvent__Modifiers &sipStrings_Qt3DInput[191]
#define sipNameNr_225 225
#define sipName_225 &sipStrings_Qt3DInput[225]
#define sipNameNr_Qt3DInput__QAbstractActionInput 257
#define sipName_Qt3DInput__QAbstractActionInput &sipStrings_Qt3DInput[257]
#define sipNameNr_Qt3DInput__QMouseEvent__Buttons 289
#define sipName_Qt3DInput__QMouseEvent__Buttons &sipStrings_Qt3DInput[289]
#define sipNameNr_Qt3DInput__QWheelEvent__Buttons 321
#define sipName_Qt3DInput__QWheelEvent__Buttons &sipStrings_Qt3DInput[321]
#define sipNameNr_Qt3DInput__QAbstractAxisInput 353
#define sipName_Qt3DInput__QAbstractAxisInput &sipStrings_Qt3DInput[353]
#define sipNameNr_Qt3DInput__QMouseDevice__Axis 383
#define sipName_Qt3DInput__QMouseDevice__Axis &sipStrings_Qt3DInput[383]
#define sipNameNr_updateAxesContinuouslyChanged 413
#define sipName_updateAxesContinuouslyChanged &sipStrings_Qt3DInput[413]
#define sipNameNr_Qt3DInput__QAnalogAxisInput 443
#define sipName_Qt3DInput__QAnalogAxisInput &sipStrings_Qt3DInput[443]
#define sipNameNr_Qt3DInput__QAxisAccumulator 471
#define sipName_Qt3DInput__QAxisAccumulator &sipStrings_Qt3DInput[471]
#define sipNameNr_Qt3DInput__QButtonAxisInput 499
#define sipName_Qt3DInput__QButtonAxisInput &sipStrings_Qt3DInput[499]
#define sipNameNr_Qt3DInput__QKeyboardHandler 527
#define sipName_Qt3DInput__QKeyboardHandler &sipStrings_Qt3DInput[527]
#define sipNameNr_555 555
#define sipName_555 &sipStrings_Qt3DInput[555]
#define sipNameNr_Qt3DInput__QKeyboardDevice 582
#define sipName_Qt3DInput__QKeyboardDevice &sipStrings_Qt3DInput[582]
#define sipNameNr_Qt3DInput__QInputSequence 609
#define sipName_Qt3DInput__QInputSequence &sipStrings_Qt3DInput[609]
#define sipNameNr_Qt3DInput__QInputSettings 635
#define sipName_Qt3DInput__QInputSettings &sipStrings_Qt3DInput[635]
#define sipNameNr_Qt3DInput__QLogicalDevice 661
#define sipName_Qt3DInput__QLogicalDevice &sipStrings_Qt3DInput[661]
#define sipNameNr_setUpdateAxesContinuously 687
#define sipName_setUpdateAxesContinuously &sipStrings_Qt3DInput[687]
#define sipNameNr_713 713
#define sipName_713 &sipStrings_Qt3DInput[713]
#define sipNameNr_Qt3DInput__QMouseHandler 738
#define sipName_Qt3DInput__QMouseHandler &sipStrings_Qt3DInput[738]
#define sipNameNr_availablePhysicalDevices 763
#define sipName_availablePhysicalDevices &sipStrings_Qt3DInput[763]
#define sipNameNr_QAbstractPhysicalDevice 133
#define sipName_QAbstractPhysicalDevice &sipStrings_Qt3DInput[133]
#define sipNameNr_Qt3DInput__QActionInput 788
#define sipName_Qt3DInput__QActionInput &sipStrings_Qt3DInput[788]
#define sipNameNr_Qt3DInput__QAxisSetting 812
#define sipName_Qt3DInput__QAxisSetting &sipStrings_Qt3DInput[812]
#define sipNameNr_Qt3DInput__QInputAspect 836
#define sipName_Qt3DInput__QInputAspect &sipStrings_Qt3DInput[836]
#define sipNameNr_Qt3DInput__QMouseDevice 860
#define sipName_Qt3DInput__QMouseDevice &sipStrings_Qt3DInput[860]
#define sipNameNr_Qt3DInput__QInputChord 884
#define sipName_Qt3DInput__QInputChord &sipStrings_Qt3DInput[884]
#define sipNameNr_Qt3DInput__QMouseEvent 907
#define sipName_Qt3DInput__QMouseEvent &sipStrings_Qt3DInput[907]
#define sipNameNr_Qt3DInput__QWheelEvent 930
#define sipName_Qt3DInput__QWheelEvent &sipStrings_Qt3DInput[930]
#define sipNameNr_updateAxesContinuously 953
#define sipName_updateAxesContinuously &sipStrings_Qt3DInput[953]
#define sipNameNr_buttonIntervalChanged 976
#define sipName_buttonIntervalChanged &sipStrings_Qt3DInput[976]
#define sipNameNr_deadZoneRadiusChanged 998
#define sipName_deadZoneRadiusChanged &sipStrings_Qt3DInput[998]
#define sipNameNr_sourceAxisTypeChanged 1020
#define sipName_sourceAxisTypeChanged &sipStrings_Qt3DInput[1020]
#define sipNameNr_QAbstractActionInput 268
#define sipName_QAbstractActionInput &sipStrings_Qt3DInput[268]
#define sipNameNr_Qt3DInput__QKeyEvent 1042
#define sipName_Qt3DInput__QKeyEvent &sipStrings_Qt3DInput[1042]
#define sipNameNr_containsMouseChanged 1063
#define sipName_containsMouseChanged &sipStrings_Qt3DInput[1063]
#define sipNameNr_createPhysicalDevice 1084
#define sipName_createPhysicalDevice &sipStrings_Qt3DInput[1084]
#define sipNameNr_accelerationChanged 1105
#define sipName_accelerationChanged &sipStrings_Qt3DInput[1105]
#define sipNameNr_decelerationChanged 1125
#define sipName_decelerationChanged &sipStrings_Qt3DInput[1125]
#define sipNameNr_sourceDeviceChanged 1145
#define sipName_sourceDeviceChanged &sipStrings_Qt3DInput[1145]
#define sipNameNr_QAbstractAxisInput 364
#define sipName_QAbstractAxisInput &sipStrings_Qt3DInput[364]
#define sipNameNr_Qt3DInput__QAction 1165
#define sipName_Qt3DInput__QAction &sipStrings_Qt3DInput[1165]
#define sipNameNr_activeInputChanged 1184
#define sipName_activeInputChanged &sipStrings_Qt3DInput[1184]
#define sipNameNr_eventSourceChanged 1203
#define sipName_eventSourceChanged &sipStrings_Qt3DInput[1203]
#define sipNameNr_sensitivityChanged 1222
#define sipName_sensitivityChanged &sipStrings_Qt3DInput[1222]
#define sipNameNr_numberSignPressed 1241
#define sipName_numberSignPressed &sipStrings_Qt3DInput[1241]
#define sipNameNr_removeAxisSetting 1259
#define sipName_removeAxisSetting &sipStrings_Qt3DInput[1259]
#define sipNameNr_setButtonInterval 1277
#define sipName_setButtonInterval &sipStrings_Qt3DInput[1277]
#define sipNameNr_setDeadZoneRadius 1295
#define sipName_setDeadZoneRadius &sipStrings_Qt3DInput[1295]
#define sipNameNr_setSourceAxisType 1313
#define sipName_setSourceAxisType &sipStrings_Qt3DInput[1313]
#define sipNameNr_sourceAxisChanged 1331
#define sipName_sourceAxisChanged &sipStrings_Qt3DInput[1331]
#define sipNameNr_volumeDownPressed 1349
#define sipName_volumeDownPressed &sipStrings_Qt3DInput[1349]
#define sipNameNr_QAnalogAxisInput 454
#define sipName_QAnalogAxisInput &sipStrings_Qt3DInput[454]
#define sipNameNr_QAxisAccumulator 482
#define sipName_QAxisAccumulator &sipStrings_Qt3DInput[482]
#define sipNameNr_QButtonAxisInput 510
#define sipName_QButtonAxisInput &sipStrings_Qt3DInput[510]
#define sipNameNr_QKeyboardHandler 538
#define sipName_QKeyboardHandler &sipStrings_Qt3DInput[538]
#define sipNameNr_Qt3DInput__QAxis 1367
#define sipName_Qt3DInput__QAxis &sipStrings_Qt3DInput[1367]
#define sipNameNr_buttonIdentifier 1384
#define sipName_buttonIdentifier &sipStrings_Qt3DInput[1384]
#define sipNameNr_disconnectNotify 1401
#define sipName_disconnectNotify &sipStrings_Qt3DInput[1401]
#define sipNameNr_setSmoothEnabled 1418
#define sipName_setSmoothEnabled &sipStrings_Qt3DInput[1418]
#define sipNameNr_ControlModifier 1435
#define sipName_ControlModifier &sipStrings_Qt3DInput[1435]
#define sipNameNr_PyQt6_Qt3DInput 1451
#define sipName_PyQt6_Qt3DInput &sipStrings_Qt3DInput[1451]
#define sipNameNr_QKeyboardDevice 593
#define sipName_QKeyboardDevice &sipStrings_Qt3DInput[593]
#define sipNameNr_asteriskPressed 1467
#define sipName_asteriskPressed &sipStrings_Qt3DInput[1467]
#define sipNameNr_context1Pressed 1483
#define sipName_context1Pressed &sipStrings_Qt3DInput[1483]
#define sipNameNr_context2Pressed 1499
#define sipName_context2Pressed &sipStrings_Qt3DInput[1499]
#define sipNameNr_context3Pressed 1515
#define sipName_context3Pressed &sipStrings_Qt3DInput[1515]
#define sipNameNr_context4Pressed 1531
#define sipName_context4Pressed &sipStrings_Qt3DInput[1531]
#define sipNameNr_isSmoothEnabled 1547
#define sipName_isSmoothEnabled &sipStrings_Qt3DInput[1547]
#define sipNameNr_positionChanged 1563
#define sipName_positionChanged &sipStrings_Qt3DInput[1563]
#define sipNameNr_setAcceleration 1579
#define sipName_setAcceleration &sipStrings_Qt3DInput[1579]
#define sipNameNr_setDeceleration 1595
#define sipName_setDeceleration &sipStrings_Qt3DInput[1595]
#define sipNameNr_setSourceDevice 1611
#define sipName_setSourceDevice &sipStrings_Qt3DInput[1611]
#define sipNameNr_velocityChanged 1627
#define sipName_velocityChanged &sipStrings_Qt3DInput[1627]
#define sipNameNr_volumeUpPressed 1643
#define sipName_volumeUpPressed &sipStrings_Qt3DInput[1643]
#define sipNameNr_KeypadModifier 1659
#define sipName_KeypadModifier &sipStrings_Qt3DInput[1659]
#define sipNameNr_QInputSequence 620
#define sipName_QInputSequence &sipStrings_Qt3DInput[620]
#define sipNameNr_QInputSettings 646
#define sipName_QInputSettings &sipStrings_Qt3DInput[646]
#define sipNameNr_QLogicalDevice 672
#define sipName_QLogicalDevice &sipStrings_Qt3DInput[672]
#define sipNameNr_SourceAxisType 29
#define sipName_SourceAxisType &sipStrings_Qt3DInput[29]
#define sipNameNr_addAxisSetting 1674
#define sipName_addAxisSetting &sipStrings_Qt3DInput[1674]
#define sipNameNr_axisIdentifier 1689
#define sipName_axisIdentifier &sipStrings_Qt3DInput[1689]
#define sipNameNr_backtabPressed 1704
#define sipName_backtabPressed &sipStrings_Qt3DInput[1704]
#define sipNameNr_buttonInterval 1719
#define sipName_buttonInterval &sipStrings_Qt3DInput[1719]
#define sipNameNr_buttonsChanged 1734
#define sipName_buttonsChanged &sipStrings_Qt3DInput[1734]
#define sipNameNr_deadZoneRadius 1749
#define sipName_deadZoneRadius &sipStrings_Qt3DInput[1749]
#define sipNameNr_nativeScanCode 1764
#define sipName_nativeScanCode &sipStrings_Qt3DInput[1764]
#define sipNameNr_removeSequence 1779
#define sipName_removeSequence &sipStrings_Qt3DInput[1779]
#define sipNameNr_setEventSource 1794
#define sipName_setEventSource &sipStrings_Qt3DInput[1794]
#define sipNameNr_setSensitivity 1809
#define sipName_setSensitivity &sipStrings_Qt3DInput[1809]
#define sipNameNr_sourceAxisType 1824
#define sipName_sourceAxisType &sipStrings_Qt3DInput[1824]
#define sipNameNr_timeoutChanged 1839
#define sipName_timeoutChanged &sipStrings_Qt3DInput[1839]
#define sipNameNr_QMouseHandler 749
#define sipName_QMouseHandler &sipStrings_Qt3DInput[749]
#define sipNameNr_ShiftModifier 1854
#define sipName_ShiftModifier &sipStrings_Qt3DInput[1854]
#define sipNameNr_activeChanged 1868
#define sipName_activeChanged &sipStrings_Qt3DInput[1868]
#define sipNameNr_cancelPressed 1882
#define sipName_cancelPressed &sipStrings_Qt3DInput[1882]
#define sipNameNr_connectNotify 1404
#define sipName_connectNotify &sipStrings_Qt3DInput[1404]
#define sipNameNr_containsMouse 1896
#define sipName_containsMouse &sipStrings_Qt3DInput[1896]
#define sipNameNr_deletePressed 1910
#define sipName_deletePressed &sipStrings_Qt3DInput[1910]
#define sipNameNr_digit0Pressed 1924
#define sipName_digit0Pressed &sipStrings_Qt3DInput[1924]
#define sipNameNr_digit1Pressed 1938
#define sipName_digit1Pressed &sipStrings_Qt3DInput[1938]
#define sipNameNr_digit2Pressed 1952
#define sipName_digit2Pressed &sipStrings_Qt3DInput[1952]
#define sipNameNr_digit3Pressed 1966
#define sipName_digit3Pressed &sipStrings_Qt3DInput[1966]
#define sipNameNr_digit4Pressed 1980
#define sipName_digit4Pressed &sipStrings_Qt3DInput[1980]
#define sipNameNr_digit5Pressed 1994
#define sipName_digit5Pressed &sipStrings_Qt3DInput[1994]
#define sipNameNr_digit6Pressed 2008
#define sipName_digit6Pressed &sipStrings_Qt3DInput[2008]
#define sipNameNr_digit7Pressed 2022
#define sipName_digit7Pressed &sipStrings_Qt3DInput[2022]
#define sipNameNr_digit8Pressed 2036
#define sipName_digit8Pressed &sipStrings_Qt3DInput[2036]
#define sipNameNr_digit9Pressed 2050
#define sipName_digit9Pressed &sipStrings_Qt3DInput[2050]
#define sipNameNr_doubleClicked 2064
#define sipName_doubleClicked &sipStrings_Qt3DInput[2064]
#define sipNameNr_escapePressed 2078
#define sipName_escapePressed &sipStrings_Qt3DInput[2078]
#define sipNameNr_hangupPressed 2092
#define sipName_hangupPressed &sipStrings_Qt3DInput[2092]
#define sipNameNr_returnPressed 2106
#define sipName_returnPressed &sipStrings_Qt3DInput[2106]
#define sipNameNr_selectPressed 2120
#define sipName_selectPressed &sipStrings_Qt3DInput[2120]
#define sipNameNr_setSourceAxis 2134
#define sipName_setSourceAxis &sipStrings_Qt3DInput[2134]
#define sipNameNr_smoothChanged 2148
#define sipName_smoothChanged &sipStrings_Qt3DInput[2148]
#define sipNameNr_Acceleration 1582
#define sipName_Acceleration &sipStrings_Qt3DInput[1582]
#define sipNameNr_MetaModifier 2162
#define sipName_MetaModifier &sipStrings_Qt3DInput[2162]
#define sipNameNr_MiddleButton 2175
#define sipName_MiddleButton &sipStrings_Qt3DInput[2175]
#define sipNameNr_QActionInput 799
#define sipName_QActionInput &sipStrings_Qt3DInput[799]
#define sipNameNr_QAxisSetting 823
#define sipName_QAxisSetting &sipStrings_Qt3DInput[823]
#define sipNameNr_QInputAspect 847
#define sipName_QInputAspect &sipStrings_Qt3DInput[847]
#define sipNameNr_QMouseDevice 871
#define sipName_QMouseDevice &sipStrings_Qt3DInput[871]
#define sipNameNr_acceleration 2188
#define sipName_acceleration &sipStrings_Qt3DInput[2188]
#define sipNameNr_axisSettings 2201
#define sipName_axisSettings &sipStrings_Qt3DInput[2201]
#define sipNameNr_deceleration 2214
#define sipName_deceleration &sipStrings_Qt3DInput[2214]
#define sipNameNr_enterPressed 2227
#define sipName_enterPressed &sipStrings_Qt3DInput[2227]
#define sipNameNr_focusChanged 2240
#define sipName_focusChanged &sipStrings_Qt3DInput[2240]
#define sipNameNr_isAutoRepeat 2253
#define sipName_isAutoRepeat &sipStrings_Qt3DInput[2253]
#define sipNameNr_pressAndHold 2266
#define sipName_pressAndHold &sipStrings_Qt3DInput[2266]
#define sipNameNr_removeAction 2279
#define sipName_removeAction &sipStrings_Qt3DInput[2279]
#define sipNameNr_rightPressed 2292
#define sipName_rightPressed &sipStrings_Qt3DInput[2292]
#define sipNameNr_scaleChanged 2305
#define sipName_scaleChanged &sipStrings_Qt3DInput[2305]
#define sipNameNr_sourceDevice 2318
#define sipName_sourceDevice &sipStrings_Qt3DInput[2318]
#define sipNameNr_spacePressed 2331
#define sipName_spacePressed &sipStrings_Qt3DInput[2331]
#define sipNameNr_valueChanged 2344
#define sipName_valueChanged &sipStrings_Qt3DInput[2344]
#define sipNameNr_AltModifier 2357
#define sipName_AltModifier &sipStrings_Qt3DInput[2357]
#define sipNameNr_QInputChord 895
#define sipName_QInputChord &sipStrings_Qt3DInput[895]
#define sipNameNr_QMouseEvent 918
#define sipName_QMouseEvent &sipStrings_Qt3DInput[918]
#define sipNameNr_QWheelEvent 941
#define sipName_QWheelEvent &sipStrings_Qt3DInput[941]
#define sipNameNr_RightButton 2369
#define sipName_RightButton &sipStrings_Qt3DInput[2369]
#define sipNameNr_activeInput 2381
#define sipName_activeInput &sipStrings_Qt3DInput[2381]
#define sipNameNr_addSequence 2393
#define sipName_addSequence &sipStrings_Qt3DInput[2393]
#define sipNameNr_axesChanged 2405
#define sipName_axesChanged &sipStrings_Qt3DInput[2405]
#define sipNameNr_axisChanged 2417
#define sipName_axisChanged &sipStrings_Qt3DInput[2417]
#define sipNameNr_backPressed 2429
#define sipName_backPressed &sipStrings_Qt3DInput[2429]
#define sipNameNr_buttonCount 2441
#define sipName_buttonCount &sipStrings_Qt3DInput[2441]
#define sipNameNr_buttonNames 2453
#define sipName_buttonNames &sipStrings_Qt3DInput[2453]
#define sipNameNr_callPressed 2465
#define sipName_callPressed &sipStrings_Qt3DInput[2465]
#define sipNameNr_customEvent 2477
#define sipName_customEvent &sipStrings_Qt3DInput[2477]
#define sipNameNr_downPressed 2489
#define sipName_downPressed &sipStrings_Qt3DInput[2489]
#define sipNameNr_eventFilter 2501
#define sipName_eventFilter &sipStrings_Qt3DInput[2501]
#define sipNameNr_eventSource 2513
#define sipName_eventSource &sipStrings_Qt3DInput[2513]
#define sipNameNr_flipPressed 2525
#define sipName_flipPressed &sipStrings_Qt3DInput[2525]
#define sipNameNr_leftPressed 2537
#define sipName_leftPressed &sipStrings_Qt3DInput[2537]
#define sipNameNr_menuPressed 2549
#define sipName_menuPressed &sipStrings_Qt3DInput[2549]
#define sipNameNr_removeChord 2561
#define sipName_removeChord &sipStrings_Qt3DInput[2561]
#define sipNameNr_removeInput 2573
#define sipName_removeInput &sipStrings_Qt3DInput[2573]
#define sipNameNr_sensitivity 2585
#define sipName_sensitivity &sipStrings_Qt3DInput[2585]
#define sipNameNr_setAccepted 2597
#define sipName_setAccepted &sipStrings_Qt3DInput[2597]
#define sipNameNr_BackButton 2609
#define sipName_BackButton &sipStrings_Qt3DInput[2609]
#define sipNameNr_LeftButton 2620
#define sipName_LeftButton &sipStrings_Qt3DInput[2620]
#define sipNameNr_NoModifier 2631
#define sipName_NoModifier &sipStrings_Qt3DInput[2631]
#define sipNameNr_angleDelta 2642
#define sipName_angleDelta &sipStrings_Qt3DInput[2642]
#define sipNameNr_childEvent 2653
#define sipName_childEvent &sipStrings_Qt3DInput[2653]
#define sipNameNr_isAccepted 2664
#define sipName_isAccepted &sipStrings_Qt3DInput[2664]
#define sipNameNr_removeAxis 2675
#define sipName_removeAxis &sipStrings_Qt3DInput[2675]
#define sipNameNr_setButtons 2686
#define sipName_setButtons &sipStrings_Qt3DInput[2686]
#define sipNameNr_setTimeout 2697
#define sipName_setTimeout &sipStrings_Qt3DInput[2697]
#define sipNameNr_sourceAxis 2708
#define sipName_sourceAxis &sipStrings_Qt3DInput[2708]
#define sipNameNr_tabPressed 1708
#define sipName_tabPressed &sipStrings_Qt3DInput[1708]
#define sipNameNr_timerEvent 2719
#define sipName_timerEvent &sipStrings_Qt3DInput[2719]
#define sipNameNr_yesPressed 2730
#define sipName_yesPressed &sipStrings_Qt3DInput[2730]
#define sipNameNr_Modifiers 181
#define sipName_Modifiers &sipStrings_Qt3DInput[181]
#define sipNameNr_QKeyEvent 1053
#define sipName_QKeyEvent &sipStrings_Qt3DInput[1053]
#define sipNameNr_Qt3DInput 1457
#define sipName_Qt3DInput &sipStrings_Qt3DInput[1457]
#define sipNameNr_addAction 2741
#define sipName_addAction &sipStrings_Qt3DInput[2741]
#define sipNameNr_axisCount 2751
#define sipName_axisCount &sipStrings_Qt3DInput[2751]
#define sipNameNr_axisNames 2761
#define sipName_axisNames &sipStrings_Qt3DInput[2761]
#define sipNameNr_modifiers 2771
#define sipName_modifiers &sipStrings_Qt3DInput[2771]
#define sipNameNr_noPressed 2781
#define sipName_noPressed &sipStrings_Qt3DInput[2781]
#define sipNameNr_sequences 2791
#define sipName_sequences &sipStrings_Qt3DInput[2791]
#define sipNameNr_upPressed 2096
#define sipName_upPressed &sipStrings_Qt3DInput[2096]
#define sipNameNr_NoButton 2801
#define sipName_NoButton &sipStrings_Qt3DInput[2801]
#define sipNameNr_Velocity 2810
#define sipName_Velocity &sipStrings_Qt3DInput[2810]
#define sipNameNr_addChord 2819
#define sipName_addChord &sipStrings_Qt3DInput[2819]
#define sipNameNr_addInput 2828
#define sipName_addInput &sipStrings_Qt3DInput[2828]
#define sipNameNr_isActive 2837
#define sipName_isActive &sipStrings_Qt3DInput[2837]
#define sipNameNr_released 2846
#define sipName_released &sipStrings_Qt3DInput[2846]
#define sipNameNr_setFocus 2855
#define sipName_setFocus &sipStrings_Qt3DInput[2855]
#define sipNameNr_setScale 2864
#define sipName_setScale &sipStrings_Qt3DInput[2864]
#define sipNameNr_velocity 2873
#define sipName_velocity &sipStrings_Qt3DInput[2873]
#define sipNameNr_Buttons 313
#define sipName_Buttons &sipStrings_Qt3DInput[313]
#define sipNameNr_QAction 1176
#define sipName_QAction &sipStrings_Qt3DInput[1176]
#define sipNameNr_actions 2882
#define sipName_actions &sipStrings_Qt3DInput[2882]
#define sipNameNr_addAxis 2890
#define sipName_addAxis &sipStrings_Qt3DInput[2890]
#define sipNameNr_autorep 2898
#define sipName_autorep &sipStrings_Qt3DInput[2898]
#define sipNameNr_buttons 2906
#define sipName_buttons &sipStrings_Qt3DInput[2906]
#define sipNameNr_clicked 2914
#define sipName_clicked &sipStrings_Qt3DInput[2914]
#define sipNameNr_entered 2922
#define sipName_entered &sipStrings_Qt3DInput[2922]
#define sipNameNr_matches 2930
#define sipName_matches &sipStrings_Qt3DInput[2930]
#define sipNameNr_pressed 2938
#define sipName_pressed &sipStrings_Qt3DInput[2938]
#define sipNameNr_setAxes 2946
#define sipName_setAxes &sipStrings_Qt3DInput[2946]
#define sipNameNr_setAxis 2954
#define sipName_setAxis &sipStrings_Qt3DInput[2954]
#define sipNameNr_timeout 2962
#define sipName_timeout &sipStrings_Qt3DInput[2962]
#define sipNameNr_wasHeld 2970
#define sipName_wasHeld &sipStrings_Qt3DInput[2970]
#define sipNameNr_WheelX 2978
#define sipName_WheelX &sipStrings_Qt3DInput[2978]
#define sipNameNr_WheelY 2985
#define sipName_WheelY &sipStrings_Qt3DInput[2985]
#define sipNameNr_button 2992
#define sipName_button &sipStrings_Qt3DInput[2992]
#define sipNameNr_chords 2999
#define sipName_chords &sipStrings_Qt3DInput[2999]
#define sipNameNr_exited 3006
#define sipName_exited &sipStrings_Qt3DInput[3006]
#define sipNameNr_inputs 3013
#define sipName_inputs &sipStrings_Qt3DInput[3013]
#define sipNameNr_parent 3020
#define sipName_parent &sipStrings_Qt3DInput[3020]
#define sipNameNr_QAxis 1378
#define sipName_QAxis &sipStrings_Qt3DInput[1378]
#define sipNameNr_count 3027
#define sipName_count &sipStrings_Qt3DInput[3027]
#define sipNameNr_event 3033
#define sipName_event &sipStrings_Qt3DInput[3033]
#define sipNameNr_focus 3039
#define sipName_focus &sipStrings_Qt3DInput[3039]
#define sipNameNr_scale 3045
#define sipName_scale &sipStrings_Qt3DInput[3045]
#define sipNameNr_value 3051
#define sipName_value &sipStrings_Qt3DInput[3051]
#define sipNameNr_wheel 3057
#define sipName_wheel &sipStrings_Qt3DInput[3057]
#define sipNameNr_Axis 408
#define sipName_Axis &sipStrings_Qt3DInput[408]
#define sipNameNr_axes 3063
#define sipName_axes &sipStrings_Qt3DInput[3063]
#define sipNameNr_axis 3068
#define sipName_axis &sipStrings_Qt3DInput[3068]
#define sipNameNr_text 3073
#define sipName_text &sipStrings_Qt3DInput[3073]
#define sipNameNr_type 3078
#define sipName_type &sipStrings_Qt3DInput[3078]
#define sipNameNr_key 3083
#define sipName_key &sipStrings_Qt3DInput[3083]
#define sipNameNr_X 2983
#define sipName_X &sipStrings_Qt3DInput[2983]
#define sipNameNr_Y 2990
#define sipName_Y &sipStrings_Qt3DInput[2990]
#define sipNameNr_x 3087
#define sipName_x &sipStrings_Qt3DInput[3087]
#define sipNameNr_y 711
#define sipName_y &sipStrings_Qt3DInput[711]

#define sipMalloc                   sipAPI_Qt3DInput->api_malloc
#define sipFree                     sipAPI_Qt3DInput->api_free
#define sipBuildResult              sipAPI_Qt3DInput->api_build_result
#define sipCallMethod               sipAPI_Qt3DInput->api_call_method
#define sipCallProcedureMethod      sipAPI_Qt3DInput->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_Qt3DInput->api_call_error_handler
#define sipParseResultEx            sipAPI_Qt3DInput->api_parse_result_ex
#define sipParseResult              sipAPI_Qt3DInput->api_parse_result
#define sipParseArgs                sipAPI_Qt3DInput->api_parse_args
#define sipParseKwdArgs             sipAPI_Qt3DInput->api_parse_kwd_args
#define sipParsePair                sipAPI_Qt3DInput->api_parse_pair
#define sipInstanceDestroyed        sipAPI_Qt3DInput->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_Qt3DInput->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_Qt3DInput->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_Qt3DInput->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_Qt3DInput->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_Qt3DInput->api_convert_to_void_ptr
#define sipAddException             sipAPI_Qt3DInput->api_add_exception
#define sipNoFunction               sipAPI_Qt3DInput->api_no_function
#define sipNoMethod                 sipAPI_Qt3DInput->api_no_method
#define sipAbstractMethod           sipAPI_Qt3DInput->api_abstract_method
#define sipBadClass                 sipAPI_Qt3DInput->api_bad_class
#define sipBadCatcherResult         sipAPI_Qt3DInput->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_Qt3DInput->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_Qt3DInput->api_bad_operator_arg
#define sipTrace                    sipAPI_Qt3DInput->api_trace
#define sipTransferBack             sipAPI_Qt3DInput->api_transfer_back
#define sipTransferTo               sipAPI_Qt3DInput->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_Qt3DInput->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_Qt3DInput->api_wrapper_type
#define sipWrapperType_Type         sipAPI_Qt3DInput->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_Qt3DInput->api_voidptr_type
#define sipGetPyObject              sipAPI_Qt3DInput->api_get_pyobject
#define sipGetAddress               sipAPI_Qt3DInput->api_get_address
#define sipGetMixinAddress          sipAPI_Qt3DInput->api_get_mixin_address
#define sipGetCppPtr                sipAPI_Qt3DInput->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Qt3DInput->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_Qt3DInput->api_call_hook
#define sipEndThread                sipAPI_Qt3DInput->api_end_thread
#define sipRaiseUnknownException    sipAPI_Qt3DInput->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_Qt3DInput->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_Qt3DInput->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_Qt3DInput->api_add_type_instance
#define sipPySlotExtend             sipAPI_Qt3DInput->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_Qt3DInput->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_Qt3DInput->api_can_convert_to_type
#define sipConvertToType            sipAPI_Qt3DInput->api_convert_to_type
#define sipForceConvertToType       sipAPI_Qt3DInput->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_Qt3DInput->api_convert_to_enum
#define sipConvertToBool            sipAPI_Qt3DInput->api_convert_to_bool
#define sipReleaseType              sipAPI_Qt3DInput->api_release_type
#define sipConvertFromType          sipAPI_Qt3DInput->api_convert_from_type
#define sipConvertFromNewType       sipAPI_Qt3DInput->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_Qt3DInput->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_Qt3DInput->api_convert_from_enum
#define sipGetState                 sipAPI_Qt3DInput->api_get_state
#define sipExportSymbol             sipAPI_Qt3DInput->api_export_symbol
#define sipImportSymbol             sipAPI_Qt3DInput->api_import_symbol
#define sipFindType                 sipAPI_Qt3DInput->api_find_type
#define sipBytes_AsChar             sipAPI_Qt3DInput->api_bytes_as_char
#define sipBytes_AsString           sipAPI_Qt3DInput->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_Qt3DInput->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_Qt3DInput->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_Qt3DInput->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_Qt3DInput->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_Qt3DInput->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_Qt3DInput->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_Qt3DInput->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Qt3DInput->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Qt3DInput->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Qt3DInput->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Qt3DInput->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_Qt3DInput->api_get_reference
#define sipKeepReference            sipAPI_Qt3DInput->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_Qt3DInput->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_Qt3DInput->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_Qt3DInput->api_type_from_py_type_object
#define sipTypeScope                sipAPI_Qt3DInput->api_type_scope
#define sipResolveTypedef           sipAPI_Qt3DInput->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_Qt3DInput->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_Qt3DInput->api_enable_autoconversion
#define sipInitMixin                sipAPI_Qt3DInput->api_init_mixin
#define sipExportModule             sipAPI_Qt3DInput->api_export_module
#define sipInitModule               sipAPI_Qt3DInput->api_init_module
#define sipGetInterpreter           sipAPI_Qt3DInput->api_get_interpreter
#define sipSetTypeUserData          sipAPI_Qt3DInput->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_Qt3DInput->api_get_type_user_data
#define sipPyTypeDict               sipAPI_Qt3DInput->api_py_type_dict
#define sipPyTypeName               sipAPI_Qt3DInput->api_py_type_name
#define sipGetCFunction             sipAPI_Qt3DInput->api_get_c_function
#define sipGetMethod                sipAPI_Qt3DInput->api_get_method
#define sipFromMethod               sipAPI_Qt3DInput->api_from_method
#define sipGetDate                  sipAPI_Qt3DInput->api_get_date
#define sipFromDate                 sipAPI_Qt3DInput->api_from_date
#define sipGetDateTime              sipAPI_Qt3DInput->api_get_datetime
#define sipFromDateTime             sipAPI_Qt3DInput->api_from_datetime
#define sipGetTime                  sipAPI_Qt3DInput->api_get_time
#define sipFromTime                 sipAPI_Qt3DInput->api_from_time
#define sipIsUserType               sipAPI_Qt3DInput->api_is_user_type
#define sipCheckPluginForType       sipAPI_Qt3DInput->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_Qt3DInput->api_unicode_new
#define sipUnicodeWrite             sipAPI_Qt3DInput->api_unicode_write
#define sipUnicodeData              sipAPI_Qt3DInput->api_unicode_data
#define sipGetBufferInfo            sipAPI_Qt3DInput->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_Qt3DInput->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_Qt3DInput->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_Qt3DInput->api_is_derived_class
#define sipGetUserObject            sipAPI_Qt3DInput->api_get_user_object
#define sipSetUserObject            sipAPI_Qt3DInput->api_set_user_object
#define sipRegisterEventHandler     sipAPI_Qt3DInput->api_register_event_handler
#define sipConvertToArray           sipAPI_Qt3DInput->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_Qt3DInput->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_Qt3DInput->api_enable_gc
#define sipPrintObject              sipAPI_Qt3DInput->api_print_object
#define sipLong_AsChar              sipAPI_Qt3DInput->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_Qt3DInput->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_Qt3DInput->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_Qt3DInput->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_Qt3DInput->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_Qt3DInput->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_Qt3DInput->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_Qt3DInput->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_Qt3DInput->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_Qt3DInput->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_Qt3DInput->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_Qt3DInput->api_long_as_size_t
#define sipVisitWrappers            sipAPI_Qt3DInput->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_Qt3DInput->api_register_exit_notifier
#define sipDeprecated               sipAPI_Qt3DInput->api_deprecated
#define sipPyTypeDictRef            sipAPI_Qt3DInput->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_Qt3DInput->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_Qt3DInput->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_Qt3DInput->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_Qt3DInput->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_Qt3DInput->api_release_type_us
#define sipIsPyMethod               sipAPI_Qt3DInput->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_Qt3DInput[];


#define sipType_Qt3DInput_QAbstractActionInput sipExportedTypes_Qt3DInput[5]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAbstractActionInput;

#define sipType_Qt3DInput_QAbstractAxisInput sipExportedTypes_Qt3DInput[6]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAbstractAxisInput;

#define sipType_Qt3DInput_QAbstractPhysicalDevice sipExportedTypes_Qt3DInput[7]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAbstractPhysicalDevice;

#define sipType_Qt3DInput_QAction sipExportedTypes_Qt3DInput[8]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAction;

#define sipType_Qt3DInput_QActionInput sipExportedTypes_Qt3DInput[9]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QActionInput;

#define sipType_Qt3DInput_QAnalogAxisInput sipExportedTypes_Qt3DInput[10]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAnalogAxisInput;

#define sipType_Qt3DInput_QAxis sipExportedTypes_Qt3DInput[11]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAxis;

#define sipType_Qt3DInput_QAxisAccumulator sipExportedTypes_Qt3DInput[12]

#define sipType_Qt3DInput_QAxisAccumulator_SourceAxisType sipExportedTypes_Qt3DInput[13]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAxisAccumulator;

#define sipType_Qt3DInput_QAxisSetting sipExportedTypes_Qt3DInput[14]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QAxisSetting;

#define sipType_Qt3DInput_QButtonAxisInput sipExportedTypes_Qt3DInput[15]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QButtonAxisInput;

#define sipType_Qt3DInput_QInputAspect sipExportedTypes_Qt3DInput[16]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QInputAspect;

#define sipType_Qt3DInput_QInputChord sipExportedTypes_Qt3DInput[17]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QInputChord;

#define sipType_Qt3DInput_QInputSequence sipExportedTypes_Qt3DInput[18]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QInputSequence;

#define sipType_Qt3DInput_QInputSettings sipExportedTypes_Qt3DInput[19]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QInputSettings;

#define sipType_Qt3DInput_QKeyboardDevice sipExportedTypes_Qt3DInput[21]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QKeyboardDevice;

#define sipType_Qt3DInput_QKeyboardHandler sipExportedTypes_Qt3DInput[22]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QKeyboardHandler;

#define sipType_Qt3DInput_QKeyEvent sipExportedTypes_Qt3DInput[20]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QKeyEvent;

#define sipType_Qt3DInput_QLogicalDevice sipExportedTypes_Qt3DInput[23]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QLogicalDevice;

#define sipType_Qt3DInput_QMouseDevice sipExportedTypes_Qt3DInput[24]

#define sipType_Qt3DInput_QMouseDevice_Axis sipExportedTypes_Qt3DInput[25]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QMouseDevice;

#define sipType_Qt3DInput_QMouseEvent sipExportedTypes_Qt3DInput[26]

#define sipType_Qt3DInput_QMouseEvent_Modifiers sipExportedTypes_Qt3DInput[28]

#define sipType_Qt3DInput_QMouseEvent_Buttons sipExportedTypes_Qt3DInput[27]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QMouseEvent;

#define sipType_Qt3DInput_QWheelEvent sipExportedTypes_Qt3DInput[30]

#define sipType_Qt3DInput_QWheelEvent_Modifiers sipExportedTypes_Qt3DInput[32]

#define sipType_Qt3DInput_QWheelEvent_Buttons sipExportedTypes_Qt3DInput[31]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QWheelEvent;

#define sipType_Qt3DInput_QMouseHandler sipExportedTypes_Qt3DInput[29]

extern sipClassTypeDef sipTypeDef_Qt3DInput_Qt3DInput_QMouseHandler;

#define sipType_QList_0101Qt3DInput_QAxis sipExportedTypes_Qt3DInput[3]

extern sipMappedTypeDef sipTypeDef_Qt3DInput_QList_0101Qt3DInput_QAxis;

#define sipType_QList_0101Qt3DInput_QAction sipExportedTypes_Qt3DInput[2]

extern sipMappedTypeDef sipTypeDef_Qt3DInput_QList_0101Qt3DInput_QAction;

#define sipType_QList_0101Qt3DInput_QAbstractAxisInput sipExportedTypes_Qt3DInput[1]

extern sipMappedTypeDef sipTypeDef_Qt3DInput_QList_0101Qt3DInput_QAbstractAxisInput;

#define sipType_QList_0101Qt3DInput_QAbstractActionInput sipExportedTypes_Qt3DInput[0]

extern sipMappedTypeDef sipTypeDef_Qt3DInput_QList_0101Qt3DInput_QAbstractActionInput;

#define sipType_QList_0101Qt3DInput_QAxisSetting sipExportedTypes_Qt3DInput[4]

extern sipMappedTypeDef sipTypeDef_Qt3DInput_QList_0101Qt3DInput_QAxisSetting;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Qt3DInput;
extern sipExportedModuleDef sipModuleAPI_Qt3DInput;
extern sipTypeDef *sipExportedTypes_Qt3DInput[];

#define sipType_QObject sipImportedTypes_Qt3DInput_QtCore[6].it_td

#define sipType_QEvent sipImportedTypes_Qt3DInput_QtCore[1].it_td

#define sipType_QEvent_Type sipImportedTypes_Qt3DInput_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_Qt3DInput_QtCore[10].it_td

#define sipType_QChildEvent sipImportedTypes_Qt3DInput_QtCore[0].it_td

#define sipType_QMetaMethod sipImportedTypes_Qt3DInput_QtCore[5].it_td

#define sipType_QPoint sipImportedTypes_Qt3DInput_QtCore[7].it_td

#define sipType_QFlags_0100Qt_KeyboardModifier sipImportedTypes_Qt3DInput_QtCore[3].it_td

#define sipType_QStringList sipImportedTypes_Qt3DInput_QtCore[9].it_td

#define sipType_QList_1800 sipImportedTypes_Qt3DInput_QtCore[4].it_td

#define sipType_QString sipImportedTypes_Qt3DInput_QtCore[8].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DInput_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_Qt3DInput_QtCore[];

#define sipType_QKeyEvent sipImportedTypes_Qt3DInput_QtGui[0].it_td

#define sipType_QMouseEvent sipImportedTypes_Qt3DInput_QtGui[2].it_td

#define sipType_QWheelEvent sipImportedTypes_Qt3DInput_QtGui[3].it_td

#define sipType_QKeySequence_StandardKey sipImportedTypes_Qt3DInput_QtGui[1].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DInput_QtGui[];

#define sipType_Qt3DCore_QAbstractAspect sipImportedTypes_Qt3DInput_Qt3DCore[0].it_td

#define sipType_Qt3DCore_QNode sipImportedTypes_Qt3DInput_Qt3DCore[2].it_td

#define sipType_Qt3DCore_QComponent sipImportedTypes_Qt3DInput_Qt3DCore[1].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DInput_Qt3DCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_Qt3DInput_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_Qt3DInput_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_Qt3DInput_qt_metacast;
#line 95 "/home/abuild/rpmbuild/BUILD/PyQt6_3D-6.8.0/sip/Qt3DCore/qsharedpointer.sip"

#include <qsharedpointer.h>


// The dtor for the saved QSharedPointer.
template<class T>
void qt3d_QspDtor(PyObject *capsule)
{
    delete reinterpret_cast<QSharedPointer<T> *>(
            PyCapsule_GetPointer(capsule, 0));
}


template<class T>
bool qt3d_SaveQsp(PyObject *py, QSharedPointer<T> *qsp)
{
    // Wrap the copy in a Python object.
    PyObject *qsp_obj = PyCapsule_New(qsp, 0, qt3d_QspDtor<T>);

    if (!qsp_obj)
        return false;

    sipSetUserObject((sipSimpleWrapper *)py, qsp_obj);

    return true;
}

#line 876 "/home/abuild/rpmbuild/BUILD/PyQt6_3D-6.8.0/build/Qt3DInput/sipAPIQt3DInput.h"

#endif
