/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-3D.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _Qt3DRenderAPI_H
#define _Qt3DRenderAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_8_0
#define SIP_TIMELINE_Qt3D_6_8_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_Qt3DRender__QPickingSettings__FaceOrientationPickingMode 0
#define sipName_Qt3DRender__QPickingSettings__FaceOrientationPickingMode &sipStrings_Qt3DRender[0]
#define sipNameNr_57 57
#define sipName_57 &sipStrings_Qt3DRender[57]
#define sipNameNr_113 113
#define sipName_113 &sipStrings_Qt3DRender[113]
#define sipNameNr_168 168
#define sipName_168 &sipStrings_Qt3DRender[168]
#define sipNameNr_Qt3DRender__QStencilTestArguments__StencilFaceMode 220
#define sipName_Qt3DRender__QStencilTestArguments__StencilFaceMode &sipStrings_Qt3DRender[220]
#define sipNameNr_Qt3DRender__QStencilTestArguments__StencilFunction 271
#define sipName_Qt3DRender__QStencilTestArguments__StencilFunction &sipStrings_Qt3DRender[271]
#define sipNameNr_Qt3DRender__QBlitFramebuffer__InterpolationMethod 322
#define sipName_Qt3DRender__QBlitFramebuffer__InterpolationMethod &sipStrings_Qt3DRender[322]
#define sipNameNr_Qt3DRender__QStencilOperationArguments__Operation 372
#define sipName_Qt3DRender__QStencilOperationArguments__Operation &sipStrings_Qt3DRender[372]
#define sipNameNr_Qt3DRender__QAbstractTexture__ComparisonFunction 422
#define sipName_Qt3DRender__QAbstractTexture__ComparisonFunction &sipStrings_Qt3DRender[422]
#define sipNameNr_Qt3DRender__QRenderTargetOutput__AttachmentPoint 471
#define sipName_Qt3DRender__QRenderTargetOutput__AttachmentPoint &sipStrings_Qt3DRender[471]
#define sipNameNr_Qt3DRender__QStencilOperationArguments__FaceMode 520
#define sipName_Qt3DRender__QStencilOperationArguments__FaceMode &sipStrings_Qt3DRender[520]
#define sipNameNr_569 569
#define sipName_569 &sipStrings_Qt3DRender[569]
#define sipNameNr_615 615
#define sipName_615 &sipStrings_Qt3DRender[615]
#define sipNameNr_661 661
#define sipName_661 &sipStrings_Qt3DRender[661]
#define sipNameNr_Qt3DRender__QBlendEquationArguments__Blending 707
#define sipName_Qt3DRender__QBlendEquationArguments__Blending &sipStrings_Qt3DRender[707]
#define sipNameNr_Qt3DRender__QGraphicsApiFilter__OpenGLProfile 753
#define sipName_Qt3DRender__QGraphicsApiFilter__OpenGLProfile &sipStrings_Qt3DRender[753]
#define sipNameNr_Qt3DRender__QAbstractTexture__ComparisonMode 799
#define sipName_Qt3DRender__QAbstractTexture__ComparisonMode &sipStrings_Qt3DRender[799]
#define sipNameNr_Qt3DRender__QCamera__CameraTranslationOption 844
#define sipName_Qt3DRender__QCamera__CameraTranslationOption &sipStrings_Qt3DRender[844]
#define sipNameNr_Qt3DRender__QGeometryRenderer__PrimitiveType 889
#define sipName_Qt3DRender__QGeometryRenderer__PrimitiveType &sipStrings_Qt3DRender[889]
#define sipNameNr_Qt3DRender__QPickingSettings__PickResultMode 934
#define sipName_Qt3DRender__QPickingSettings__PickResultMode &sipStrings_Qt3DRender[934]
#define sipNameNr_Qt3DRender__QAbstractTexture__TextureFormat 979
#define sipName_Qt3DRender__QAbstractTexture__TextureFormat &sipStrings_Qt3DRender[979]
#define sipNameNr_Qt3DRender__QAbstractRayCaster__FilterMode 1023
#define sipName_Qt3DRender__QAbstractRayCaster__FilterMode &sipStrings_Qt3DRender[1023]
#define sipNameNr_1066 1066
#define sipName_1066 &sipStrings_Qt3DRender[1066]
#define sipNameNr_Qt3DRender__QAbstractTexture__CubeMapFace 1108
#define sipName_Qt3DRender__QAbstractTexture__CubeMapFace &sipStrings_Qt3DRender[1108]
#define sipNameNr_Qt3DRender__QBlendEquation__BlendFunction 1150
#define sipName_Qt3DRender__QBlendEquation__BlendFunction &sipStrings_Qt3DRender[1150]
#define sipNameNr_Qt3DRender__QLevelOfDetail__ThresholdType 1192
#define sipName_Qt3DRender__QLevelOfDetail__ThresholdType &sipStrings_Qt3DRender[1192]
#define sipNameNr_Qt3DRender__QRenderAspect__SubmissionType 1234
#define sipName_Qt3DRender__QRenderAspect__SubmissionType &sipStrings_Qt3DRender[1234]
#define sipNameNr_Qt3DRender__QRenderSettings__RenderPolicy 1276
#define sipName_Qt3DRender__QRenderSettings__RenderPolicy &sipStrings_Qt3DRender[1276]
#define sipNameNr_1318 1318
#define sipName_1318 &sipStrings_Qt3DRender[1318]
#define sipNameNr_Qt3DRender__QAbstractTexture__HandleType 1359
#define sipName_Qt3DRender__QAbstractTexture__HandleType &sipStrings_Qt3DRender[1359]
#define sipNameNr_Qt3DRender__QFrontFace__WindingDirection 1400
#define sipName_Qt3DRender__QFrontFace__WindingDirection &sipStrings_Qt3DRender[1400]
#define sipNameNr_Qt3DRender__QLevelOfDetailBoundingSphere 1441
#define sipName_Qt3DRender__QLevelOfDetailBoundingSphere &sipStrings_Qt3DRender[1441]
#define sipNameNr_Qt3DRender__QPickingSettings__PickMethod 1482
#define sipName_Qt3DRender__QPickingSettings__PickMethod &sipStrings_Qt3DRender[1482]
#define sipNameNr_Qt3DRender__QRenderCapabilities__Profile 1523
#define sipName_Qt3DRender__QRenderCapabilities__Profile &sipStrings_Qt3DRender[1523]
#define sipNameNr_tessellationEvaluationShaderGraphChanged 1564
#define sipName_tessellationEvaluationShaderGraphChanged &sipStrings_Qt3DRender[1564]
#define sipNameNr_1605 1605
#define sipName_1605 &sipStrings_Qt3DRender[1605]
#define sipNameNr_1645 1645
#define sipName_1645 &sipStrings_Qt3DRender[1645]
#define sipNameNr_Qt3DRender__QAbstractRayCaster__RunMode 1685
#define sipName_Qt3DRender__QAbstractRayCaster__RunMode &sipStrings_Qt3DRender[1685]
#define sipNameNr_Qt3DRender__QCameraLens__ProjectionType 1725
#define sipName_Qt3DRender__QCameraLens__ProjectionType &sipStrings_Qt3DRender[1725]
#define sipNameNr_Qt3DRender__QSceneLoader__ComponentType 1765
#define sipName_Qt3DRender__QSceneLoader__ComponentType &sipStrings_Qt3DRender[1765]
#define sipNameNr_Qt3DRender__QSubtreeEnabler__Enablement 1805
#define sipName_Qt3DRender__QSubtreeEnabler__Enablement &sipStrings_Qt3DRender[1805]
#define sipNameNr_tessellationEvaluationShaderCodeChanged 1845
#define sipName_tessellationEvaluationShaderCodeChanged &sipStrings_Qt3DRender[1845]
#define sipNameNr_Qt3DRender__QShaderProgram__ShaderType 1885
#define sipName_Qt3DRender__QShaderProgram__ShaderType &sipStrings_Qt3DRender[1885]
#define sipNameNr_Qt3DRender__QStencilOperationArguments 1924
#define sipName_Qt3DRender__QStencilOperationArguments &sipStrings_Qt3DRender[1924]
#define sipNameNr_Qt3DRender__QTexture2DMultisampleArray 1963
#define sipName_Qt3DRender__QTexture2DMultisampleArray &sipStrings_Qt3DRender[1963]
#define sipNameNr_Qt3DRender__QTextureImageDataGenerator 2002
#define sipName_Qt3DRender__QTextureImageDataGenerator &sipStrings_Qt3DRender[2002]
#define sipNameNr_Qt3DRender__QTextureWrapMode__WrapMode 2041
#define sipName_Qt3DRender__QTextureWrapMode__WrapMode &sipStrings_Qt3DRender[2041]
#define sipNameNr_Qt3DRender__QAlphaTest__AlphaFunction 2080
#define sipName_Qt3DRender__QAlphaTest__AlphaFunction &sipStrings_Qt3DRender[2080]
#define sipNameNr_Qt3DRender__QClearBuffers__BufferType 2118
#define sipName_Qt3DRender__QClearBuffers__BufferType &sipStrings_Qt3DRender[2118]
#define sipNameNr_Qt3DRender__QDepthTest__DepthFunction 2156
#define sipName_Qt3DRender__QDepthTest__DepthFunction &sipStrings_Qt3DRender[2156]
#define sipNameNr_Qt3DRender__QMemoryBarrier__Operation 2194
#define sipName_Qt3DRender__QMemoryBarrier__Operation &sipStrings_Qt3DRender[2194]
#define sipNameNr_Qt3DRender__QShaderImage__ImageFormat 2232
#define sipName_Qt3DRender__QShaderImage__ImageFormat &sipStrings_Qt3DRender[2232]
#define sipNameNr_tessellationControlShaderGraphChanged 2270
#define sipName_tessellationControlShaderGraphChanged &sipStrings_Qt3DRender[2270]
#define sipNameNr_Qt3DRender__QAbstractTexture__Filter 2308
#define sipName_Qt3DRender__QAbstractTexture__Filter &sipStrings_Qt3DRender[2308]
#define sipNameNr_Qt3DRender__QAbstractTexture__Status 2345
#define sipName_Qt3DRender__QAbstractTexture__Status &sipStrings_Qt3DRender[2345]
#define sipNameNr_Qt3DRender__QAbstractTexture__Target 2382
#define sipName_Qt3DRender__QAbstractTexture__Target &sipStrings_Qt3DRender[2382]
#define sipNameNr_Qt3DRender__QComputeCommand__RunType 2419
#define sipName_Qt3DRender__QComputeCommand__RunType &sipStrings_Qt3DRender[2419]
#define sipNameNr_Qt3DRender__QLayerFilter__FilterMode 2456
#define sipName_Qt3DRender__QLayerFilter__FilterMode &sipStrings_Qt3DRender[2456]
#define sipNameNr_Qt3DRender__QMultiSampleAntiAliasing 2493
#define sipName_Qt3DRender__QMultiSampleAntiAliasing &sipStrings_Qt3DRender[2493]
#define sipNameNr_Qt3DRender__QRenderCapabilities__API 2530
#define sipName_Qt3DRender__QRenderCapabilities__API &sipStrings_Qt3DRender[2530]
#define sipNameNr_setTessellationEvaluationShaderGraph 2567
#define sipName_setTessellationEvaluationShaderGraph &sipStrings_Qt3DRender[2567]
#define sipNameNr_tessellationControlShaderCodeChanged 2604
#define sipName_tessellationControlShaderCodeChanged &sipStrings_Qt3DRender[2604]
#define sipNameNr_Qt3DRender__PropertyReaderInterface 2641
#define sipName_Qt3DRender__PropertyReaderInterface &sipStrings_Qt3DRender[2641]
#define sipNameNr_Qt3DRender__QBlendEquationArguments 2677
#define sipName_Qt3DRender__QBlendEquationArguments &sipStrings_Qt3DRender[2677]
#define sipNameNr_Qt3DRender__QGraphicsApiFilter__Api 2713
#define sipName_Qt3DRender__QGraphicsApiFilter__Api &sipStrings_Qt3DRender[2713]
#define sipNameNr_Qt3DRender__QRasterMode__RasterMode 2749
#define sipName_Qt3DRender__QRasterMode__RasterMode &sipStrings_Qt3DRender[2749]
#define sipNameNr_setTessellationEvaluationShaderCode 2785
#define sipName_setTessellationEvaluationShaderCode &sipStrings_Qt3DRender[2785]
#define sipNameNr_Qt3DRender__QCullFace__CullingMode 2821
#define sipName_Qt3DRender__QCullFace__CullingMode &sipStrings_Qt3DRender[2821]
#define sipNameNr_Qt3DRender__QRayCasterHit__HitType 2856
#define sipName_Qt3DRender__QRayCasterHit__HitType &sipStrings_Qt3DRender[2856]
#define sipNameNr_Qt3DRender__QRenderSurfaceSelector 2891
#define sipName_Qt3DRender__QRenderSurfaceSelector &sipStrings_Qt3DRender[2891]
#define sipNameNr_Qt3DRender__QShaderProgram__Format 2926
#define sipName_Qt3DRender__QShaderProgram__Format &sipStrings_Qt3DRender[2926]
#define sipNameNr_Qt3DRender__QShaderProgram__Status 2961
#define sipName_Qt3DRender__QShaderProgram__Status &sipStrings_Qt3DRender[2961]
#define sipNameNr_Qt3DRender__QWaitFence__HandleType 2996
#define sipName_Qt3DRender__QWaitFence__HandleType &sipStrings_Qt3DRender[2996]
#define sipNameNr_stencilTestFailureOperationChanged 3031
#define sipName_stencilTestFailureOperationChanged &sipStrings_Qt3DRender[3031]
#define sipNameNr_ProjectedScreenPixelSizeThreshold 3066
#define sipName_ProjectedScreenPixelSizeThreshold &sipStrings_Qt3DRender[3066]
#define sipNameNr_Qt3DRender__QAbstractTextureImage 3100
#define sipName_Qt3DRender__QAbstractTextureImage &sipStrings_Qt3DRender[3100]
#define sipNameNr_Qt3DRender__QPickEvent__Modifiers 3134
#define sipName_Qt3DRender__QPickEvent__Modifiers &sipStrings_Qt3DRender[3134]
#define sipNameNr_Qt3DRender__QRasterMode__FaceMode 3168
#define sipName_Qt3DRender__QRasterMode__FaceMode &sipStrings_Qt3DRender[3168]
#define sipNameNr_Qt3DRender__QRenderTargetSelector 3202
#define sipName_Qt3DRender__QRenderTargetSelector &sipStrings_Qt3DRender[3202]
#define sipNameNr_Qt3DRender__QSetFence__HandleType 3236
#define sipName_Qt3DRender__QSetFence__HandleType &sipStrings_Qt3DRender[3236]
#define sipNameNr_Qt3DRender__QShaderProgramBuilder 3270
#define sipName_Qt3DRender__QShaderProgramBuilder &sipStrings_Qt3DRender[3270]
#define sipNameNr_Qt3DRender__QSortPolicy__SortType 3304
#define sipName_Qt3DRender__QSortPolicy__SortType &sipStrings_Qt3DRender[3304]
#define sipNameNr_Qt3DRender__QStencilTestArguments 3338
#define sipName_Qt3DRender__QStencilTestArguments &sipStrings_Qt3DRender[3338]
#define sipNameNr_Qt3DRender__QTexture2DMultisample 3372
#define sipName_Qt3DRender__QTexture2DMultisample &sipStrings_Qt3DRender[3372]
#define sipNameNr_Qt3DRender__QTextureImage__Status 3406
#define sipName_Qt3DRender__QTextureImage__Status &sipStrings_Qt3DRender[3406]
#define sipNameNr_destinationAttachmentPointChanged 3440
#define sipName_destinationAttachmentPointChanged &sipStrings_Qt3DRender[3440]
#define sipNameNr_faceOrientationPickingModeChanged 3474
#define sipName_faceOrientationPickingModeChanged &sipStrings_Qt3DRender[3474]
#define sipNameNr_setTessellationControlShaderGraph 3508
#define sipName_setTessellationControlShaderGraph &sipStrings_Qt3DRender[3508]
#define sipNameNr_tessellationEvaluationShaderGraph 3542
#define sipName_tessellationEvaluationShaderGraph &sipStrings_Qt3DRender[3542]
#define sipNameNr_3576 3576
#define sipName_3576 &sipStrings_Qt3DRender[3576]
#define sipNameNr_3609 3609
#define sipName_3609 &sipStrings_Qt3DRender[3609]
#define sipNameNr_Qt3DRender__QAbstractLight__Type 3642
#define sipName_Qt3DRender__QAbstractLight__Type &sipStrings_Qt3DRender[3642]
#define sipNameNr_Qt3DRender__QLevelOfDetailSwitch 3675
#define sipName_Qt3DRender__QLevelOfDetailSwitch &sipStrings_Qt3DRender[3675]
#define sipNameNr_Qt3DRender__QPaintedTextureImage 3708
#define sipName_Qt3DRender__QPaintedTextureImage &sipStrings_Qt3DRender[3708]
#define sipNameNr_Qt3DRender__QPointSize__SizeMode 3741
#define sipName_Qt3DRender__QPointSize__SizeMode &sipStrings_Qt3DRender[3741]
#define sipNameNr_Qt3DRender__QSceneLoader__Status 3774
#define sipName_Qt3DRender__QSceneLoader__Status &sipStrings_Qt3DRender[3774]
#define sipNameNr_Qt3DRender__QShaderImage__Access 3807
#define sipName_Qt3DRender__QShaderImage__Access &sipStrings_Qt3DRender[3807]
#define sipNameNr_Qt3DRender__QTextureCubeMapArray 3840
#define sipName_Qt3DRender__QTextureCubeMapArray &sipStrings_Qt3DRender[3840]
#define sipNameNr_depthTestFailureOperationChanged 3873
#define sipName_depthTestFailureOperationChanged &sipStrings_Qt3DRender[3873]
#define sipNameNr_setTessellationControlShaderCode 3906
#define sipName_setTessellationControlShaderCode &sipStrings_Qt3DRender[3906]
#define sipNameNr_tessellationEvaluationShaderCode 3939
#define sipName_tessellationEvaluationShaderCode &sipStrings_Qt3DRender[3939]
#define sipNameNr_3972 3972
#define sipName_3972 &sipStrings_Qt3DRender[3972]
#define sipNameNr_Qt3DRender__QPickEvent__Buttons 4004
#define sipName_Qt3DRender__QPickEvent__Buttons &sipStrings_Qt3DRender[4004]
#define sipNameNr_Qt3DRender__QRenderCapabilities 4036
#define sipName_Qt3DRender__QRenderCapabilities &sipStrings_Qt3DRender[4036]
#define sipNameNr_Qt3DRender__QRenderCaptureReply 4068
#define sipName_Qt3DRender__QRenderCaptureReply &sipStrings_Qt3DRender[4068]
#define sipNameNr_Qt3DRender__QRenderTargetOutput 4100
#define sipName_Qt3DRender__QRenderTargetOutput &sipStrings_Qt3DRender[4100]
#define sipNameNr_externalRenderTargetSizeChanged 4132
#define sipName_externalRenderTargetSizeChanged &sipStrings_Qt3DRender[4132]
#define sipNameNr_4164 4164
#define sipName_4164 &sipStrings_Qt3DRender[4164]
#define sipNameNr_4195 4195
#define sipName_4195 &sipStrings_Qt3DRender[4195]
#define sipNameNr_4226 4226
#define sipName_4226 &sipStrings_Qt3DRender[4226]
#define sipNameNr_Qt3DRender__QAbstractRayCaster 4257
#define sipName_Qt3DRender__QAbstractRayCaster &sipStrings_Qt3DRender[4257]
#define sipNameNr_Qt3DRender__QGraphicsApiFilter 4288
#define sipName_Qt3DRender__QGraphicsApiFilter &sipStrings_Qt3DRender[4288]
#define sipNameNr_Qt3DRender__QPickTriangleEvent 4319
#define sipName_Qt3DRender__QPickTriangleEvent &sipStrings_Qt3DRender[4319]
#define sipNameNr_Qt3DRender__QTextureDataUpdate 4350
#define sipName_Qt3DRender__QTextureDataUpdate &sipStrings_Qt3DRender[4350]
#define sipNameNr_SRGB8_PunchThrough_Alpha1_ETC2 4381
#define sipName_SRGB8_PunchThrough_Alpha1_ETC2 &sipStrings_Qt3DRender[4381]
#define sipNameNr_primitiveRestartEnabledChanged 4412
#define sipName_primitiveRestartEnabledChanged &sipStrings_Qt3DRender[4412]
#define sipNameNr_setAutoMipMapGenerationEnabled 4443
#define sipName_setAutoMipMapGenerationEnabled &sipStrings_Qt3DRender[4443]
#define sipNameNr_setStencilTestFailureOperation 4474
#define sipName_setStencilTestFailureOperation &sipStrings_Qt3DRender[4474]
#define sipNameNr_tessellationControlShaderGraph 4505
#define sipName_tessellationControlShaderGraph &sipStrings_Qt3DRender[4505]
#define sipNameNr_Qt3DRender__QDirectionalLight 4536
#define sipName_Qt3DRender__QDirectionalLight &sipStrings_Qt3DRender[4536]
#define sipNameNr_Qt3DRender__QEnvironmentLight 4566
#define sipName_Qt3DRender__QEnvironmentLight &sipStrings_Qt3DRender[4566]
#define sipNameNr_Qt3DRender__QGeometryRenderer 4596
#define sipName_Qt3DRender__QGeometryRenderer &sipStrings_Qt3DRender[4596]
#define sipNameNr_Qt3DRender__QRenderPassFilter 4626
#define sipName_Qt3DRender__QRenderPassFilter &sipStrings_Qt3DRender[4626]
#define sipNameNr_Qt3DRender__QStencilOperation 4656
#define sipName_Qt3DRender__QStencilOperation &sipStrings_Qt3DRender[4656]
#define sipNameNr_Qt3DRender__QTextureImageData 4686
#define sipName_Qt3DRender__QTextureImageData &sipStrings_Qt3DRender[4686]
#define sipNameNr_Qt3DRender__QTextureRectangle 4716
#define sipName_Qt3DRender__QTextureRectangle &sipStrings_Qt3DRender[4716]
#define sipNameNr_RGB8_PunchThrough_Alpha1_ETC2 4382
#define sipName_RGB8_PunchThrough_Alpha1_ETC2 &sipStrings_Qt3DRender[4382]
#define sipNameNr_isAutoMipMapGenerationEnabled 4746
#define sipName_isAutoMipMapGenerationEnabled &sipStrings_Qt3DRender[4746]
#define sipNameNr_setDestinationAttachmentPoint 4776
#define sipName_setDestinationAttachmentPoint &sipStrings_Qt3DRender[4776]
#define sipNameNr_setFaceOrientationPickingMode 4806
#define sipName_setFaceOrientationPickingMode &sipStrings_Qt3DRender[4806]
#define sipNameNr_tessellationControlShaderCode 4836
#define sipName_tessellationControlShaderCode &sipStrings_Qt3DRender[4836]
#define sipNameNr_QLevelOfDetailBoundingSphere 1453
#define sipName_QLevelOfDetailBoundingSphere &sipStrings_Qt3DRender[1453]
#define sipNameNr_Qt3DRender__QAbstractTexture 4866
#define sipName_Qt3DRender__QAbstractTexture &sipStrings_Qt3DRender[4866]
#define sipNameNr_Qt3DRender__QBlitFramebuffer 4895
#define sipName_Qt3DRender__QBlitFramebuffer &sipStrings_Qt3DRender[4895]
#define sipNameNr_Qt3DRender__QDispatchCompute 4924
#define sipName_Qt3DRender__QDispatchCompute &sipStrings_Qt3DRender[4924]
#define sipNameNr_Qt3DRender__QPickingSettings 4953
#define sipName_Qt3DRender__QPickingSettings &sipStrings_Qt3DRender[4953]
#define sipNameNr_Qt3DRender__QProximityFilter 4982
#define sipName_Qt3DRender__QProximityFilter &sipStrings_Qt3DRender[4982]
#define sipNameNr_Qt3DRender__QScreenRayCaster 5011
#define sipName_Qt3DRender__QScreenRayCaster &sipStrings_Qt3DRender[5011]
#define sipNameNr_Qt3DRender__QSeamlessCubemap 5040
#define sipName_Qt3DRender__QSeamlessCubemap &sipStrings_Qt3DRender[5040]
#define sipNameNr_Qt3DRender__QSharedGLTexture 5069
#define sipName_Qt3DRender__QSharedGLTexture &sipStrings_Qt3DRender[5069]
#define sipNameNr_Qt3DRender__QTechniqueFilter 5098
#define sipName_Qt3DRender__QTechniqueFilter &sipStrings_Qt3DRender[5098]
#define sipNameNr_Qt3DRender__QTextureWrapMode 5127
#define sipName_Qt3DRender__QTextureWrapMode &sipStrings_Qt3DRender[5127]
#define sipNameNr_allTestsPassOperationChanged 5156
#define sipName_allTestsPassOperationChanged &sipStrings_Qt3DRender[5156]
#define sipNameNr_indexBufferByteOffsetChanged 5185
#define sipName_indexBufferByteOffsetChanged &sipStrings_Qt3DRender[5185]
#define sipNameNr_setDepthTestFailureOperation 5214
#define sipName_setDepthTestFailureOperation &sipStrings_Qt3DRender[5214]
#define sipNameNr_sourceAttachmentPointChanged 5243
#define sipName_sourceAttachmentPointChanged &sipStrings_Qt3DRender[5243]
#define sipNameNr_Qt3DRender__QCameraSelector 5272
#define sipName_Qt3DRender__QCameraSelector &sipStrings_Qt3DRender[5272]
#define sipNameNr_Qt3DRender__QComputeCommand 5300
#define sipName_Qt3DRender__QComputeCommand &sipStrings_Qt3DRender[5300]
#define sipNameNr_Qt3DRender__QFrameGraphNode 5328
#define sipName_Qt3DRender__QFrameGraphNode &sipStrings_Qt3DRender[5328]
#define sipNameNr_Qt3DRender__QFrustumCulling 5356
#define sipName_Qt3DRender__QFrustumCulling &sipStrings_Qt3DRender[5356]
#define sipNameNr_Qt3DRender__QPickPointEvent 5384
#define sipName_Qt3DRender__QPickPointEvent &sipStrings_Qt3DRender[5384]
#define sipNameNr_Qt3DRender__QRenderSettings 5412
#define sipName_Qt3DRender__QRenderSettings &sipStrings_Qt3DRender[5412]
#define sipNameNr_Qt3DRender__QRenderStateSet 5440
#define sipName_Qt3DRender__QRenderStateSet &sipStrings_Qt3DRender[5440]
#define sipNameNr_Qt3DRender__QSubtreeEnabler 5468
#define sipName_Qt3DRender__QSubtreeEnabler &sipStrings_Qt3DRender[5468]
#define sipNameNr_Qt3DRender__QTexture1DArray 5496
#define sipName_Qt3DRender__QTexture1DArray &sipStrings_Qt3DRender[5496]
#define sipNameNr_Qt3DRender__QTexture2DArray 5524
#define sipName_Qt3DRender__QTexture2DArray &sipStrings_Qt3DRender[5524]
#define sipNameNr_Qt3DRender__QTextureCubeMap 5552
#define sipName_Qt3DRender__QTextureCubeMap &sipStrings_Qt3DRender[5552]
#define sipNameNr_quadraticAttenuationChanged 5580
#define sipName_quadraticAttenuationChanged &sipStrings_Qt3DRender[5580]
#define sipNameNr_setExternalRenderTargetSize 5608
#define sipName_setExternalRenderTargetSize &sipStrings_Qt3DRender[5608]
#define sipNameNr_stencilTestFailureOperation 5636
#define sipName_stencilTestFailureOperation &sipStrings_Qt3DRender[5636]
#define sipNameNr_FaceOrientationPickingMode 30
#define sipName_FaceOrientationPickingMode &sipStrings_Qt3DRender[30]
#define sipNameNr_5664 5664
#define sipName_5664 &sipStrings_Qt3DRender[5664]
#define sipNameNr_QStencilOperationArguments 1936
#define sipName_QStencilOperationArguments &sipStrings_Qt3DRender[1936]
#define sipNameNr_QTexture2DMultisampleArray 1975
#define sipName_QTexture2DMultisampleArray &sipStrings_Qt3DRender[1975]
#define sipNameNr_QTextureImageDataGenerator 2014
#define sipName_QTextureImageDataGenerator &sipStrings_Qt3DRender[2014]
#define sipNameNr_Qt3DRender__QAbstractLight 5691
#define sipName_Qt3DRender__QAbstractLight &sipStrings_Qt3DRender[5691]
#define sipNameNr_Qt3DRender__QAlphaCoverage 5718
#define sipName_Qt3DRender__QAlphaCoverage &sipStrings_Qt3DRender[5718]
#define sipNameNr_Qt3DRender__QBlendEquation 5745
#define sipName_Qt3DRender__QBlendEquation &sipStrings_Qt3DRender[5745]
#define sipNameNr_Qt3DRender__QLevelOfDetail 5772
#define sipName_Qt3DRender__QLevelOfDetail &sipStrings_Qt3DRender[5772]
#define sipNameNr_Qt3DRender__QMemoryBarrier 5799
#define sipName_Qt3DRender__QMemoryBarrier &sipStrings_Qt3DRender[5799]
#define sipNameNr_Qt3DRender__QPickLineEvent 5826
#define sipName_Qt3DRender__QPickLineEvent &sipStrings_Qt3DRender[5826]
#define sipNameNr_Qt3DRender__QPolygonOffset 5853
#define sipName_Qt3DRender__QPolygonOffset &sipStrings_Qt3DRender[5853]
#define sipNameNr_Qt3DRender__QRenderCapture 5880
#define sipName_Qt3DRender__QRenderCapture &sipStrings_Qt3DRender[5880]
#define sipNameNr_Qt3DRender__QShaderProgram 5907
#define sipName_Qt3DRender__QShaderProgram &sipStrings_Qt3DRender[5907]
#define sipNameNr_Qt3DRender__QTextureBuffer 5934
#define sipName_Qt3DRender__QTextureBuffer &sipStrings_Qt3DRender[5934]
#define sipNameNr_Qt3DRender__QTextureLoader 5961
#define sipName_Qt3DRender__QTextureLoader &sipStrings_Qt3DRender[5961]
#define sipNameNr_constantAttenuationChanged 5988
#define sipName_constantAttenuationChanged &sipStrings_Qt3DRender[5988]
#define sipNameNr_destinationAttachmentPoint 6015
#define sipName_destinationAttachmentPoint &sipStrings_Qt3DRender[6015]
#define sipNameNr_faceOrientationPickingMode 6042
#define sipName_faceOrientationPickingMode &sipStrings_Qt3DRender[6042]
#define sipNameNr_fragmentShaderGraphChanged 6069
#define sipName_fragmentShaderGraphChanged &sipStrings_Qt3DRender[6069]
#define sipNameNr_geometryShaderGraphChanged 6096
#define sipName_geometryShaderGraphChanged &sipStrings_Qt3DRender[6096]
#define sipNameNr_interpolationMethodChanged 6123
#define sipName_interpolationMethodChanged &sipStrings_Qt3DRender[6123]
#define sipNameNr_magnificationFilterChanged 6150
#define sipName_magnificationFilterChanged &sipStrings_Qt3DRender[6150]
#define sipNameNr_maxComputeSharedMemorySize 6177
#define sipName_maxComputeSharedMemorySize &sipStrings_Qt3DRender[6177]
#define sipNameNr_notifyDataGeneratorChanged 6204
#define sipName_notifyDataGeneratorChanged &sipStrings_Qt3DRender[6204]
#define sipNameNr_setPrimitiveRestartEnabled 6231
#define sipName_setPrimitiveRestartEnabled &sipStrings_Qt3DRender[6231]
#define sipNameNr_worldSpaceToleranceChanged 6258
#define sipName_worldSpaceToleranceChanged &sipStrings_Qt3DRender[6258]
#define sipNameNr_DistanceToCameraThreshold 6285
#define sipName_DistanceToCameraThreshold &sipStrings_Qt3DRender[6285]
#define sipNameNr_GeometryRendererComponent 6311
#define sipName_GeometryRendererComponent &sipStrings_Qt3DRender[6311]
#define sipNameNr_Qt3DRender__QClearBuffers 6337
#define sipName_Qt3DRender__QClearBuffers &sipStrings_Qt3DRender[6337]
#define sipNameNr_Qt3DRender__QMesh__Status 6363
#define sipName_Qt3DRender__QMesh__Status &sipStrings_Qt3DRender[6363]
#define sipNameNr_Qt3DRender__QObjectPicker 6389
#define sipName_Qt3DRender__QObjectPicker &sipStrings_Qt3DRender[6389]
#define sipNameNr_Qt3DRender__QPickingProxy 6415
#define sipName_Qt3DRender__QPickingProxy &sipStrings_Qt3DRender[6415]
#define sipNameNr_Qt3DRender__QRayCasterHit 6441
#define sipName_Qt3DRender__QRayCasterHit &sipStrings_Qt3DRender[6441]
#define sipNameNr_Qt3DRender__QRenderAspect 6467
#define sipName_Qt3DRender__QRenderAspect &sipStrings_Qt3DRender[6467]
#define sipNameNr_Qt3DRender__QRenderTarget 6493
#define sipName_Qt3DRender__QRenderTarget &sipStrings_Qt3DRender[6493]
#define sipNameNr_Qt3DRender__QTextureImage 6519
#define sipName_Qt3DRender__QTextureImage &sipStrings_Qt3DRender[6519]
#define sipNameNr_comparisonFunctionChanged 6545
#define sipName_comparisonFunctionChanged &sipStrings_Qt3DRender[6545]
#define sipNameNr_computeShaderGraphChanged 6571
#define sipName_computeShaderGraphChanged &sipStrings_Qt3DRender[6571]
#define sipNameNr_depthTestFailureOperation 6597
#define sipName_depthTestFailureOperation &sipStrings_Qt3DRender[6597]
#define sipNameNr_fragmentShaderCodeChanged 6623
#define sipName_fragmentShaderCodeChanged &sipStrings_Qt3DRender[6623]
#define sipNameNr_geometryShaderCodeChanged 6649
#define sipName_geometryShaderCodeChanged &sipStrings_Qt3DRender[6649]
#define sipNameNr_minificationFilterChanged 6675
#define sipName_minificationFilterChanged &sipStrings_Qt3DRender[6675]
#define sipNameNr_setOrthographicProjection 6701
#define sipName_setOrthographicProjection &sipStrings_Qt3DRender[6701]
#define sipNameNr_DiscardAllMatchingLayers 6727
#define sipName_DiscardAllMatchingLayers &sipStrings_Qt3DRender[6727]
#define sipNameNr_DiscardAnyMatchingLayers 6752
#define sipName_DiscardAnyMatchingLayers &sipStrings_Qt3DRender[6752]
#define sipNameNr_OneMinusDestinationAlpha 6777
#define sipName_OneMinusDestinationAlpha &sipStrings_Qt3DRender[6777]
#define sipNameNr_OneMinusDestinationColor 6802
#define sipName_OneMinusDestinationColor &sipStrings_Qt3DRender[6802]
#define sipNameNr_QMultiSampleAntiAliasing 2505
#define sipName_QMultiSampleAntiAliasing &sipStrings_Qt3DRender[2505]
#define sipNameNr_Qt3DRender__QLayerFilter 6827
#define sipName_Qt3DRender__QLayerFilter &sipStrings_Qt3DRender[6827]
#define sipNameNr_Qt3DRender__QNoDepthMask 6852
#define sipName_Qt3DRender__QNoDepthMask &sipStrings_Qt3DRender[6852]
#define sipNameNr_Qt3DRender__QRenderState 6877
#define sipName_Qt3DRender__QRenderState &sipStrings_Qt3DRender[6877]
#define sipNameNr_Qt3DRender__QSceneLoader 6902
#define sipName_Qt3DRender__QSceneLoader &sipStrings_Qt3DRender[6902]
#define sipNameNr_Qt3DRender__QScissorTest 6927
#define sipName_Qt3DRender__QScissorTest &sipStrings_Qt3DRender[6927]
#define sipNameNr_Qt3DRender__QShaderImage 6952
#define sipName_Qt3DRender__QShaderImage &sipStrings_Qt3DRender[6952]
#define sipNameNr_Qt3DRender__QStencilMask 6977
#define sipName_Qt3DRender__QStencilMask &sipStrings_Qt3DRender[6977]
#define sipNameNr_Qt3DRender__QStencilTest 7002
#define sipName_Qt3DRender__QStencilTest &sipStrings_Qt3DRender[7002]
#define sipNameNr_Qt3DRender__QTextureData 7027
#define sipName_Qt3DRender__QTextureData &sipStrings_Qt3DRender[7027]
#define sipNameNr_Target2DMultisampleArray 7052
#define sipName_Target2DMultisampleArray &sipStrings_Qt3DRender[7052]
#define sipNameNr_clearStencilValueChanged 7077
#define sipName_clearStencilValueChanged &sipStrings_Qt3DRender[7077]
#define sipNameNr_computeShaderCodeChanged 7102
#define sipName_computeShaderCodeChanged &sipStrings_Qt3DRender[7102]
#define sipNameNr_distanceThresholdChanged 7127
#define sipName_distanceThresholdChanged &sipStrings_Qt3DRender[7127]
#define sipNameNr_externalRenderTargetSize 7152
#define sipName_externalRenderTargetSize &sipStrings_Qt3DRender[7152]
#define sipNameNr_graphicsApiFilterChanged 7177
#define sipName_graphicsApiFilterChanged &sipStrings_Qt3DRender[7177]
#define sipNameNr_linearAttenuationChanged 7202
#define sipName_linearAttenuationChanged &sipStrings_Qt3DRender[7202]
#define sipNameNr_maximumAnisotropyChanged 7227
#define sipName_maximumAnisotropyChanged &sipStrings_Qt3DRender[7227]
#define sipNameNr_restartIndexValueChanged 7252
#define sipName_restartIndexValueChanged &sipStrings_Qt3DRender[7252]
#define sipNameNr_setAllTestsPassOperation 7277
#define sipName_setAllTestsPassOperation &sipStrings_Qt3DRender[7277]
#define sipNameNr_setIndexBufferByteOffset 7302
#define sipName_setIndexBufferByteOffset &sipStrings_Qt3DRender[7302]
#define sipNameNr_setPerspectiveProjection 7327
#define sipName_setPerspectiveProjection &sipStrings_Qt3DRender[7327]
#define sipNameNr_setSourceAttachmentPoint 7352
#define sipName_setSourceAttachmentPoint &sipStrings_Qt3DRender[7352]
#define sipNameNr_surfacePixelRatioChanged 7377
#define sipName_surfacePixelRatioChanged &sipStrings_Qt3DRender[7377]
#define sipNameNr_vertexShaderGraphChanged 7402
#define sipName_vertexShaderGraphChanged &sipStrings_Qt3DRender[7402]
#define sipNameNr_AcceptAllMatchingLayers 7427
#define sipName_AcceptAllMatchingLayers &sipStrings_Qt3DRender[7427]
#define sipNameNr_AcceptAnyMatchingLayers 7451
#define sipName_AcceptAnyMatchingLayers &sipStrings_Qt3DRender[7451]
#define sipNameNr_CameraTranslationOption 865
#define sipName_CameraTranslationOption &sipStrings_Qt3DRender[865]
#define sipNameNr_ColorDepthStencilBuffer 7475
#define sipName_ColorDepthStencilBuffer &sipStrings_Qt3DRender[7475]
#define sipNameNr_DontTranslateViewCenter 7499
#define sipName_DontTranslateViewCenter &sipStrings_Qt3DRender[7499]
#define sipNameNr_PropertyReaderInterface 2653
#define sipName_PropertyReaderInterface &sipStrings_Qt3DRender[2653]
#define sipNameNr_PyQt6_sip_simplewrapper 7523
#define sipName_PyQt6_sip_simplewrapper &sipStrings_Qt3DRender[7523]
#define sipNameNr_QBlendEquationArguments 2689
#define sipName_QBlendEquationArguments &sipStrings_Qt3DRender[2689]
#define sipNameNr_Qt3DRender__QCameraLens 7547
#define sipName_Qt3DRender__QCameraLens &sipStrings_Qt3DRender[7547]
#define sipNameNr_Qt3DRender__QDepthRange 7571
#define sipName_Qt3DRender__QDepthRange &sipStrings_Qt3DRender[7571]
#define sipNameNr_Qt3DRender__QPointLight 7595
#define sipName_Qt3DRender__QPointLight &sipStrings_Qt3DRender[7595]
#define sipNameNr_Qt3DRender__QRasterMode 7619
#define sipName_Qt3DRender__QRasterMode &sipStrings_Qt3DRender[7619]
#define sipNameNr_Qt3DRender__QRenderPass 7643
#define sipName_Qt3DRender__QRenderPass &sipStrings_Qt3DRender[7643]
#define sipNameNr_Qt3DRender__QShaderData 7667
#define sipName_Qt3DRender__QShaderData &sipStrings_Qt3DRender[7667]
#define sipNameNr_Qt3DRender__QSortPolicy 7691
#define sipName_Qt3DRender__QSortPolicy &sipStrings_Qt3DRender[7691]
#define sipNameNr_activeFrameGraphChanged 7715
#define sipName_activeFrameGraphChanged &sipStrings_Qt3DRender[7715]
#define sipNameNr_destinationAlphaChanged 7739
#define sipName_destinationAlphaChanged &sipStrings_Qt3DRender[7739]
#define sipNameNr_primitiveRestartEnabled 7763
#define sipName_primitiveRestartEnabled &sipStrings_Qt3DRender[7763]
#define sipNameNr_projectionMatrixChanged 7787
#define sipName_projectionMatrixChanged &sipStrings_Qt3DRender[7787]
#define sipNameNr_setQuadraticAttenuation 7811
#define sipName_setQuadraticAttenuation &sipStrings_Qt3DRender[7811]
#define sipNameNr_vertexShaderCodeChanged 7835
#define sipName_vertexShaderCodeChanged &sipStrings_Qt3DRender[7835]
#define sipNameNr_verticesPerPatchChanged 7859
#define sipName_verticesPerPatchChanged &sipStrings_Qt3DRender[7859]
#define sipNameNr_OrthographicProjection 6704
#define sipName_OrthographicProjection &sipStrings_Qt3DRender[6704]
#define sipNameNr_QRenderSurfaceSelector 2903
#define sipName_QRenderSurfaceSelector &sipStrings_Qt3DRender[2903]
#define sipNameNr_Qt3DRender__QAlphaTest 7883
#define sipName_Qt3DRender__QAlphaTest &sipStrings_Qt3DRender[7883]
#define sipNameNr_Qt3DRender__QClipPlane 7906
#define sipName_Qt3DRender__QClipPlane &sipStrings_Qt3DRender[7906]
#define sipNameNr_Qt3DRender__QColorMask 7929
#define sipName_Qt3DRender__QColorMask &sipStrings_Qt3DRender[7929]
#define sipNameNr_Qt3DRender__QDepthTest 7952
#define sipName_Qt3DRender__QDepthTest &sipStrings_Qt3DRender[7952]
#define sipNameNr_Qt3DRender__QDithering 7975
#define sipName_Qt3DRender__QDithering &sipStrings_Qt3DRender[7975]
#define sipNameNr_Qt3DRender__QFilterKey 7998
#define sipName_Qt3DRender__QFilterKey &sipStrings_Qt3DRender[7998]
#define sipNameNr_Qt3DRender__QFrontFace 8021
#define sipName_Qt3DRender__QFrontFace &sipStrings_Qt3DRender[8021]
#define sipNameNr_Qt3DRender__QLineWidth 8044
#define sipName_Qt3DRender__QLineWidth &sipStrings_Qt3DRender[8044]
#define sipNameNr_Qt3DRender__QNoPicking 8067
#define sipName_Qt3DRender__QNoPicking &sipStrings_Qt3DRender[8067]
#define sipNameNr_Qt3DRender__QParameter 8090
#define sipName_Qt3DRender__QParameter &sipStrings_Qt3DRender[8090]
#define sipNameNr_Qt3DRender__QPickEvent 8113
#define sipName_Qt3DRender__QPickEvent &sipStrings_Qt3DRender[8113]
#define sipNameNr_Qt3DRender__QPointSize 8136
#define sipName_Qt3DRender__QPointSize &sipStrings_Qt3DRender[8136]
#define sipNameNr_Qt3DRender__QRayCaster 8159
#define sipName_Qt3DRender__QRayCaster &sipStrings_Qt3DRender[8159]
#define sipNameNr_Qt3DRender__QSpotLight 8182
#define sipName_Qt3DRender__QSpotLight &sipStrings_Qt3DRender[8182]
#define sipNameNr_Qt3DRender__QTechnique 8205
#define sipName_Qt3DRender__QTechnique &sipStrings_Qt3DRender[8205]
#define sipNameNr_Qt3DRender__QTexture1D 8228
#define sipName_Qt3DRender__QTexture1D &sipStrings_Qt3DRender[8228]
#define sipNameNr_Qt3DRender__QTexture2D 8251
#define sipName_Qt3DRender__QTexture2D &sipStrings_Qt3DRender[8251]
#define sipNameNr_Qt3DRender__QTexture3D 8274
#define sipName_Qt3DRender__QTexture3D &sipStrings_Qt3DRender[8274]
#define sipNameNr_Qt3DRender__QWaitFence 8297
#define sipName_Qt3DRender__QWaitFence &sipStrings_Qt3DRender[8297]
#define sipNameNr_TessellationEvaluation 8320
#define sipName_TessellationEvaluation &sipStrings_Qt3DRender[8320]
#define sipNameNr_TriangleStripAdjacency 8343
#define sipName_TriangleStripAdjacency &sipStrings_Qt3DRender[8343]
#define sipNameNr_attachmentPointChanged 8366
#define sipName_attachmentPointChanged &sipStrings_Qt3DRender[8366]
#define sipNameNr_clearDepthValueChanged 8389
#define sipName_clearDepthValueChanged &sipStrings_Qt3DRender[8389]
#define sipNameNr_destinationRectChanged 8412
#define sipName_destinationRectChanged &sipStrings_Qt3DRender[8412]
#define sipNameNr_destinationRgbaChanged 8435
#define sipName_destinationRgbaChanged &sipStrings_Qt3DRender[8435]
#define sipNameNr_frontOutputMaskChanged 8458
#define sipName_frontOutputMaskChanged &sipStrings_Qt3DRender[8458]
#define sipNameNr_generateMipMapsChanged 8481
#define sipName_generateMipMapsChanged &sipStrings_Qt3DRender[8481]
#define sipNameNr_setConstantAttenuation 8504
#define sipName_setConstantAttenuation &sipStrings_Qt3DRender[8504]
#define sipNameNr_setFragmentShaderGraph 8527
#define sipName_setFragmentShaderGraph &sipStrings_Qt3DRender[8527]
#define sipNameNr_setGeometryShaderGraph 8550
#define sipName_setGeometryShaderGraph &sipStrings_Qt3DRender[8550]
#define sipNameNr_setInterpolationMethod 8573
#define sipName_setInterpolationMethod &sipStrings_Qt3DRender[8573]
#define sipNameNr_setMagnificationFilter 8596
#define sipName_setMagnificationFilter &sipStrings_Qt3DRender[8596]
#define sipNameNr_setWorldSpaceTolerance 8619
#define sipName_setWorldSpaceTolerance &sipStrings_Qt3DRender[8619]
#define sipNameNr_stencilFunctionChanged 8642
#define sipName_stencilFunctionChanged &sipStrings_Qt3DRender[8642]
#define sipNameNr_BoundingVolumePicking 8665
#define sipName_BoundingVolumePicking &sipStrings_Qt3DRender[8665]
#define sipNameNr_OneMinusConstantAlpha 8687
#define sipName_OneMinusConstantAlpha &sipStrings_Qt3DRender[8687]
#define sipNameNr_OneMinusConstantColor 8709
#define sipName_OneMinusConstantColor &sipStrings_Qt3DRender[8709]
#define sipNameNr_OneMinusSource1Color0 8731
#define sipName_OneMinusSource1Color0 &sipStrings_Qt3DRender[8731]
#define sipNameNr_PerspectiveProjection 7330
#define sipName_PerspectiveProjection &sipStrings_Qt3DRender[7330]
#define sipNameNr_QAbstractTextureImage 3112
#define sipName_QAbstractTextureImage &sipStrings_Qt3DRender[3112]
#define sipNameNr_QRenderTargetSelector 3214
#define sipName_QRenderTargetSelector &sipStrings_Qt3DRender[3214]
#define sipNameNr_QShaderProgramBuilder 3282
#define sipName_QShaderProgramBuilder &sipStrings_Qt3DRender[3282]
#define sipNameNr_QStencilTestArguments 3350
#define sipName_QStencilTestArguments &sipStrings_Qt3DRender[3350]
#define sipNameNr_QTexture2DMultisample 3384
#define sipName_QTexture2DMultisample &sipStrings_Qt3DRender[3384]
#define sipNameNr_Qt3DRender__QCullFace 8753
#define sipName_Qt3DRender__QCullFace &sipStrings_Qt3DRender[8753]
#define sipNameNr_Qt3DRender__QMaterial 8775
#define sipName_Qt3DRender__QMaterial &sipStrings_Qt3DRender[8775]
#define sipNameNr_Qt3DRender__QSetFence 8797
#define sipName_Qt3DRender__QSetFence &sipStrings_Qt3DRender[8797]
#define sipNameNr_Qt3DRender__QViewport 8819
#define sipName_Qt3DRender__QViewport &sipStrings_Qt3DRender[8819]
#define sipNameNr_RGB_BP_UNSIGNED_FLOAT 8841
#define sipName_RGB_BP_UNSIGNED_FLOAT &sipStrings_Qt3DRender[8841]
#define sipNameNr_SRGB8_Alpha8_ETC2_EAC 8863
#define sipName_SRGB8_Alpha8_ETC2_EAC &sipStrings_Qt3DRender[8863]
#define sipNameNr_allTestsPassOperation 8885
#define sipName_allTestsPassOperation &sipStrings_Qt3DRender[8885]
#define sipNameNr_backOutputMaskChanged 8907
#define sipName_backOutputMaskChanged &sipStrings_Qt3DRender[8907]
#define sipNameNr_comparisonMaskChanged 8929
#define sipName_comparisonMaskChanged &sipStrings_Qt3DRender[8929]
#define sipNameNr_comparisonModeChanged 8951
#define sipName_comparisonModeChanged &sipStrings_Qt3DRender[8951]
#define sipNameNr_destinationRgbChanged 8973
#define sipName_destinationRgbChanged &sipStrings_Qt3DRender[8973]
#define sipNameNr_indexBufferByteOffset 8995
#define sipName_indexBufferByteOffset &sipStrings_Qt3DRender[8995]
#define sipNameNr_localDirectionChanged 9017
#define sipName_localDirectionChanged &sipStrings_Qt3DRender[9017]
#define sipNameNr_maxComputeInvocations 9039
#define sipName_maxComputeInvocations &sipStrings_Qt3DRender[9039]
#define sipNameNr_normalizedRectChanged 9061
#define sipName_normalizedRectChanged &sipStrings_Qt3DRender[9061]
#define sipNameNr_pickResultModeChanged 9083
#define sipName_pickResultModeChanged &sipStrings_Qt3DRender[9083]
#define sipNameNr_projectionTypeChanged 9105
#define sipName_projectionTypeChanged &sipStrings_Qt3DRender[9105]
#define sipNameNr_referenceValueChanged 9127
#define sipName_referenceValueChanged &sipStrings_Qt3DRender[9127]
#define sipNameNr_rotateAboutViewCenter 9149
#define sipName_rotateAboutViewCenter &sipStrings_Qt3DRender[9149]
#define sipNameNr_setComparisonFunction 9171
#define sipName_setComparisonFunction &sipStrings_Qt3DRender[9171]
#define sipNameNr_setComputeShaderGraph 9193
#define sipName_setComputeShaderGraph &sipStrings_Qt3DRender[9193]
#define sipNameNr_setFragmentShaderCode 9215
#define sipName_setFragmentShaderCode &sipStrings_Qt3DRender[9215]
#define sipNameNr_setGeometryShaderCode 9237
#define sipName_setGeometryShaderCode &sipStrings_Qt3DRender[9237]
#define sipNameNr_setMinificationFilter 9259
#define sipName_setMinificationFilter &sipStrings_Qt3DRender[9259]
#define sipNameNr_sourceAttachmentPoint 9281
#define sipName_sourceAttachmentPoint &sipStrings_Qt3DRender[9281]
#define sipNameNr_volumeOverrideChanged 9303
#define sipName_volumeOverrideChanged &sipStrings_Qt3DRender[9303]
#define sipNameNr_waitOperationsChanged 9325
#define sipName_waitOperationsChanged &sipStrings_Qt3DRender[9325]
#define sipNameNr_worldDirectionChanged 9347
#define sipName_worldDirectionChanged &sipStrings_Qt3DRender[9347]
#define sipNameNr_CompatibilityProfile 9369
#define sipName_CompatibilityProfile &sipStrings_Qt3DRender[9369]
#define sipNameNr_LuminanceAlphaFormat 9390
#define sipName_LuminanceAlphaFormat &sipStrings_Qt3DRender[9390]
#define sipNameNr_NearestMipMapNearest 9411
#define sipName_NearestMipMapNearest &sipStrings_Qt3DRender[9411]
#define sipNameNr_OneMinusSource1Alpha 9432
#define sipName_OneMinusSource1Alpha &sipStrings_Qt3DRender[9432]
#define sipNameNr_OneMinusSource1Color 9453
#define sipName_OneMinusSource1Color &sipStrings_Qt3DRender[9453]
#define sipNameNr_QLevelOfDetailSwitch 3687
#define sipName_QLevelOfDetailSwitch &sipStrings_Qt3DRender[3687]
#define sipNameNr_QPaintedTextureImage 3720
#define sipName_QPaintedTextureImage &sipStrings_Qt3DRender[3720]
#define sipNameNr_QTextureCubeMapArray 3852
#define sipName_QTextureCubeMapArray &sipStrings_Qt3DRender[3852]
#define sipNameNr_VertexAttributeArray 9474
#define sipName_VertexAttributeArray &sipStrings_Qt3DRender[9474]
#define sipNameNr_alphaFunctionChanged 9495
#define sipName_alphaFunctionChanged &sipStrings_Qt3DRender[9495]
#define sipNameNr_blendFunctionChanged 9516
#define sipName_blendFunctionChanged &sipStrings_Qt3DRender[9516]
#define sipNameNr_containsMouseChanged 9537
#define sipName_containsMouseChanged &sipStrings_Qt3DRender[9537]
#define sipNameNr_createBoundingSphere 9558
#define sipName_createBoundingSphere &sipStrings_Qt3DRender[9558]
#define sipNameNr_depthFunctionChanged 9579
#define sipName_depthFunctionChanged &sipStrings_Qt3DRender[9579]
#define sipNameNr_enabledLayersChanged 9600
#define sipName_enabledLayersChanged &sipStrings_Qt3DRender[9600]
#define sipNameNr_firstInstanceChanged 9621
#define sipName_firstInstanceChanged &sipStrings_Qt3DRender[9621]
#define sipNameNr_instanceCountChanged 9642
#define sipName_instanceCountChanged &sipStrings_Qt3DRender[9642]
#define sipNameNr_parentFrameGraphNode 9663
#define sipName_parentFrameGraphNode &sipStrings_Qt3DRender[9663]
#define sipNameNr_primitiveTypeChanged 9684
#define sipName_primitiveTypeChanged &sipStrings_Qt3DRender[9684]
#define sipNameNr_quadraticAttenuation 9705
#define sipName_quadraticAttenuation &sipStrings_Qt3DRender[9705]
#define sipNameNr_setClearStencilValue 9726
#define sipName_setClearStencilValue &sipStrings_Qt3DRender[9726]
#define sipNameNr_setComputeShaderCode 9747
#define sipName_setComputeShaderCode &sipStrings_Qt3DRender[9747]
#define sipNameNr_setDistanceThreshold 9768
#define sipName_setDistanceThreshold &sipStrings_Qt3DRender[9768]
#define sipNameNr_setFrustumProjection 9789
#define sipName_setFrustumProjection &sipStrings_Qt3DRender[9789]
#define sipNameNr_setLinearAttenuation 9810
#define sipName_setLinearAttenuation &sipStrings_Qt3DRender[9810]
#define sipNameNr_setMaximumAnisotropy 9831
#define sipName_setMaximumAnisotropy &sipStrings_Qt3DRender[9831]
#define sipNameNr_setRestartIndexValue 9852
#define sipName_setRestartIndexValue &sipStrings_Qt3DRender[9852]
#define sipNameNr_setSurfacePixelRatio 9873
#define sipName_setSurfacePixelRatio &sipStrings_Qt3DRender[9873]
#define sipNameNr_setVertexShaderGraph 9894
#define sipName_setVertexShaderGraph &sipStrings_Qt3DRender[9894]
#define sipNameNr_shaderProgramChanged 9915
#define sipName_shaderProgramChanged &sipStrings_Qt3DRender[9915]
#define sipNameNr_thresholdTypeChanged 9936
#define sipName_thresholdTypeChanged &sipStrings_Qt3DRender[9936]
#define sipNameNr_CameraLensComponent 9957
#define sipName_CameraLensComponent &sipStrings_Qt3DRender[9957]
#define sipNameNr_CompareGreaterEqual 9977
#define sipName_CompareGreaterEqual &sipStrings_Qt3DRender[9977]
#define sipNameNr_CompareRefToTexture 9997
#define sipName_CompareRefToTexture &sipStrings_Qt3DRender[9997]
#define sipNameNr_InterpolationMethod 352
#define sipName_InterpolationMethod &sipStrings_Qt3DRender[352]
#define sipNameNr_LinearMipMapNearest 10017
#define sipName_LinearMipMapNearest &sipStrings_Qt3DRender[10017]
#define sipNameNr_NearestMipMapLinear 10037
#define sipName_NearestMipMapLinear &sipStrings_Qt3DRender[10037]
#define sipNameNr_NearestPriorityPick 10057
#define sipName_NearestPriorityPick &sipStrings_Qt3DRender[10057]
#define sipNameNr_OneMinusSourceAlpha 10077
#define sipName_OneMinusSourceAlpha &sipStrings_Qt3DRender[10077]
#define sipNameNr_OneMinusSourceColor 10097
#define sipName_OneMinusSourceColor &sipStrings_Qt3DRender[10097]
#define sipNameNr_QRenderCapabilities 4048
#define sipName_QRenderCapabilities &sipStrings_Qt3DRender[4048]
#define sipNameNr_QRenderCaptureReply 4080
#define sipName_QRenderCaptureReply &sipStrings_Qt3DRender[4080]
#define sipNameNr_QRenderTargetOutput 4112
#define sipName_QRenderTargetOutput &sipStrings_Qt3DRender[4112]
#define sipNameNr_Qt3DRender__QCamera 10117
#define sipName_Qt3DRender__QCamera &sipStrings_Qt3DRender[10117]
#define sipNameNr_Qt3DRender__QEffect 10137
#define sipName_Qt3DRender__QEffect &sipStrings_Qt3DRender[10137]
#define sipNameNr_Qt3DRender__QNoDraw 10157
#define sipName_Qt3DRender__QNoDraw &sipStrings_Qt3DRender[10157]
#define sipNameNr_RGB_BP_SIGNED_FLOAT 10177
#define sipName_RGB_BP_SIGNED_FLOAT &sipStrings_Qt3DRender[10177]
#define sipNameNr_SourceAlphaSaturate 10197
#define sipName_SourceAlphaSaturate &sipStrings_Qt3DRender[10197]
#define sipNameNr_Target2DMultisample 10217
#define sipName_Target2DMultisample &sipStrings_Qt3DRender[10217]
#define sipNameNr_TessellationControl 10237
#define sipName_TessellationControl &sipStrings_Qt3DRender[10237]
#define sipNameNr_TranslateViewCenter 7503
#define sipName_TranslateViewCenter &sipStrings_Qt3DRender[7503]
#define sipNameNr_constantAttenuation 10257
#define sipName_constantAttenuation &sipStrings_Qt3DRender[10257]
#define sipNameNr_currentIndexChanged 10277
#define sipName_currentIndexChanged &sipStrings_Qt3DRender[10277]
#define sipNameNr_fragmentShaderGraph 10297
#define sipName_fragmentShaderGraph &sipStrings_Qt3DRender[10297]
#define sipNameNr_geometryShaderGraph 10317
#define sipName_geometryShaderGraph &sipStrings_Qt3DRender[10317]
#define sipNameNr_hoverEnabledChanged 10337
#define sipName_hoverEnabledChanged &sipStrings_Qt3DRender[10337]
#define sipNameNr_interpolationMethod 10357
#define sipName_interpolationMethod &sipStrings_Qt3DRender[10357]
#define sipNameNr_magnificationFilter 10377
#define sipName_magnificationFilter &sipStrings_Qt3DRender[10377]
#define sipNameNr_majorVersionChanged 10397
#define sipName_majorVersionChanged &sipStrings_Qt3DRender[10397]
#define sipNameNr_minorVersionChanged 10417
#define sipName_minorVersionChanged &sipStrings_Qt3DRender[10417]
#define sipNameNr_renderPolicyChanged 10437
#define sipName_renderPolicyChanged &sipStrings_Qt3DRender[10437]
#define sipNameNr_rollAboutViewCenter 10457
#define sipName_rollAboutViewCenter &sipStrings_Qt3DRender[10457]
#define sipNameNr_setActiveFrameGraph 10477
#define sipName_setActiveFrameGraph &sipStrings_Qt3DRender[10477]
#define sipNameNr_setDestinationAlpha 10497
#define sipName_setDestinationAlpha &sipStrings_Qt3DRender[10497]
#define sipNameNr_setProjectionMatrix 10517
#define sipName_setProjectionMatrix &sipStrings_Qt3DRender[10517]
#define sipNameNr_setVertexShaderCode 10537
#define sipName_setVertexShaderCode &sipStrings_Qt3DRender[10537]
#define sipNameNr_setVerticesPerPatch 10557
#define sipName_setVerticesPerPatch &sipStrings_Qt3DRender[10557]
#define sipNameNr_tiltAboutViewCenter 10577
#define sipName_tiltAboutViewCenter &sipStrings_Qt3DRender[10577]
#define sipNameNr_worldSpaceTolerance 10597
#define sipName_worldSpaceTolerance &sipStrings_Qt3DRender[10597]
#define sipNameNr_ComparisonFunction 452
#define sipName_ComparisonFunction &sipStrings_Qt3DRender[452]
#define sipNameNr_DepthStencilBuffer 7480
#define sipName_DepthStencilBuffer &sipStrings_Qt3DRender[7480]
#define sipNameNr_LineStripAdjacency 10617
#define sipName_LineStripAdjacency &sipStrings_Qt3DRender[10617]
#define sipNameNr_LinearMipMapLinear 10636
#define sipName_LinearMipMapLinear &sipStrings_Qt3DRender[10636]
#define sipNameNr_QAbstractRayCaster 4269
#define sipName_QAbstractRayCaster &sipStrings_Qt3DRender[4269]
#define sipNameNr_QGraphicsApiFilter 4300
#define sipName_QGraphicsApiFilter &sipStrings_Qt3DRender[4300]
#define sipNameNr_QPickTriangleEvent 4331
#define sipName_QPickTriangleEvent &sipStrings_Qt3DRender[4331]
#define sipNameNr_QTextureDataUpdate 4362
#define sipName_QTextureDataUpdate &sipStrings_Qt3DRender[4362]
#define sipNameNr_Qt3DRender__QLayer 10655
#define sipName_Qt3DRender__QLayer &sipStrings_Qt3DRender[10655]
#define sipNameNr_Qt3DRender__Render 10674
#define sipName_Qt3DRender__Render &sipStrings_Qt3DRender[10674]
#define sipNameNr_TargetCubeMapArray 10693
#define sipName_TargetCubeMapArray &sipStrings_Qt3DRender[10693]
#define sipNameNr_TransformComponent 10712
#define sipName_TransformComponent &sipStrings_Qt3DRender[10712]
#define sipNameNr_TrianglesAdjacency 10731
#define sipName_TrianglesAdjacency &sipStrings_Qt3DRender[10731]
#define sipNameNr_alphaMaskedChanged 10750
#define sipName_alphaMaskedChanged &sipStrings_Qt3DRender[10750]
#define sipNameNr_aspectRatioChanged 10769
#define sipName_aspectRatioChanged &sipStrings_Qt3DRender[10769]
#define sipNameNr_bufferIndexChanged 10788
#define sipName_bufferIndexChanged &sipStrings_Qt3DRender[10788]
#define sipNameNr_colorBufferChanged 10807
#define sipName_colorBufferChanged &sipStrings_Qt3DRender[10807]
#define sipNameNr_comparisonFunction 10826
#define sipName_comparisonFunction &sipStrings_Qt3DRender[10826]
#define sipNameNr_computeShaderGraph 10845
#define sipName_computeShaderGraph &sipStrings_Qt3DRender[10845]
#define sipNameNr_cutOffAngleChanged 10864
#define sipName_cutOffAngleChanged &sipStrings_Qt3DRender[10864]
#define sipNameNr_destinationChanged 10883
#define sipName_destinationChanged &sipStrings_Qt3DRender[10883]
#define sipNameNr_dragEnabledChanged 10902
#define sipName_dragEnabledChanged &sipStrings_Qt3DRender[10902]
#define sipNameNr_fieldOfViewChanged 10921
#define sipName_fieldOfViewChanged &sipStrings_Qt3DRender[10921]
#define sipNameNr_firstVertexChanged 10940
#define sipName_firstVertexChanged &sipStrings_Qt3DRender[10940]
#define sipNameNr_fragmentShaderCode 10959
#define sipName_fragmentShaderCode &sipStrings_Qt3DRender[10959]
#define sipNameNr_geometryShaderCode 10978
#define sipName_geometryShaderCode &sipStrings_Qt3DRender[10978]
#define sipNameNr_greenMaskedChanged 10997
#define sipName_greenMaskedChanged &sipStrings_Qt3DRender[10997]
#define sipNameNr_indexOffsetChanged 11016
#define sipName_indexOffsetChanged &sipStrings_Qt3DRender[11016]
#define sipNameNr_maxWorkGroupCountX 11035
#define sipName_maxWorkGroupCountX &sipStrings_Qt3DRender[11035]
#define sipNameNr_maxWorkGroupCountY 11054
#define sipName_maxWorkGroupCountY &sipStrings_Qt3DRender[11054]
#define sipNameNr_maxWorkGroupCountZ 11073
#define sipName_maxWorkGroupCountZ &sipStrings_Qt3DRender[11073]
#define sipNameNr_minificationFilter 11092
#define sipName_minificationFilter &sipStrings_Qt3DRender[11092]
#define sipNameNr_panAboutViewCenter 11111
#define sipName_panAboutViewCenter &sipStrings_Qt3DRender[11111]
#define sipNameNr_removeTextureImage 11130
#define sipName_removeTextureImage &sipStrings_Qt3DRender[11130]
#define sipNameNr_renderCapabilities 11149
#define sipName_renderCapabilities &sipStrings_Qt3DRender[11149]
#define sipNameNr_scaleFactorChanged 11168
#define sipName_scaleFactorChanged &sipStrings_Qt3DRender[11168]
#define sipNameNr_setAttachmentPoint 11187
#define sipName_setAttachmentPoint &sipStrings_Qt3DRender[11187]
#define sipNameNr_setClearDepthValue 11206
#define sipName_setClearDepthValue &sipStrings_Qt3DRender[11206]
#define sipNameNr_setDestinationRect 11225
#define sipName_setDestinationRect &sipStrings_Qt3DRender[11225]
#define sipNameNr_setDestinationRgba 11244
#define sipName_setDestinationRgba &sipStrings_Qt3DRender[11244]
#define sipNameNr_setFrontOutputMask 11263
#define sipName_setFrontOutputMask &sipStrings_Qt3DRender[11263]
#define sipNameNr_setGenerateMipMaps 11282
#define sipName_setGenerateMipMaps &sipStrings_Qt3DRender[11282]
#define sipNameNr_setStencilFunction 11301
#define sipName_setStencilFunction &sipStrings_Qt3DRender[11301]
#define sipNameNr_sourceAlphaChanged 11320
#define sipName_sourceAlphaChanged &sipStrings_Qt3DRender[11320]
#define sipNameNr_supportsImageStore 11339
#define sipName_supportsImageStore &sipStrings_Qt3DRender[11339]
#define sipNameNr_vertexCountChanged 11358
#define sipName_vertexCountChanged &sipStrings_Qt3DRender[11358]
#define sipNameNr_FrustumProjection 9792
#define sipName_FrustumProjection &sipStrings_Qt3DRender[9792]
#define sipNameNr_MaterialComponent 11377
#define sipName_MaterialComponent &sipStrings_Qt3DRender[11377]
#define sipNameNr_QDirectionalLight 4548
#define sipName_QDirectionalLight &sipStrings_Qt3DRender[4548]
#define sipNameNr_QEnvironmentLight 4578
#define sipName_QEnvironmentLight &sipStrings_Qt3DRender[4578]
#define sipNameNr_QGeometryRenderer 4608
#define sipName_QGeometryRenderer &sipStrings_Qt3DRender[4608]
#define sipNameNr_QRenderPassFilter 4638
#define sipName_QRenderPassFilter &sipStrings_Qt3DRender[4638]
#define sipNameNr_QStencilOperation 4668
#define sipName_QStencilOperation &sipStrings_Qt3DRender[4668]
#define sipNameNr_QTextureImageData 4698
#define sipName_QTextureImageData &sipStrings_Qt3DRender[4698]
#define sipNameNr_QTextureRectangle 4728
#define sipName_QTextureRectangle &sipStrings_Qt3DRender[4728]
#define sipNameNr_Qt3DRender__QMesh 11395
#define sipName_Qt3DRender__QMesh &sipStrings_Qt3DRender[11395]
#define sipNameNr_ShaderImageAccess 11413
#define sipName_ShaderImageAccess &sipStrings_Qt3DRender[11413]
#define sipNameNr_TransformFeedback 11431
#define sipName_TransformFeedback &sipStrings_Qt3DRender[11431]
#define sipNameNr_blueMaskedChanged 11449
#define sipName_blueMaskedChanged &sipStrings_Qt3DRender[11449]
#define sipNameNr_clearColorChanged 11467
#define sipName_clearColorChanged &sipStrings_Qt3DRender[11467]
#define sipNameNr_clearStencilValue 11485
#define sipName_clearStencilValue &sipStrings_Qt3DRender[11485]
#define sipNameNr_computeShaderCode 11503
#define sipName_computeShaderCode &sipStrings_Qt3DRender[11503]
#define sipNameNr_depthStepsChanged 11521
#define sipName_depthStepsChanged &sipStrings_Qt3DRender[11521]
#define sipNameNr_distanceThreshold 11539
#define sipName_distanceThreshold &sipStrings_Qt3DRender[11539]
#define sipNameNr_enablementChanged 11557
#define sipName_enablementChanged &sipStrings_Qt3DRender[11557]
#define sipNameNr_extensionsChanged 11575
#define sipName_extensionsChanged &sipStrings_Qt3DRender[11575]
#define sipNameNr_filterModeChanged 11593
#define sipName_filterModeChanged &sipStrings_Qt3DRender[11593]
#define sipNameNr_graphicsApiFilter 11611
#define sipName_graphicsApiFilter &sipStrings_Qt3DRender[11611]
#define sipNameNr_handleTypeChanged 11629
#define sipName_handleTypeChanged &sipStrings_Qt3DRender[11629]
#define sipNameNr_irradianceChanged 11647
#define sipName_irradianceChanged &sipStrings_Qt3DRender[11647]
#define sipNameNr_linearAttenuation 11665
#define sipName_linearAttenuation &sipStrings_Qt3DRender[11665]
#define sipNameNr_localIntersection 11683
#define sipName_localIntersection &sipStrings_Qt3DRender[11683]
#define sipNameNr_maxWorkGroupSizeX 11701
#define sipName_maxWorkGroupSizeX &sipStrings_Qt3DRender[11701]
#define sipNameNr_maxWorkGroupSizeY 11719
#define sipName_maxWorkGroupSizeY &sipStrings_Qt3DRender[11719]
#define sipNameNr_maxWorkGroupSizeZ 11737
#define sipName_maxWorkGroupSizeZ &sipStrings_Qt3DRender[11737]
#define sipNameNr_maximumAnisotropy 11755
#define sipName_maximumAnisotropy &sipStrings_Qt3DRender[11755]
#define sipNameNr_pickMethodChanged 11773
#define sipName_pickMethodChanged &sipStrings_Qt3DRender[11773]
#define sipNameNr_planeIndexChanged 11791
#define sipName_planeIndexChanged &sipStrings_Qt3DRender[11791]
#define sipNameNr_rasterModeChanged 11809
#define sipName_rasterModeChanged &sipStrings_Qt3DRender[11809]
#define sipNameNr_removeRenderState 11827
#define sipName_removeRenderState &sipStrings_Qt3DRender[11827]
#define sipNameNr_restartIndexValue 11845
#define sipName_restartIndexValue &sipStrings_Qt3DRender[11845]
#define sipNameNr_setBackOutputMask 11863
#define sipName_setBackOutputMask &sipStrings_Qt3DRender[11863]
#define sipNameNr_setComparisonMask 11881
#define sipName_setComparisonMask &sipStrings_Qt3DRender[11881]
#define sipNameNr_setComparisonMode 11899
#define sipName_setComparisonMode &sipStrings_Qt3DRender[11899]
#define sipNameNr_setDestinationRgb 11917
#define sipName_setDestinationRgb &sipStrings_Qt3DRender[11917]
#define sipNameNr_setLocalDirection 11935
#define sipName_setLocalDirection &sipStrings_Qt3DRender[11935]
#define sipNameNr_setNormalizedRect 11953
#define sipName_setNormalizedRect &sipStrings_Qt3DRender[11953]
#define sipNameNr_setPickResultMode 11971
#define sipName_setPickResultMode &sipStrings_Qt3DRender[11971]
#define sipNameNr_setProjectionType 11989
#define sipName_setProjectionType &sipStrings_Qt3DRender[11989]
#define sipNameNr_setReferenceValue 12007
#define sipName_setReferenceValue &sipStrings_Qt3DRender[12007]
#define sipNameNr_setVolumeOverride 12025
#define sipName_setVolumeOverride &sipStrings_Qt3DRender[12025]
#define sipNameNr_setWaitOperations 12043
#define sipName_setWaitOperations &sipStrings_Qt3DRender[12043]
#define sipNameNr_setWorldDirection 12061
#define sipName_setWorldDirection &sipStrings_Qt3DRender[12061]
#define sipNameNr_sourceRectChanged 12079
#define sipName_sourceRectChanged &sipStrings_Qt3DRender[12079]
#define sipNameNr_sourceRgbaChanged 12097
#define sipName_sourceRgbaChanged &sipStrings_Qt3DRender[12097]
#define sipNameNr_surfacePixelRatio 12115
#define sipName_surfacePixelRatio &sipStrings_Qt3DRender[12115]
#define sipNameNr_thresholdsChanged 12133
#define sipName_thresholdsChanged &sipStrings_Qt3DRender[12133]
#define sipNameNr_vertexShaderGraph 12151
#define sipName_vertexShaderGraph &sipStrings_Qt3DRender[12151]
#define sipNameNr_viewCenterChanged 12169
#define sipName_viewCenterChanged &sipStrings_Qt3DRender[12169]
#define sipNameNr_viewMatrixChanged 12187
#define sipName_viewMatrixChanged &sipStrings_Qt3DRender[12187]
#define sipNameNr_viewVectorChanged 12205
#define sipName_viewVectorChanged &sipStrings_Qt3DRender[12205]
#define sipNameNr_workGroupXChanged 12223
#define sipName_workGroupXChanged &sipStrings_Qt3DRender[12223]
#define sipNameNr_workGroupYChanged 12241
#define sipName_workGroupYChanged &sipStrings_Qt3DRender[12241]
#define sipNameNr_workGroupZChanged 12259
#define sipName_workGroupZChanged &sipStrings_Qt3DRender[12259]
#define sipNameNr_worldIntersection 12277
#define sipName_worldIntersection &sipStrings_Qt3DRender[12277]
#define sipNameNr_ColorDepthBuffer 12295
#define sipName_ColorDepthBuffer &sipStrings_Qt3DRender[12295]
#define sipNameNr_CommpareNotEqual 12312
#define sipName_CommpareNotEqual &sipStrings_Qt3DRender[12312]
#define sipNameNr_CompareLessEqual 12329
#define sipName_CompareLessEqual &sipStrings_Qt3DRender[12329]
#define sipNameNr_CounterClockWise 12346
#define sipName_CounterClockWise &sipStrings_Qt3DRender[12346]
#define sipNameNr_CubeMapNegativeX 12363
#define sipName_CubeMapNegativeX &sipStrings_Qt3DRender[12363]
#define sipNameNr_CubeMapNegativeY 12380
#define sipName_CubeMapNegativeY &sipStrings_Qt3DRender[12380]
#define sipNameNr_CubeMapNegativeZ 12397
#define sipName_CubeMapNegativeZ &sipStrings_Qt3DRender[12397]
#define sipNameNr_CubeMapPositiveX 12414
#define sipName_CubeMapPositiveX &sipStrings_Qt3DRender[12414]
#define sipNameNr_CubeMapPositiveY 12431
#define sipName_CubeMapPositiveY &sipStrings_Qt3DRender[12431]
#define sipNameNr_CubeMapPositiveZ 12448
#define sipName_CubeMapPositiveZ &sipStrings_Qt3DRender[12448]
#define sipNameNr_CustomProjection 12465
#define sipName_CustomProjection &sipStrings_Qt3DRender[12465]
#define sipNameNr_DestinationAlpha 6785
#define sipName_DestinationAlpha &sipStrings_Qt3DRender[6785]
#define sipNameNr_DestinationColor 6810
#define sipName_DestinationColor &sipStrings_Qt3DRender[6810]
#define sipNameNr_DirectionalLight 4549
#define sipName_DirectionalLight &sipStrings_Qt3DRender[4549]
#define sipNameNr_FrontAndBackFace 12482
#define sipName_FrontAndBackFace &sipStrings_Qt3DRender[12482]
#define sipNameNr_PrimitivePicking 12499
#define sipName_PrimitivePicking &sipStrings_Qt3DRender[12499]
#define sipNameNr_PyQt6_Qt3DRender 12516
#define sipName_PyQt6_Qt3DRender &sipStrings_Qt3DRender[12516]
#define sipNameNr_QAbstractTexture 4878
#define sipName_QAbstractTexture &sipStrings_Qt3DRender[4878]
#define sipNameNr_QBlitFramebuffer 4907
#define sipName_QBlitFramebuffer &sipStrings_Qt3DRender[4907]
#define sipNameNr_QDispatchCompute 4936
#define sipName_QDispatchCompute &sipStrings_Qt3DRender[4936]
#define sipNameNr_QPickingSettings 4965
#define sipName_QPickingSettings &sipStrings_Qt3DRender[4965]
#define sipNameNr_QProximityFilter 4994
#define sipName_QProximityFilter &sipStrings_Qt3DRender[4994]
#define sipNameNr_QScreenRayCaster 5023
#define sipName_QScreenRayCaster &sipStrings_Qt3DRender[5023]
#define sipNameNr_QSeamlessCubemap 5052
#define sipName_QSeamlessCubemap &sipStrings_Qt3DRender[5052]
#define sipNameNr_QSharedGLTexture 5081
#define sipName_QSharedGLTexture &sipStrings_Qt3DRender[5081]
#define sipNameNr_QTechniqueFilter 5110
#define sipName_QTechniqueFilter &sipStrings_Qt3DRender[5110]
#define sipNameNr_QTextureWrapMode 5139
#define sipName_QTextureWrapMode &sipStrings_Qt3DRender[5139]
#define sipNameNr_UnknownComponent 12533
#define sipName_UnknownComponent &sipStrings_Qt3DRender[12533]
#define sipNameNr_WindingDirection 1424
#define sipName_WindingDirection &sipStrings_Qt3DRender[1424]
#define sipNameNr_activeFrameGraph 12550
#define sipName_activeFrameGraph &sipStrings_Qt3DRender[12550]
#define sipNameNr_destinationAlpha 12567
#define sipName_destinationAlpha &sipStrings_Qt3DRender[12567]
#define sipNameNr_directionChanged 12584
#define sipName_directionChanged &sipStrings_Qt3DRender[12584]
#define sipNameNr_disconnectNotify 12601
#define sipName_disconnectNotify &sipStrings_Qt3DRender[12601]
#define sipNameNr_intensityChanged 12618
#define sipName_intensityChanged &sipStrings_Qt3DRender[12618]
#define sipNameNr_maxTextureLayers 12635
#define sipName_maxTextureLayers &sipStrings_Qt3DRender[12635]
#define sipNameNr_mipLevelsChanged 12652
#define sipName_mipLevelsChanged &sipStrings_Qt3DRender[12652]
#define sipNameNr_nearPlaneChanged 12669
#define sipName_nearPlaneChanged &sipStrings_Qt3DRender[12669]
#define sipNameNr_nearValueChanged 12686
#define sipName_nearValueChanged &sipStrings_Qt3DRender[12686]
#define sipNameNr_projectionMatrix 12703
#define sipName_projectionMatrix &sipStrings_Qt3DRender[12703]
#define sipNameNr_recursiveChanged 12720
#define sipName_recursiveChanged &sipStrings_Qt3DRender[12720]
#define sipNameNr_redMaskedChanged 12737
#define sipName_redMaskedChanged &sipStrings_Qt3DRender[12737]
#define sipNameNr_removeRenderPass 12754
#define sipName_removeRenderPass &sipStrings_Qt3DRender[12754]
#define sipNameNr_setAlphaFunction 12771
#define sipName_setAlphaFunction &sipStrings_Qt3DRender[12771]
#define sipNameNr_setBlendFunction 12788
#define sipName_setBlendFunction &sipStrings_Qt3DRender[12788]
#define sipNameNr_setDepthFunction 12805
#define sipName_setDepthFunction &sipStrings_Qt3DRender[12805]
#define sipNameNr_setEnabledLayers 12822
#define sipName_setEnabledLayers &sipStrings_Qt3DRender[12822]
#define sipNameNr_setFirstInstance 12839
#define sipName_setFirstInstance &sipStrings_Qt3DRender[12839]
#define sipNameNr_setInstanceCount 12856
#define sipName_setInstanceCount &sipStrings_Qt3DRender[12856]
#define sipNameNr_setPrimitiveType 12873
#define sipName_setPrimitiveType &sipStrings_Qt3DRender[12873]
#define sipNameNr_setShaderProgram 12890
#define sipName_setShaderProgram &sipStrings_Qt3DRender[12890]
#define sipNameNr_setThresholdType 12907
#define sipName_setThresholdType &sipStrings_Qt3DRender[12907]
#define sipNameNr_sortIndexChanged 12924
#define sipName_sortIndexChanged &sipStrings_Qt3DRender[12924]
#define sipNameNr_sortTypesChanged 12941
#define sipName_sortTypesChanged &sipStrings_Qt3DRender[12941]
#define sipNameNr_sourceRgbChanged 12958
#define sipName_sourceRgbChanged &sipStrings_Qt3DRender[12958]
#define sipNameNr_textureIdChanged 12975
#define sipName_textureIdChanged &sipStrings_Qt3DRender[12975]
#define sipNameNr_vertexShaderCode 12992
#define sipName_vertexShaderCode &sipStrings_Qt3DRender[12992]
#define sipNameNr_verticesPerPatch 13009
#define sipName_verticesPerPatch &sipStrings_Qt3DRender[13009]
#define sipNameNr_waitOnCPUChanged 13026
#define sipName_waitOnCPUChanged &sipStrings_Qt3DRender[13026]
#define sipNameNr_AttachmentPoint 504
#define sipName_AttachmentPoint &sipStrings_Qt3DRender[504]
#define sipNameNr_ControlModifier 13043
#define sipName_ControlModifier &sipStrings_Qt3DRender[13043]
#define sipNameNr_LuminanceFormat 13059
#define sipName_LuminanceFormat &sipStrings_Qt3DRender[13059]
#define sipNameNr_OpenGLTextureId 13075
#define sipName_OpenGLTextureId &sipStrings_Qt3DRender[13075]
#define sipNameNr_QCameraSelector 5284
#define sipName_QCameraSelector &sipStrings_Qt3DRender[5284]
#define sipNameNr_QComputeCommand 5312
#define sipName_QComputeCommand &sipStrings_Qt3DRender[5312]
#define sipNameNr_QFrameGraphNode 5340
#define sipName_QFrameGraphNode &sipStrings_Qt3DRender[5340]
#define sipNameNr_QFrustumCulling 5368
#define sipName_QFrustumCulling &sipStrings_Qt3DRender[5368]
#define sipNameNr_QPickPointEvent 5396
#define sipName_QPickPointEvent &sipStrings_Qt3DRender[5396]
#define sipNameNr_QRenderSettings 5424
#define sipName_QRenderSettings &sipStrings_Qt3DRender[5424]
#define sipNameNr_QRenderStateSet 5452
#define sipName_QRenderStateSet &sipStrings_Qt3DRender[5452]
#define sipNameNr_QSubtreeEnabler 5480
#define sipName_QSubtreeEnabler &sipStrings_Qt3DRender[5480]
#define sipNameNr_QTexture1DArray 5508
#define sipName_QTexture1DArray &sipStrings_Qt3DRender[5508]
#define sipNameNr_QTexture2DArray 5536
#define sipName_QTexture2DArray &sipStrings_Qt3DRender[5536]
#define sipNameNr_QTextureCubeMap 5564
#define sipName_QTextureCubeMap &sipStrings_Qt3DRender[5564]
#define sipNameNr_Qt3DRender__API 13091
#define sipName_Qt3DRender__API &sipStrings_Qt3DRender[13091]
#define sipNameNr_ReverseSubtract 13107
#define sipName_ReverseSubtract &sipStrings_Qt3DRender[13107]
#define sipNameNr_SRGB_Alpha_DXT1 13123
#define sipName_SRGB_Alpha_DXT1 &sipStrings_Qt3DRender[13123]
#define sipNameNr_SRGB_Alpha_DXT3 13139
#define sipName_SRGB_Alpha_DXT3 &sipStrings_Qt3DRender[13139]
#define sipNameNr_SRGB_Alpha_DXT5 13155
#define sipName_SRGB_Alpha_DXT5 &sipStrings_Qt3DRender[13155]
#define sipNameNr_StateChangeCost 13171
#define sipName_StateChangeCost &sipStrings_Qt3DRender[13171]
#define sipNameNr_StencilFaceMode 255
#define sipName_StencilFaceMode &sipStrings_Qt3DRender[255]
#define sipNameNr_StencilFunction 306
#define sipName_StencilFunction &sipStrings_Qt3DRender[306]
#define sipNameNr_TargetAutomatic 13187
#define sipName_TargetAutomatic &sipStrings_Qt3DRender[13187]
#define sipNameNr_TargetRectangle 13203
#define sipName_TargetRectangle &sipStrings_Qt3DRender[13203]
#define sipNameNr_TrianglePicking 13219
#define sipName_TrianglePicking &sipStrings_Qt3DRender[13219]
#define sipNameNr_acceptedChanged 13235
#define sipName_acceptedChanged &sipStrings_Qt3DRender[13235]
#define sipNameNr_addTextureImage 13251
#define sipName_addTextureImage &sipStrings_Qt3DRender[13251]
#define sipNameNr_attachmentPoint 13267
#define sipName_attachmentPoint &sipStrings_Qt3DRender[13267]
#define sipNameNr_clearDepthValue 13283
#define sipName_clearDepthValue &sipStrings_Qt3DRender[13283]
#define sipNameNr_destinationRect 13299
#define sipName_destinationRect &sipStrings_Qt3DRender[13299]
#define sipNameNr_distanceChanged 13315
#define sipName_distanceChanged &sipStrings_Qt3DRender[13315]
#define sipNameNr_exposureChanged 13331
#define sipName_exposureChanged &sipStrings_Qt3DRender[13331]
#define sipNameNr_faceModeChanged 13347
#define sipName_faceModeChanged &sipStrings_Qt3DRender[13347]
#define sipNameNr_farPlaneChanged 13363
#define sipName_farPlaneChanged &sipStrings_Qt3DRender[13363]
#define sipNameNr_farValueChanged 13379
#define sipName_farValueChanged &sipStrings_Qt3DRender[13379]
#define sipNameNr_frontOutputMask 13395
#define sipName_frontOutputMask &sipStrings_Qt3DRender[13395]
#define sipNameNr_generateMipMaps 13411
#define sipName_generateMipMaps &sipStrings_Qt3DRender[13411]
#define sipNameNr_geometryChanged 13427
#define sipName_geometryChanged &sipStrings_Qt3DRender[13427]
#define sipNameNr_maxSSBOBindings 13443
#define sipName_maxSSBOBindings &sipStrings_Qt3DRender[13443]
#define sipNameNr_maxTextureUnits 13459
#define sipName_maxTextureUnits &sipStrings_Qt3DRender[13459]
#define sipNameNr_meshNameChanged 13475
#define sipName_meshNameChanged &sipStrings_Qt3DRender[13475]
#define sipNameNr_mipLevelChanged 13491
#define sipName_mipLevelChanged &sipStrings_Qt3DRender[13491]
#define sipNameNr_mirroredChanged 13507
#define sipName_mirroredChanged &sipStrings_Qt3DRender[13507]
#define sipNameNr_pickingSettings 13523
#define sipName_pickingSettings &sipStrings_Qt3DRender[13523]
#define sipNameNr_positionChanged 13539
#define sipName_positionChanged &sipStrings_Qt3DRender[13539]
#define sipNameNr_priorityChanged 13555
#define sipName_priorityChanged &sipStrings_Qt3DRender[13555]
#define sipNameNr_removeFilterKey 13571
#define sipName_removeFilterKey &sipStrings_Qt3DRender[13571]
#define sipNameNr_removeParameter 13587
#define sipName_removeParameter &sipStrings_Qt3DRender[13587]
#define sipNameNr_removeTechnique 13603
#define sipName_removeTechnique &sipStrings_Qt3DRender[13603]
#define sipNameNr_setCurrentIndex 13619
#define sipName_setCurrentIndex &sipStrings_Qt3DRender[13619]
#define sipNameNr_setHoverEnabled 13635
#define sipName_setHoverEnabled &sipStrings_Qt3DRender[13635]
#define sipNameNr_setMajorVersion 13651
#define sipName_setMajorVersion &sipStrings_Qt3DRender[13651]
#define sipNameNr_setMinorVersion 13667
#define sipName_setMinorVersion &sipStrings_Qt3DRender[13667]
#define sipNameNr_setRenderPolicy 13683
#define sipName_setRenderPolicy &sipStrings_Qt3DRender[13683]
#define sipNameNr_sizeModeChanged 13699
#define sipName_sizeModeChanged &sipStrings_Qt3DRender[13699]
#define sipNameNr_specularChanged 13715
#define sipName_specularChanged &sipStrings_Qt3DRender[13715]
#define sipNameNr_stencilFunction 13731
#define sipName_stencilFunction &sipStrings_Qt3DRender[13731]
#define sipNameNr_supportsCompute 13747
#define sipName_supportsCompute &sipStrings_Qt3DRender[13747]
#define sipNameNr_upVectorChanged 13763
#define sipName_upVectorChanged &sipStrings_Qt3DRender[13763]
#define sipNameNr_CompareGreater 13779
#define sipName_CompareGreater &sipStrings_Qt3DRender[13779]
#define sipNameNr_ComparisonMode 829
#define sipName_ComparisonMode &sipStrings_Qt3DRender[829]
#define sipNameNr_GreaterOrEqual 13794
#define sipName_GreaterOrEqual &sipStrings_Qt3DRender[13794]
#define sipNameNr_KeypadModifier 13809
#define sipName_KeypadModifier &sipStrings_Qt3DRender[13809]
#define sipNameNr_LightComponent 13824
#define sipName_LightComponent &sipStrings_Qt3DRender[13824]
#define sipNameNr_LinesAdjacency 13839
#define sipName_LinesAdjacency &sipStrings_Qt3DRender[13839]
#define sipNameNr_MirroredRepeat 13854
#define sipName_MirroredRepeat &sipStrings_Qt3DRender[13854]
#define sipNameNr_PickResultMode 964
#define sipName_PickResultMode &sipStrings_Qt3DRender[964]
#define sipNameNr_ProjectionType 1750
#define sipName_ProjectionType &sipStrings_Qt3DRender[1750]
#define sipNameNr_QAbstractLight 5703
#define sipName_QAbstractLight &sipStrings_Qt3DRender[5703]
#define sipNameNr_QAlphaCoverage 5730
#define sipName_QAlphaCoverage &sipStrings_Qt3DRender[5730]
#define sipNameNr_QBlendEquation 5757
#define sipName_QBlendEquation &sipStrings_Qt3DRender[5757]
#define sipNameNr_QLevelOfDetail 5784
#define sipName_QLevelOfDetail &sipStrings_Qt3DRender[5784]
#define sipNameNr_QMemoryBarrier 5811
#define sipName_QMemoryBarrier &sipStrings_Qt3DRender[5811]
#define sipNameNr_QPickLineEvent 5838
#define sipName_QPickLineEvent &sipStrings_Qt3DRender[5838]
#define sipNameNr_QPolygonOffset 5865
#define sipName_QPolygonOffset &sipStrings_Qt3DRender[5865]
#define sipNameNr_QRenderCapture 5892
#define sipName_QRenderCapture &sipStrings_Qt3DRender[5892]
#define sipNameNr_QShaderProgram 5919
#define sipName_QShaderProgram &sipStrings_Qt3DRender[5919]
#define sipNameNr_QTextureBuffer 5946
#define sipName_QTextureBuffer &sipStrings_Qt3DRender[5946]
#define sipNameNr_QTextureLoader 5973
#define sipName_QTextureLoader &sipStrings_Qt3DRender[5973]
#define sipNameNr_RG11_EAC_SNorm 13869
#define sipName_RG11_EAC_SNorm &sipStrings_Qt3DRender[13869]
#define sipNameNr_RG11_EAC_UNorm 13884
#define sipName_RG11_EAC_UNorm &sipStrings_Qt3DRender[13884]
#define sipNameNr_RGBA8_ETC2_EAC 13899
#define sipName_RGBA8_ETC2_EAC &sipStrings_Qt3DRender[13899]
#define sipNameNr_RG_ATI2N_SNorm 13914
#define sipName_RG_ATI2N_SNorm &sipStrings_Qt3DRender[13914]
#define sipNameNr_RG_ATI2N_UNorm 13929
#define sipName_RG_ATI2N_UNorm &sipStrings_Qt3DRender[13929]
#define sipNameNr_SubmissionType 1261
#define sipName_SubmissionType &sipStrings_Qt3DRender[1261]
#define sipNameNr_addRenderState 13944
#define sipName_addRenderState &sipStrings_Qt3DRender[13944]
#define sipNameNr_backOutputMask 13959
#define sipName_backOutputMask &sipStrings_Qt3DRender[13959]
#define sipNameNr_buffersChanged 13974
#define sipName_buffersChanged &sipStrings_Qt3DRender[13974]
#define sipNameNr_comparisonMask 13989
#define sipName_comparisonMask &sipStrings_Qt3DRender[13989]
#define sipNameNr_comparisonMode 14004
#define sipName_comparisonMode &sipStrings_Qt3DRender[14004]
#define sipNameNr_destinationRgb 14019
#define sipName_destinationRgb &sipStrings_Qt3DRender[14019]
#define sipNameNr_isHoverEnabled 14034
#define sipName_isHoverEnabled &sipStrings_Qt3DRender[14034]
#define sipNameNr_layeredChanged 14049
#define sipName_layeredChanged &sipStrings_Qt3DRender[14049]
#define sipNameNr_localDirection 14064
#define sipName_localDirection &sipStrings_Qt3DRender[14064]
#define sipNameNr_maxTextureSize 14079
#define sipName_maxTextureSize &sipStrings_Qt3DRender[14079]
#define sipNameNr_maxUBOBindings 14094
#define sipName_maxUBOBindings &sipStrings_Qt3DRender[14094]
#define sipNameNr_normalizedRect 14109
#define sipName_normalizedRect &sipStrings_Qt3DRender[14109]
#define sipNameNr_pickResultMode 14124
#define sipName_pickResultMode &sipStrings_Qt3DRender[14124]
#define sipNameNr_pressedChanged 14139
#define sipName_pressedChanged &sipStrings_Qt3DRender[14139]
#define sipNameNr_primitiveIndex 14154
#define sipName_primitiveIndex &sipStrings_Qt3DRender[14154]
#define sipNameNr_profileChanged 14169
#define sipName_profileChanged &sipStrings_Qt3DRender[14169]
#define sipNameNr_projectionType 14184
#define sipName_projectionType &sipStrings_Qt3DRender[14184]
#define sipNameNr_propertyReader 14199
#define sipName_propertyReader &sipStrings_Qt3DRender[14199]
#define sipNameNr_referenceValue 14214
#define sipName_referenceValue &sipStrings_Qt3DRender[14214]
#define sipNameNr_requestCapture 14229
#define sipName_requestCapture &sipStrings_Qt3DRender[14229]
#define sipNameNr_runModeChanged 14244
#define sipName_runModeChanged &sipStrings_Qt3DRender[14244]
#define sipNameNr_runTypeChanged 14259
#define sipName_runTypeChanged &sipStrings_Qt3DRender[14259]
#define sipNameNr_samplesChanged 14274
#define sipName_samplesChanged &sipStrings_Qt3DRender[14274]
#define sipNameNr_setAlphaMasked 14289
#define sipName_setAlphaMasked &sipStrings_Qt3DRender[14289]
#define sipNameNr_setAspectRatio 14304
#define sipName_setAspectRatio &sipStrings_Qt3DRender[14304]
#define sipNameNr_setBufferIndex 14319
#define sipName_setBufferIndex &sipStrings_Qt3DRender[14319]
#define sipNameNr_setColorBuffer 14334
#define sipName_setColorBuffer &sipStrings_Qt3DRender[14334]
#define sipNameNr_setCutOffAngle 14349
#define sipName_setCutOffAngle &sipStrings_Qt3DRender[14349]
#define sipNameNr_setDestination 14364
#define sipName_setDestination &sipStrings_Qt3DRender[14364]
#define sipNameNr_setDragEnabled 14379
#define sipName_setDragEnabled &sipStrings_Qt3DRender[14379]
#define sipNameNr_setFieldOfView 14394
#define sipName_setFieldOfView &sipStrings_Qt3DRender[14394]
#define sipNameNr_setFirstVertex 14409
#define sipName_setFirstVertex &sipStrings_Qt3DRender[14409]
#define sipNameNr_setGreenMasked 14424
#define sipName_setGreenMasked &sipStrings_Qt3DRender[14424]
#define sipNameNr_setIndexOffset 14439
#define sipName_setIndexOffset &sipStrings_Qt3DRender[14439]
#define sipNameNr_setPixelFormat 14454
#define sipName_setPixelFormat &sipStrings_Qt3DRender[14454]
#define sipNameNr_setScaleFactor 14469
#define sipName_setScaleFactor &sipStrings_Qt3DRender[14469]
#define sipNameNr_setSourceAlpha 14484
#define sipName_setSourceAlpha &sipStrings_Qt3DRender[14484]
#define sipNameNr_setVertexCount 14499
#define sipName_setVertexCount &sipStrings_Qt3DRender[14499]
#define sipNameNr_surfaceChanged 14514
#define sipName_surfaceChanged &sipStrings_Qt3DRender[14514]
#define sipNameNr_textureChanged 14529
#define sipName_textureChanged &sipStrings_Qt3DRender[14529]
#define sipNameNr_timeoutChanged 14544
#define sipName_timeoutChanged &sipStrings_Qt3DRender[14544]
#define sipNameNr_translateWorld 14559
#define sipName_translateWorld &sipStrings_Qt3DRender[14559]
#define sipNameNr_volumeOverride 14574
#define sipName_volumeOverride &sipStrings_Qt3DRender[14574]
#define sipNameNr_waitOperations 14589
#define sipName_waitOperations &sipStrings_Qt3DRender[14589]
#define sipNameNr_worldDirection 14604
#define sipName_worldDirection &sipStrings_Qt3DRender[14604]
#define sipNameNr_AlphaFunction 2104
#define sipName_AlphaFunction &sipStrings_Qt3DRender[2104]
#define sipNameNr_AtomicCounter 14619
#define sipName_AtomicCounter &sipStrings_Qt3DRender[14619]
#define sipNameNr_BlendFunction 1178
#define sipName_BlendFunction &sipStrings_Qt3DRender[1178]
#define sipNameNr_ClampToBorder 14633
#define sipName_ClampToBorder &sipStrings_Qt3DRender[14633]
#define sipNameNr_CompareAlways 14647
#define sipName_CompareAlways &sipStrings_Qt3DRender[14647]
#define sipNameNr_ComponentType 1791
#define sipName_ComponentType &sipStrings_Qt3DRender[1791]
#define sipNameNr_ConstantAlpha 8695
#define sipName_ConstantAlpha &sipStrings_Qt3DRender[8695]
#define sipNameNr_ConstantColor 8717
#define sipName_ConstantColor &sipStrings_Qt3DRender[8717]
#define sipNameNr_DecrementWrap 14661
#define sipName_DecrementWrap &sipStrings_Qt3DRender[14661]
#define sipNameNr_DepthFunction 2180
#define sipName_DepthFunction &sipStrings_Qt3DRender[2180]
#define sipNameNr_IncrementWrap 14675
#define sipName_IncrementWrap &sipStrings_Qt3DRender[14675]
#define sipNameNr_OpenGLFenceId 14689
#define sipName_OpenGLFenceId &sipStrings_Qt3DRender[14689]
#define sipNameNr_OpenGLProfile 785
#define sipName_OpenGLProfile &sipStrings_Qt3DRender[785]
#define sipNameNr_PrimitiveType 920
#define sipName_PrimitiveType &sipStrings_Qt3DRender[920]
#define sipNameNr_QClearBuffers 6349
#define sipName_QClearBuffers &sipStrings_Qt3DRender[6349]
#define sipNameNr_QObjectPicker 6401
#define sipName_QObjectPicker &sipStrings_Qt3DRender[6401]
#define sipNameNr_QPickingProxy 6427
#define sipName_QPickingProxy &sipStrings_Qt3DRender[6427]
#define sipNameNr_QRayCasterHit 6453
#define sipName_QRayCasterHit &sipStrings_Qt3DRender[6453]
#define sipNameNr_QRenderAspect 6479
#define sipName_QRenderAspect &sipStrings_Qt3DRender[6479]
#define sipNameNr_QRenderTarget 6505
#define sipName_QRenderTarget &sipStrings_Qt3DRender[6505]
#define sipNameNr_QTextureImage 6531
#define sipName_QTextureImage &sipStrings_Qt3DRender[6531]
#define sipNameNr_R11_EAC_SNorm 14703
#define sipName_R11_EAC_SNorm &sipStrings_Qt3DRender[14703]
#define sipNameNr_R11_EAC_UNorm 14717
#define sipName_R11_EAC_UNorm &sipStrings_Qt3DRender[14717]
#define sipNameNr_R_ATI1N_SNorm 14731
#define sipName_R_ATI1N_SNorm &sipStrings_Qt3DRender[14731]
#define sipNameNr_R_ATI1N_UNorm 14745
#define sipName_R_ATI1N_UNorm &sipStrings_Qt3DRender[14745]
#define sipNameNr_SRGB_BP_UNorm 14759
#define sipName_SRGB_BP_UNorm &sipStrings_Qt3DRender[14759]
#define sipNameNr_ShaderStorage 14773
#define sipName_ShaderStorage &sipStrings_Qt3DRender[14773]
#define sipNameNr_ShiftModifier 14787
#define sipName_ShiftModifier &sipStrings_Qt3DRender[14787]
#define sipNameNr_StencilBuffer 7485
#define sipName_StencilBuffer &sipStrings_Qt3DRender[7485]
#define sipNameNr_Target1DArray 14801
#define sipName_Target1DArray &sipStrings_Qt3DRender[14801]
#define sipNameNr_Target2DArray 14815
#define sipName_Target2DArray &sipStrings_Qt3DRender[14815]
#define sipNameNr_TargetCubeMap 14829
#define sipName_TargetCubeMap &sipStrings_Qt3DRender[14829]
#define sipNameNr_TextureFormat 1009
#define sipName_TextureFormat &sipStrings_Qt3DRender[1009]
#define sipNameNr_TextureUpdate 14843
#define sipName_TextureUpdate &sipStrings_Qt3DRender[14843]
#define sipNameNr_ThresholdType 1220
#define sipName_ThresholdType &sipStrings_Qt3DRender[1220]
#define sipNameNr_TriangleStrip 14857
#define sipName_TriangleStrip &sipStrings_Qt3DRender[14857]
#define sipNameNr_accessChanged 14871
#define sipName_accessChanged &sipStrings_Qt3DRender[14871]
#define sipNameNr_addRenderPass 14885
#define sipName_addRenderPass &sipStrings_Qt3DRender[14885]
#define sipNameNr_alphaFunction 14899
#define sipName_alphaFunction &sipStrings_Qt3DRender[14899]
#define sipNameNr_blendFunction 14913
#define sipName_blendFunction &sipStrings_Qt3DRender[14913]
#define sipNameNr_bottomChanged 14927
#define sipName_bottomChanged &sipStrings_Qt3DRender[14927]
#define sipNameNr_cameraChanged 14941
#define sipName_cameraChanged &sipStrings_Qt3DRender[14941]
#define sipNameNr_connectNotify 12604
#define sipName_connectNotify &sipStrings_Qt3DRender[12604]
#define sipNameNr_containsMouse 14955
#define sipName_containsMouse &sipStrings_Qt3DRender[14955]
#define sipNameNr_dataGenerator 14969
#define sipName_dataGenerator &sipStrings_Qt3DRender[14969]
#define sipNameNr_depthFunction 14983
#define sipName_depthFunction &sipStrings_Qt3DRender[14983]
#define sipNameNr_driverVersion 14997
#define sipName_driverVersion &sipStrings_Qt3DRender[14997]
#define sipNameNr_effectChanged 15011
#define sipName_effectChanged &sipStrings_Qt3DRender[15011]
#define sipNameNr_enabledLayers 15025
#define sipName_enabledLayers &sipStrings_Qt3DRender[15025]
#define sipNameNr_entityChanged 15039
#define sipName_entityChanged &sipStrings_Qt3DRender[15039]
#define sipNameNr_firstInstance 15053
#define sipName_firstInstance &sipStrings_Qt3DRender[15053]
#define sipNameNr_formatChanged 15067
#define sipName_formatChanged &sipStrings_Qt3DRender[15067]
#define sipNameNr_handleChanged 15081
#define sipName_handleChanged &sipStrings_Qt3DRender[15081]
#define sipNameNr_heightChanged 15095
#define sipName_heightChanged &sipStrings_Qt3DRender[15095]
#define sipNameNr_instanceCount 15109
#define sipName_instanceCount &sipStrings_Qt3DRender[15109]
#define sipNameNr_isAlphaMasked 15123
#define sipName_isAlphaMasked &sipStrings_Qt3DRender[15123]
#define sipNameNr_isDragEnabled 15137
#define sipName_isDragEnabled &sipStrings_Qt3DRender[15137]
#define sipNameNr_isGreenMasked 15151
#define sipName_isGreenMasked &sipStrings_Qt3DRender[15151]
#define sipNameNr_layersChanged 15165
#define sipName_layersChanged &sipStrings_Qt3DRender[15165]
#define sipNameNr_lengthChanged 15179
#define sipName_lengthChanged &sipStrings_Qt3DRender[15179]
#define sipNameNr_maxImageUnits 15193
#define sipName_maxImageUnits &sipStrings_Qt3DRender[15193]
#define sipNameNr_normalChanged 15207
#define sipName_normalChanged &sipStrings_Qt3DRender[15207]
#define sipNameNr_originChanged 15221
#define sipName_originChanged &sipStrings_Qt3DRender[15221]
#define sipNameNr_primitiveType 15235
#define sipName_primitiveType &sipStrings_Qt3DRender[15235]
#define sipNameNr_requestUpdate 15249
#define sipName_requestUpdate &sipStrings_Qt3DRender[15249]
#define sipNameNr_setBlueMasked 15263
#define sipName_setBlueMasked &sipStrings_Qt3DRender[15263]
#define sipNameNr_setClearColor 15277
#define sipName_setClearColor &sipStrings_Qt3DRender[15277]
#define sipNameNr_setDepthSteps 15291
#define sipName_setDepthSteps &sipStrings_Qt3DRender[15291]
#define sipNameNr_setEnablement 15305
#define sipName_setEnablement &sipStrings_Qt3DRender[15305]
#define sipNameNr_setExtensions 15319
#define sipName_setExtensions &sipStrings_Qt3DRender[15319]
#define sipNameNr_setFilterMode 15333
#define sipName_setFilterMode &sipStrings_Qt3DRender[15333]
#define sipNameNr_setHandleType 15347
#define sipName_setHandleType &sipStrings_Qt3DRender[15347]
#define sipNameNr_setIrradiance 15361
#define sipName_setIrradiance &sipStrings_Qt3DRender[15361]
#define sipNameNr_setPickMethod 15375
#define sipName_setPickMethod &sipStrings_Qt3DRender[15375]
#define sipNameNr_setPlaneIndex 15389
#define sipName_setPlaneIndex &sipStrings_Qt3DRender[15389]
#define sipNameNr_setRasterMode 15403
#define sipName_setRasterMode &sipStrings_Qt3DRender[15403]
#define sipNameNr_setShaderCode 15417
#define sipName_setShaderCode &sipStrings_Qt3DRender[15417]
#define sipNameNr_setSourceRect 15431
#define sipName_setSourceRect &sipStrings_Qt3DRender[15431]
#define sipNameNr_setSourceRgba 15445
#define sipName_setSourceRgba &sipStrings_Qt3DRender[15445]
#define sipNameNr_setThresholds 15459
#define sipName_setThresholds &sipStrings_Qt3DRender[15459]
#define sipNameNr_setViewCenter 15473
#define sipName_setViewCenter &sipStrings_Qt3DRender[15473]
#define sipNameNr_setWorkGroupX 15487
#define sipName_setWorkGroupX &sipStrings_Qt3DRender[15487]
#define sipNameNr_setWorkGroupY 15501
#define sipName_setWorkGroupY &sipStrings_Qt3DRender[15501]
#define sipNameNr_setWorkGroupZ 15515
#define sipName_setWorkGroupZ &sipStrings_Qt3DRender[15515]
#define sipNameNr_shaderProgram 15529
#define sipName_shaderProgram &sipStrings_Qt3DRender[15529]
#define sipNameNr_smoothChanged 15543
#define sipName_smoothChanged &sipStrings_Qt3DRender[15543]
#define sipNameNr_sourceChanged 15557
#define sipName_sourceChanged &sipStrings_Qt3DRender[15557]
#define sipNameNr_statusChanged 15571
#define sipName_statusChanged &sipStrings_Qt3DRender[15571]
#define sipNameNr_targetChanged 15585
#define sipName_targetChanged &sipStrings_Qt3DRender[15585]
#define sipNameNr_textureImages 15599
#define sipName_textureImages &sipStrings_Qt3DRender[15599]
#define sipNameNr_thresholdType 15613
#define sipName_thresholdType &sipStrings_Qt3DRender[15613]
#define sipNameNr_triangleIndex 15627
#define sipName_triangleIndex &sipStrings_Qt3DRender[15627]
#define sipNameNr_vendorChanged 15641
#define sipName_vendorChanged &sipStrings_Qt3DRender[15641]
#define sipNameNr_BufferUpdate 15655
#define sipName_BufferUpdate &sipStrings_Qt3DRender[15655]
#define sipNameNr_CompareEqual 15668
#define sipName_CompareEqual &sipStrings_Qt3DRender[15668]
#define sipNameNr_CompareNever 15681
#define sipName_CompareNever &sipStrings_Qt3DRender[15681]
#define sipNameNr_DepthStencil 15694
#define sipName_DepthStencil &sipStrings_Qt3DRender[15694]
#define sipNameNr_ElementArray 15707
#define sipName_ElementArray &sipStrings_Qt3DRender[15707]
#define sipNameNr_FrontAndBack 15720
#define sipName_FrontAndBack &sipStrings_Qt3DRender[15720]
#define sipNameNr_MetaModifier 15733
#define sipName_MetaModifier &sipStrings_Qt3DRender[15733]
#define sipNameNr_MiddleButton 15746
#define sipName_MiddleButton &sipStrings_Qt3DRender[15746]
#define sipNameNr_PointPicking 15759
#define sipName_PointPicking &sipStrings_Qt3DRender[15759]
#define sipNameNr_Programmable 15772
#define sipName_Programmable &sipStrings_Qt3DRender[15772]
#define sipNameNr_QLayerFilter 6839
#define sipName_QLayerFilter &sipStrings_Qt3DRender[6839]
#define sipNameNr_QNoDepthMask 6864
#define sipName_QNoDepthMask &sipStrings_Qt3DRender[6864]
#define sipNameNr_QRenderState 6889
#define sipName_QRenderState &sipStrings_Qt3DRender[6889]
#define sipNameNr_QSceneLoader 6914
#define sipName_QSceneLoader &sipStrings_Qt3DRender[6914]
#define sipNameNr_QScissorTest 6939
#define sipName_QScissorTest &sipStrings_Qt3DRender[6939]
#define sipNameNr_QShaderImage 6964
#define sipName_QShaderImage &sipStrings_Qt3DRender[6964]
#define sipNameNr_QStencilMask 6989
#define sipName_QStencilMask &sipStrings_Qt3DRender[6989]
#define sipNameNr_QStencilTest 7014
#define sipName_QStencilTest &sipStrings_Qt3DRender[7014]
#define sipNameNr_QTextureData 7039
#define sipName_QTextureData &sipStrings_Qt3DRender[7039]
#define sipNameNr_RGBA16_SNorm 15785
#define sipName_RGBA16_SNorm &sipStrings_Qt3DRender[15785]
#define sipNameNr_RGBA16_UNorm 15798
#define sipName_RGBA16_UNorm &sipStrings_Qt3DRender[15798]
#define sipNameNr_RGB_BP_UNorm 14760
#define sipName_RGB_BP_UNorm &sipStrings_Qt3DRender[14760]
#define sipNameNr_RHITextureId 15811
#define sipName_RHITextureId &sipStrings_Qt3DRender[15811]
#define sipNameNr_RenderPolicy 1305
#define sipName_RenderPolicy &sipStrings_Qt3DRender[1305]
#define sipNameNr_SRGB8_Alpha8 15824
#define sipName_SRGB8_Alpha8 &sipStrings_Qt3DRender[15824]
#define sipNameNr_Source1Alpha 9440
#define sipName_Source1Alpha &sipStrings_Qt3DRender[9440]
#define sipNameNr_Source1Color 9461
#define sipName_Source1Color &sipStrings_Qt3DRender[9461]
#define sipNameNr_TargetBuffer 15837
#define sipName_TargetBuffer &sipStrings_Qt3DRender[15837]
#define sipNameNr_TextureFetch 15850
#define sipName_TextureFetch &sipStrings_Qt3DRender[15850]
#define sipNameNr_addFilterKey 15863
#define sipName_addFilterKey &sipStrings_Qt3DRender[15863]
#define sipNameNr_addImageData 15876
#define sipName_addImageData &sipStrings_Qt3DRender[15876]
#define sipNameNr_addParameter 15889
#define sipName_addParameter &sipStrings_Qt3DRender[15889]
#define sipNameNr_addTechnique 15902
#define sipName_addTechnique &sipStrings_Qt3DRender[15902]
#define sipNameNr_colorChanged 15915
#define sipName_colorChanged &sipStrings_Qt3DRender[15915]
#define sipNameNr_currentIndex 15928
#define sipName_currentIndex &sipStrings_Qt3DRender[15928]
#define sipNameNr_depthChanged 15941
#define sipName_depthChanged &sipStrings_Qt3DRender[15941]
#define sipNameNr_gammaChanged 15954
#define sipName_gammaChanged &sipStrings_Qt3DRender[15954]
#define sipNameNr_isBlueMasked 15967
#define sipName_isBlueMasked &sipStrings_Qt3DRender[15967]
#define sipNameNr_isCompressed 15980
#define sipName_isCompressed &sipStrings_Qt3DRender[15980]
#define sipNameNr_layerChanged 15993
#define sipName_layerChanged &sipStrings_Qt3DRender[15993]
#define sipNameNr_majorVersion 16006
#define sipName_majorVersion &sipStrings_Qt3DRender[16006]
#define sipNameNr_minorVersion 16019
#define sipName_minorVersion &sipStrings_Qt3DRender[16019]
#define sipNameNr_readProperty 16032
#define sipName_readProperty &sipStrings_Qt3DRender[16032]
#define sipNameNr_removeOutput 16045
#define sipName_removeOutput &sipStrings_Qt3DRender[16045]
#define sipNameNr_renderPasses 16058
#define sipName_renderPasses &sipStrings_Qt3DRender[16058]
#define sipNameNr_renderPolicy 16071
#define sipName_renderPolicy &sipStrings_Qt3DRender[16071]
#define sipNameNr_renderStates 16084
#define sipName_renderStates &sipStrings_Qt3DRender[16084]
#define sipNameNr_rightChanged 16097
#define sipName_rightChanged &sipStrings_Qt3DRender[16097]
#define sipNameNr_rollRotation 16110
#define sipName_rollRotation &sipStrings_Qt3DRender[16110]
#define sipNameNr_setAlignment 16123
#define sipName_setAlignment &sipStrings_Qt3DRender[16123]
#define sipNameNr_setDirection 16136
#define sipName_setDirection &sipStrings_Qt3DRender[16136]
#define sipNameNr_setIntensity 16149
#define sipName_setIntensity &sipStrings_Qt3DRender[16149]
#define sipNameNr_setMipLevels 16162
#define sipName_setMipLevels &sipStrings_Qt3DRender[16162]
#define sipNameNr_setNearPlane 16175
#define sipName_setNearPlane &sipStrings_Qt3DRender[16175]
#define sipNameNr_setNearValue 16188
#define sipName_setNearValue &sipStrings_Qt3DRender[16188]
#define sipNameNr_setPixelType 16201
#define sipName_setPixelType &sipStrings_Qt3DRender[16201]
#define sipNameNr_setRecursive 16214
#define sipName_setRecursive &sipStrings_Qt3DRender[16214]
#define sipNameNr_setRedMasked 16227
#define sipName_setRedMasked &sipStrings_Qt3DRender[16227]
#define sipNameNr_setSortIndex 16240
#define sipName_setSortIndex &sipStrings_Qt3DRender[16240]
#define sipNameNr_setSortTypes 16253
#define sipName_setSortTypes &sipStrings_Qt3DRender[16253]
#define sipNameNr_setSourceRgb 16266
#define sipName_setSourceRgb &sipStrings_Qt3DRender[16266]
#define sipNameNr_setTextureId 16279
#define sipName_setTextureId &sipStrings_Qt3DRender[16279]
#define sipNameNr_setWaitOnCPU 16292
#define sipName_setWaitOnCPU &sipStrings_Qt3DRender[16292]
#define sipNameNr_setWrapModeX 16305
#define sipName_setWrapModeX &sipStrings_Qt3DRender[16305]
#define sipNameNr_setWrapModeY 16318
#define sipName_setWrapModeY &sipStrings_Qt3DRender[16318]
#define sipNameNr_setWrapModeZ 16331
#define sipName_setWrapModeZ &sipStrings_Qt3DRender[16331]
#define sipNameNr_sortTypesInt 16344
#define sipName_sortTypesInt &sipStrings_Qt3DRender[16344]
#define sipNameNr_supportsSSBO 16357
#define sipName_supportsSSBO &sipStrings_Qt3DRender[16357]
#define sipNameNr_tiltRotation 16370
#define sipName_tiltRotation &sipStrings_Qt3DRender[16370]
#define sipNameNr_valueChanged 16383
#define sipName_valueChanged &sipStrings_Qt3DRender[16383]
#define sipNameNr_vertex1Index 16396
#define sipName_vertex1Index &sipStrings_Qt3DRender[16396]
#define sipNameNr_vertex2Index 16409
#define sipName_vertex2Index &sipStrings_Qt3DRender[16409]
#define sipNameNr_vertex3Index 16422
#define sipName_vertex3Index &sipStrings_Qt3DRender[16422]
#define sipNameNr_widthChanged 16435
#define sipName_widthChanged &sipStrings_Qt3DRender[16435]
#define sipNameNr_AlphaFormat 9399
#define sipName_AlphaFormat &sipStrings_Qt3DRender[9399]
#define sipNameNr_AltModifier 16448
#define sipName_AltModifier &sipStrings_Qt3DRender[16448]
#define sipNameNr_BackToFront 16460
#define sipName_BackToFront &sipStrings_Qt3DRender[16460]
#define sipNameNr_ClampToEdge 16472
#define sipName_ClampToEdge &sipStrings_Qt3DRender[16472]
#define sipNameNr_ColorBuffer 14337
#define sipName_ColorBuffer &sipStrings_Qt3DRender[14337]
#define sipNameNr_CompareLess 16484
#define sipName_CompareLess &sipStrings_Qt3DRender[16484]
#define sipNameNr_CompareNone 16496
#define sipName_CompareNone &sipStrings_Qt3DRender[16496]
#define sipNameNr_CoreProfile 16508
#define sipName_CoreProfile &sipStrings_Qt3DRender[16508]
#define sipNameNr_CubeMapFace 1138
#define sipName_CubeMapFace &sipStrings_Qt3DRender[1138]
#define sipNameNr_CullingMode 2844
#define sipName_CullingMode &sipStrings_Qt3DRender[2844]
#define sipNameNr_DepthBuffer 12300
#define sipName_DepthBuffer &sipStrings_Qt3DRender[12300]
#define sipNameNr_DepthFormat 16520
#define sipName_DepthFormat &sipStrings_Qt3DRender[16520]
#define sipNameNr_FrameBuffer 16532
#define sipName_FrameBuffer &sipStrings_Qt3DRender[16532]
#define sipNameNr_FrontToBack 16544
#define sipName_FrontToBack &sipStrings_Qt3DRender[16544]
#define sipNameNr_ImageFormat 2258
#define sipName_ImageFormat &sipStrings_Qt3DRender[2258]
#define sipNameNr_LessOrEqual 16556
#define sipName_LessOrEqual &sipStrings_Qt3DRender[16556]
#define sipNameNr_LinePicking 16568
#define sipName_LinePicking &sipStrings_Qt3DRender[16568]
#define sipNameNr_NearestPick 16580
#define sipName_NearestPick &sipStrings_Qt3DRender[16580]
#define sipNameNr_PixelBuffer 16592
#define sipName_PixelBuffer &sipStrings_Qt3DRender[16592]
#define sipNameNr_QCameraLens 7559
#define sipName_QCameraLens &sipStrings_Qt3DRender[7559]
#define sipNameNr_QDepthRange 7583
#define sipName_QDepthRange &sipStrings_Qt3DRender[7583]
#define sipNameNr_QPointLight 7607
#define sipName_QPointLight &sipStrings_Qt3DRender[7607]
#define sipNameNr_QRasterMode 7631
#define sipName_QRasterMode &sipStrings_Qt3DRender[7631]
#define sipNameNr_QRenderPass 7655
#define sipName_QRenderPass &sipStrings_Qt3DRender[7655]
#define sipNameNr_QShaderData 7679
#define sipName_QShaderData &sipStrings_Qt3DRender[7679]
#define sipNameNr_QSortPolicy 7703
#define sipName_QSortPolicy &sipStrings_Qt3DRender[7703]
#define sipNameNr_QueryBuffer 16604
#define sipName_QueryBuffer &sipStrings_Qt3DRender[16604]
#define sipNameNr_RGB16_SNorm 16616
#define sipName_RGB16_SNorm &sipStrings_Qt3DRender[16616]
#define sipNameNr_RGB16_UNorm 16628
#define sipName_RGB16_UNorm &sipStrings_Qt3DRender[16628]
#define sipNameNr_RGBA8_SNorm 16640
#define sipName_RGBA8_SNorm &sipStrings_Qt3DRender[16640]
#define sipNameNr_RGBA8_UNorm 16652
#define sipName_RGBA8_UNorm &sipStrings_Qt3DRender[16652]
#define sipNameNr_RightButton 16664
#define sipName_RightButton &sipStrings_Qt3DRender[16664]
#define sipNameNr_SourceAlpha 10085
#define sipName_SourceAlpha &sipStrings_Qt3DRender[10085]
#define sipNameNr_SourceColor 10105
#define sipName_SourceColor &sipStrings_Qt3DRender[10105]
#define sipNameNr_TriangleFan 16676
#define sipName_TriangleFan &sipStrings_Qt3DRender[16676]
#define sipNameNr_TriangleHit 16688
#define sipName_TriangleHit &sipStrings_Qt3DRender[16688]
#define sipNameNr_aspectRatio 16700
#define sipName_aspectRatio &sipStrings_Qt3DRender[16700]
#define sipNameNr_bufferIndex 16712
#define sipName_bufferIndex &sipStrings_Qt3DRender[16712]
#define sipNameNr_colorBuffer 16724
#define sipName_colorBuffer &sipStrings_Qt3DRender[16724]
#define sipNameNr_customEvent 16736
#define sipName_customEvent &sipStrings_Qt3DRender[16736]
#define sipNameNr_cutOffAngle 16748
#define sipName_cutOffAngle &sipStrings_Qt3DRender[16748]
#define sipNameNr_destination 16760
#define sipName_destination &sipStrings_Qt3DRender[16760]
#define sipNameNr_entityNames 16772
#define sipName_entityNames &sipStrings_Qt3DRender[16772]
#define sipNameNr_eventFilter 16784
#define sipName_eventFilter &sipStrings_Qt3DRender[16784]
#define sipNameNr_faceChanged 14517
#define sipName_faceChanged &sipStrings_Qt3DRender[14517]
#define sipNameNr_fieldOfView 16796
#define sipName_fieldOfView &sipStrings_Qt3DRender[16796]
#define sipNameNr_firstVertex 16808
#define sipName_firstVertex &sipStrings_Qt3DRender[16808]
#define sipNameNr_glslVersion 16820
#define sipName_glslVersion &sipStrings_Qt3DRender[16820]
#define sipNameNr_hitsChanged 16832
#define sipName_hitsChanged &sipStrings_Qt3DRender[16832]
#define sipNameNr_indexOffset 16844
#define sipName_indexOffset &sipStrings_Qt3DRender[16844]
#define sipNameNr_isRedMasked 16856
#define sipName_isRedMasked &sipStrings_Qt3DRender[16856]
#define sipNameNr_leftChanged 16868
#define sipName_leftChanged &sipStrings_Qt3DRender[16868]
#define sipNameNr_maxSSBOSize 16880
#define sipName_maxSSBOSize &sipStrings_Qt3DRender[16880]
#define sipNameNr_mipmapLevel 16892
#define sipName_mipmapLevel &sipStrings_Qt3DRender[16892]
#define sipNameNr_modeChanged 16904
#define sipName_modeChanged &sipStrings_Qt3DRender[16904]
#define sipNameNr_nameChanged 16916
#define sipName_nameChanged &sipStrings_Qt3DRender[16916]
#define sipNameNr_panRotation 16928
#define sipName_panRotation &sipStrings_Qt3DRender[16928]
#define sipNameNr_pixelFormat 16940
#define sipName_pixelFormat &sipStrings_Qt3DRender[16940]
#define sipNameNr_removeLayer 16952
#define sipName_removeLayer &sipStrings_Qt3DRender[16952]
#define sipNameNr_removeMatch 16964
#define sipName_removeMatch &sipStrings_Qt3DRender[16964]
#define sipNameNr_scaleFactor 16976
#define sipName_scaleFactor &sipStrings_Qt3DRender[16976]
#define sipNameNr_setAccepted 16988
#define sipName_setAccepted &sipStrings_Qt3DRender[16988]
#define sipNameNr_setDistance 17000
#define sipName_setDistance &sipStrings_Qt3DRender[17000]
#define sipNameNr_setExposure 17012
#define sipName_setExposure &sipStrings_Qt3DRender[17012]
#define sipNameNr_setFaceMode 17024
#define sipName_setFaceMode &sipStrings_Qt3DRender[17024]
#define sipNameNr_setFarPlane 17036
#define sipName_setFarPlane &sipStrings_Qt3DRender[17036]
#define sipNameNr_setFarValue 17048
#define sipName_setFarValue &sipStrings_Qt3DRender[17048]
#define sipNameNr_setGeometry 17060
#define sipName_setGeometry &sipStrings_Qt3DRender[17060]
#define sipNameNr_setMeshName 17072
#define sipName_setMeshName &sipStrings_Qt3DRender[17072]
#define sipNameNr_setMipLevel 17084
#define sipName_setMipLevel &sipStrings_Qt3DRender[17084]
#define sipNameNr_setMirrored 17096
#define sipName_setMirrored &sipStrings_Qt3DRender[17096]
#define sipNameNr_setPosition 17108
#define sipName_setPosition &sipStrings_Qt3DRender[17108]
#define sipNameNr_setPriority 17120
#define sipName_setPriority &sipStrings_Qt3DRender[17120]
#define sipNameNr_setSizeMode 17132
#define sipName_setSizeMode &sipStrings_Qt3DRender[17132]
#define sipNameNr_setSpecular 17144
#define sipName_setSpecular &sipStrings_Qt3DRender[17144]
#define sipNameNr_setUpVector 17156
#define sipName_setUpVector &sipStrings_Qt3DRender[17156]
#define sipNameNr_setWrapMode 17168
#define sipName_setWrapMode &sipStrings_Qt3DRender[17168]
#define sipNameNr_sizeChanged 17180
#define sipName_sizeChanged &sipStrings_Qt3DRender[17180]
#define sipNameNr_sourceAlpha 17192
#define sipName_sourceAlpha &sipStrings_Qt3DRender[17192]
#define sipNameNr_supportsUBO 17204
#define sipName_supportsUBO &sipStrings_Qt3DRender[17204]
#define sipNameNr_vertexCount 17216
#define sipName_vertexCount &sipStrings_Qt3DRender[17216]
#define sipNameNr_AllBuffers 17228
#define sipName_AllBuffers &sipStrings_Qt3DRender[17228]
#define sipNameNr_BackButton 17239
#define sipName_BackButton &sipStrings_Qt3DRender[17239]
#define sipNameNr_BufferType 2145
#define sipName_BufferType &sipStrings_Qt3DRender[2145]
#define sipNameNr_Continuous 17250
#define sipName_Continuous &sipStrings_Qt3DRender[17250]
#define sipNameNr_Enablement 1834
#define sipName_Enablement &sipStrings_Qt3DRender[1834]
#define sipNameNr_FilterMode 1055
#define sipName_FilterMode &sipStrings_Qt3DRender[1055]
#define sipNameNr_HandleType 1389
#define sipName_HandleType &sipStrings_Qt3DRender[1389]
#define sipNameNr_LeftButton 17261
#define sipName_LeftButton &sipStrings_Qt3DRender[17261]
#define sipNameNr_NoModifier 17272
#define sipName_NoModifier &sipStrings_Qt3DRender[17272]
#define sipNameNr_Persistent 17283
#define sipName_Persistent &sipStrings_Qt3DRender[17283]
#define sipNameNr_PickMethod 1512
#define sipName_PickMethod &sipStrings_Qt3DRender[1512]
#define sipNameNr_PointLight 7608
#define sipName_PointLight &sipStrings_Qt3DRender[7608]
#define sipNameNr_QAlphaTest 7895
#define sipName_QAlphaTest &sipStrings_Qt3DRender[7895]
#define sipNameNr_QClipPlane 7918
#define sipName_QClipPlane &sipStrings_Qt3DRender[7918]
#define sipNameNr_QColorMask 7941
#define sipName_QColorMask &sipStrings_Qt3DRender[7941]
#define sipNameNr_QDepthTest 7964
#define sipName_QDepthTest &sipStrings_Qt3DRender[7964]
#define sipNameNr_QDithering 7987
#define sipName_QDithering &sipStrings_Qt3DRender[7987]
#define sipNameNr_QFilterKey 8010
#define sipName_QFilterKey &sipStrings_Qt3DRender[8010]
#define sipNameNr_QFrontFace 8033
#define sipName_QFrontFace &sipStrings_Qt3DRender[8033]
#define sipNameNr_QLineWidth 8056
#define sipName_QLineWidth &sipStrings_Qt3DRender[8056]
#define sipNameNr_QNoPicking 8079
#define sipName_QNoPicking &sipStrings_Qt3DRender[8079]
#define sipNameNr_QParameter 8102
#define sipName_QParameter &sipStrings_Qt3DRender[8102]
#define sipNameNr_QPickEvent 8125
#define sipName_QPickEvent &sipStrings_Qt3DRender[8125]
#define sipNameNr_QPointSize 8148
#define sipName_QPointSize &sipStrings_Qt3DRender[8148]
#define sipNameNr_QRayCaster 8171
#define sipName_QRayCaster &sipStrings_Qt3DRender[8171]
#define sipNameNr_QSpotLight 8194
#define sipName_QSpotLight &sipStrings_Qt3DRender[8194]
#define sipNameNr_QTechnique 8217
#define sipName_QTechnique &sipStrings_Qt3DRender[8217]
#define sipNameNr_QTexture1D 8240
#define sipName_QTexture1D &sipStrings_Qt3DRender[8240]
#define sipNameNr_QTexture2D 8263
#define sipName_QTexture2D &sipStrings_Qt3DRender[8263]
#define sipNameNr_QTexture3D 8286
#define sipName_QTexture3D &sipStrings_Qt3DRender[8286]
#define sipNameNr_QWaitFence 8309
#define sipName_QWaitFence &sipStrings_Qt3DRender[8309]
#define sipNameNr_Qt3DRender 12522
#define sipName_Qt3DRender &sipStrings_Qt3DRender[12522]
#define sipNameNr_RG16_SNorm 17294
#define sipName_RG16_SNorm &sipStrings_Qt3DRender[17294]
#define sipNameNr_RG16_UNorm 17305
#define sipName_RG16_UNorm &sipStrings_Qt3DRender[17305]
#define sipNameNr_RGB8_SNorm 17316
#define sipName_RGB8_SNorm &sipStrings_Qt3DRender[17316]
#define sipNameNr_RGB8_UNorm 17327
#define sipName_RGB8_UNorm &sipStrings_Qt3DRender[17327]
#define sipNameNr_RGBAFormat 17338
#define sipName_RGBAFormat &sipStrings_Qt3DRender[17338]
#define sipNameNr_RasterMode 2774
#define sipName_RasterMode &sipStrings_Qt3DRender[2774]
#define sipNameNr_SRGB8_ETC2 17349
#define sipName_SRGB8_ETC2 &sipStrings_Qt3DRender[17349]
#define sipNameNr_ShaderType 1913
#define sipName_ShaderType &sipStrings_Qt3DRender[1913]
#define sipNameNr_SingleShot 17360
#define sipName_SingleShot &sipStrings_Qt3DRender[17360]
#define sipNameNr_apiChanged 17371
#define sipName_apiChanged &sipStrings_Qt3DRender[17371]
#define sipNameNr_childEvent 17382
#define sipName_childEvent &sipStrings_Qt3DRender[17382]
#define sipNameNr_clearColor 17393
#define sipName_clearColor &sipStrings_Qt3DRender[17393]
#define sipNameNr_depthSteps 17404
#define sipName_depthSteps &sipStrings_Qt3DRender[17404]
#define sipNameNr_enablement 17415
#define sipName_enablement &sipStrings_Qt3DRender[17415]
#define sipNameNr_extensions 17426
#define sipName_extensions &sipStrings_Qt3DRender[17426]
#define sipNameNr_filterKeys 17437
#define sipName_filterKeys &sipStrings_Qt3DRender[17437]
#define sipNameNr_filterMode 17448
#define sipName_filterMode &sipStrings_Qt3DRender[17448]
#define sipNameNr_frameCount 17459
#define sipName_frameCount &sipStrings_Qt3DRender[17459]
#define sipNameNr_handleType 17470
#define sipName_handleType &sipStrings_Qt3DRender[17470]
#define sipNameNr_irradiance 17481
#define sipName_irradiance &sipStrings_Qt3DRender[17481]
#define sipNameNr_isAccepted 17492
#define sipName_isAccepted &sipStrings_Qt3DRender[17492]
#define sipNameNr_isComplete 17503
#define sipName_isComplete &sipStrings_Qt3DRender[17503]
#define sipNameNr_isMirrored 17514
#define sipName_isMirrored &sipStrings_Qt3DRender[17514]
#define sipNameNr_loadSource 17525
#define sipName_loadSource &sipStrings_Qt3DRender[17525]
#define sipNameNr_logChanged 17536
#define sipName_logChanged &sipStrings_Qt3DRender[17536]
#define sipNameNr_maxSamples 17547
#define sipName_maxSamples &sipStrings_Qt3DRender[17547]
#define sipNameNr_maxUBOSize 17558
#define sipName_maxUBOSize &sipStrings_Qt3DRender[17558]
#define sipNameNr_parameters 17569
#define sipName_parameters &sipStrings_Qt3DRender[17569]
#define sipNameNr_pickMethod 17580
#define sipName_pickMethod &sipStrings_Qt3DRender[17580]
#define sipNameNr_planeIndex 17591
#define sipName_planeIndex &sipStrings_Qt3DRender[17591]
#define sipNameNr_pointIndex 17602
#define sipName_pointIndex &sipStrings_Qt3DRender[17602]
#define sipNameNr_rasterMode 17613
#define sipName_rasterMode &sipStrings_Qt3DRender[17613]
#define sipNameNr_setBuffers 17624
#define sipName_setBuffers &sipStrings_Qt3DRender[17624]
#define sipNameNr_setLayered 17635
#define sipName_setLayered &sipStrings_Qt3DRender[17635]
#define sipNameNr_setProfile 17646
#define sipName_setProfile &sipStrings_Qt3DRender[17646]
#define sipNameNr_setRunMode 17657
#define sipName_setRunMode &sipStrings_Qt3DRender[17657]
#define sipNameNr_setRunType 17668
#define sipName_setRunType &sipStrings_Qt3DRender[17668]
#define sipNameNr_setSamples 17679
#define sipName_setSamples &sipStrings_Qt3DRender[17679]
#define sipNameNr_setSurface 17690
#define sipName_setSurface &sipStrings_Qt3DRender[17690]
#define sipNameNr_setTexture 17701
#define sipName_setTexture &sipStrings_Qt3DRender[17701]
#define sipNameNr_setTimeout 17712
#define sipName_setTimeout &sipStrings_Qt3DRender[17712]
#define sipNameNr_shaderCode 17723
#define sipName_shaderCode &sipStrings_Qt3DRender[17723]
#define sipNameNr_sourceRect 17734
#define sipName_sourceRect &sipStrings_Qt3DRender[17734]
#define sipNameNr_techniques 17745
#define sipName_techniques &sipStrings_Qt3DRender[17745]
#define sipNameNr_thresholds 17756
#define sipName_thresholds &sipStrings_Qt3DRender[17756]
#define sipNameNr_timerEvent 17767
#define sipName_timerEvent &sipStrings_Qt3DRender[17767]
#define sipNameNr_topChanged 17778
#define sipName_topChanged &sipStrings_Qt3DRender[17778]
#define sipNameNr_updateData 17789
#define sipName_updateData &sipStrings_Qt3DRender[17789]
#define sipNameNr_viewCenter 17800
#define sipName_viewCenter &sipStrings_Qt3DRender[17800]
#define sipNameNr_viewEntity 17811
#define sipName_viewEntity &sipStrings_Qt3DRender[17811]
#define sipNameNr_viewMatrix 17822
#define sipName_viewMatrix &sipStrings_Qt3DRender[17822]
#define sipNameNr_viewSphere 17833
#define sipName_viewSphere &sipStrings_Qt3DRender[17833]
#define sipNameNr_viewVector 17844
#define sipName_viewVector &sipStrings_Qt3DRender[17844]
#define sipNameNr_workGroupX 17855
#define sipName_workGroupX &sipStrings_Qt3DRender[17855]
#define sipNameNr_workGroupY 17866
#define sipName_workGroupY &sipStrings_Qt3DRender[17866]
#define sipNameNr_workGroupZ 17877
#define sipName_workGroupZ &sipStrings_Qt3DRender[17877]
#define sipNameNr_Automatic 13193
#define sipName_Automatic &sipStrings_Qt3DRender[13193]
#define sipNameNr_ClockWise 12353
#define sipName_ClockWise &sipStrings_Qt3DRender[12353]
#define sipNameNr_D32FS8X24 17888
#define sipName_D32FS8X24 &sipStrings_Qt3DRender[17888]
#define sipNameNr_Decrement 17898
#define sipName_Decrement &sipStrings_Qt3DRender[17898]
#define sipNameNr_EntityHit 17908
#define sipName_EntityHit &sipStrings_Qt3DRender[17908]
#define sipNameNr_FrontFace 8034
#define sipName_FrontFace &sipStrings_Qt3DRender[8034]
#define sipNameNr_Increment 17918
#define sipName_Increment &sipStrings_Qt3DRender[17918]
#define sipNameNr_LineStrip 17928
#define sipName_LineStrip &sipStrings_Qt3DRender[17928]
#define sipNameNr_Modifiers 3158
#define sipName_Modifiers &sipStrings_Qt3DRender[3158]
#define sipNameNr_NoCulling 17938
#define sipName_NoCulling &sipStrings_Qt3DRender[17938]
#define sipNameNr_NoProfile 17948
#define sipName_NoProfile &sipStrings_Qt3DRender[17948]
#define sipNameNr_Operation 412
#define sipName_Operation &sipStrings_Qt3DRender[412]
#define sipNameNr_QCullFace 8765
#define sipName_QCullFace &sipStrings_Qt3DRender[8765]
#define sipNameNr_QMaterial 8787
#define sipName_QMaterial &sipStrings_Qt3DRender[8787]
#define sipNameNr_QSetFence 8809
#define sipName_QSetFence &sipStrings_Qt3DRender[8809]
#define sipNameNr_QViewport 8831
#define sipName_QViewport &sipStrings_Qt3DRender[8831]
#define sipNameNr_R16_SNorm 17958
#define sipName_R16_SNorm &sipStrings_Qt3DRender[17958]
#define sipNameNr_R16_UNorm 17968
#define sipName_R16_UNorm &sipStrings_Qt3DRender[17968]
#define sipNameNr_RG8_SNorm 17978
#define sipName_RG8_SNorm &sipStrings_Qt3DRender[17978]
#define sipNameNr_RG8_UNorm 17988
#define sipName_RG8_UNorm &sipStrings_Qt3DRender[17988]
#define sipNameNr_RGB8_ETC1 17998
#define sipName_RGB8_ETC1 &sipStrings_Qt3DRender[17998]
#define sipNameNr_RGB8_ETC2 17350
#define sipName_RGB8_ETC2 &sipStrings_Qt3DRender[17350]
#define sipNameNr_RGBA_DXT1 18008
#define sipName_RGBA_DXT1 &sipStrings_Qt3DRender[18008]
#define sipNameNr_RGBA_DXT3 18018
#define sipName_RGBA_DXT3 &sipStrings_Qt3DRender[18018]
#define sipNameNr_RGBA_DXT5 18028
#define sipName_RGBA_DXT5 &sipStrings_Qt3DRender[18028]
#define sipNameNr_RGBFormat 18038
#define sipName_RGBFormat &sipStrings_Qt3DRender[18038]
#define sipNameNr_ReadWrite 18048
#define sipName_ReadWrite &sipStrings_Qt3DRender[18048]
#define sipNameNr_SRGB_DXT1 18058
#define sipName_SRGB_DXT1 &sipStrings_Qt3DRender[18058]
#define sipNameNr_SpotLight 8195
#define sipName_SpotLight &sipStrings_Qt3DRender[8195]
#define sipNameNr_Triangles 18068
#define sipName_Triangles &sipStrings_Qt3DRender[18068]
#define sipNameNr_WriteOnly 18078
#define sipName_WriteOnly &sipStrings_Qt3DRender[18078]
#define sipNameNr_addOutput 18088
#define sipName_addOutput &sipStrings_Qt3DRender[18088]
#define sipNameNr_alignment 18098
#define sipName_alignment &sipStrings_Qt3DRender[18098]
#define sipNameNr_completed 18108
#define sipName_completed &sipStrings_Qt3DRender[18108]
#define sipNameNr_component 18118
#define sipName_component &sipStrings_Qt3DRender[18118]
#define sipNameNr_direction 18128
#define sipName_direction &sipStrings_Qt3DRender[18128]
#define sipNameNr_edgeIndex 18138
#define sipName_edgeIndex &sipStrings_Qt3DRender[18138]
#define sipNameNr_imageData 18148
#define sipName_imageData &sipStrings_Qt3DRender[18148]
#define sipNameNr_intensity 18158
#define sipName_intensity &sipStrings_Qt3DRender[18158]
#define sipNameNr_isPressed 18168
#define sipName_isPressed &sipStrings_Qt3DRender[18168]
#define sipNameNr_mipLevels 18178
#define sipName_mipLevels &sipStrings_Qt3DRender[18178]
#define sipNameNr_modifiers 18188
#define sipName_modifiers &sipStrings_Qt3DRender[18188]
#define sipNameNr_nearPlane 18198
#define sipName_nearPlane &sipStrings_Qt3DRender[18198]
#define sipNameNr_nearValue 18208
#define sipName_nearValue &sipStrings_Qt3DRender[18208]
#define sipNameNr_pixelType 18218
#define sipName_pixelType &sipStrings_Qt3DRender[18218]
#define sipNameNr_recursive 18228
#define sipName_recursive &sipStrings_Qt3DRender[18228]
#define sipNameNr_saveImage 18238
#define sipName_saveImage &sipStrings_Qt3DRender[18238]
#define sipNameNr_setAccess 18248
#define sipName_setAccess &sipStrings_Qt3DRender[18248]
#define sipNameNr_setBottom 18258
#define sipName_setBottom &sipStrings_Qt3DRender[18258]
#define sipNameNr_setCamera 18268
#define sipName_setCamera &sipStrings_Qt3DRender[18268]
#define sipNameNr_setEffect 18278
#define sipName_setEffect &sipStrings_Qt3DRender[18278]
#define sipNameNr_setEntity 18288
#define sipName_setEntity &sipStrings_Qt3DRender[18288]
#define sipNameNr_setFormat 18298
#define sipName_setFormat &sipStrings_Qt3DRender[18298]
#define sipNameNr_setHandle 18308
#define sipName_setHandle &sipStrings_Qt3DRender[18308]
#define sipNameNr_setHeight 18318
#define sipName_setHeight &sipStrings_Qt3DRender[18318]
#define sipNameNr_setLayers 18328
#define sipName_setLayers &sipStrings_Qt3DRender[18328]
#define sipNameNr_setLength 18338
#define sipName_setLength &sipStrings_Qt3DRender[18338]
#define sipNameNr_setNormal 18348
#define sipName_setNormal &sipStrings_Qt3DRender[18348]
#define sipNameNr_setOrigin 18358
#define sipName_setOrigin &sipStrings_Qt3DRender[18358]
#define sipNameNr_setSmooth 18368
#define sipName_setSmooth &sipStrings_Qt3DRender[18368]
#define sipNameNr_setSource 18378
#define sipName_setSource &sipStrings_Qt3DRender[18378]
#define sipNameNr_setStatus 18388
#define sipName_setStatus &sipStrings_Qt3DRender[18388]
#define sipNameNr_setTarget 18398
#define sipName_setTarget &sipStrings_Qt3DRender[18398]
#define sipNameNr_setVendor 18408
#define sipName_setVendor &sipStrings_Qt3DRender[18408]
#define sipNameNr_sortIndex 18418
#define sipName_sortIndex &sipStrings_Qt3DRender[18418]
#define sipNameNr_sortTypes 18428
#define sipName_sortTypes &sipStrings_Qt3DRender[18428]
#define sipNameNr_sourceRgb 18438
#define sipName_sourceRgb &sipStrings_Qt3DRender[18438]
#define sipNameNr_textureId 18448
#define sipName_textureId &sipStrings_Qt3DRender[18448]
#define sipNameNr_transform 18458
#define sipName_transform &sipStrings_Qt3DRender[18458]
#define sipNameNr_translate 18468
#define sipName_translate &sipStrings_Qt3DRender[18468]
#define sipNameNr_waitOnCPU 18478
#define sipName_waitOnCPU &sipStrings_Qt3DRender[18478]
#define sipNameNr_wrapModeX 18488
#define sipName_wrapModeX &sipStrings_Qt3DRender[18488]
#define sipNameNr_wrapModeY 18498
#define sipName_wrapModeY &sipStrings_Qt3DRender[18498]
#define sipNameNr_wrapModeZ 18508
#define sipName_wrapModeZ &sipStrings_Qt3DRender[18508]
#define sipNameNr_AllFaces 18518
#define sipName_AllFaces &sipStrings_Qt3DRender[18518]
#define sipNameNr_AllPicks 18527
#define sipName_AllPicks &sipStrings_Qt3DRender[18527]
#define sipNameNr_BackFace 12490
#define sipName_BackFace &sipStrings_Qt3DRender[12490]
#define sipNameNr_Blending 744
#define sipName_Blending &sipStrings_Qt3DRender[744]
#define sipNameNr_FaceMode 262
#define sipName_FaceMode &sipStrings_Qt3DRender[262]
#define sipNameNr_Fragment 18536
#define sipName_Fragment &sipStrings_Qt3DRender[18536]
#define sipNameNr_Geometry 17063
#define sipName_Geometry &sipStrings_Qt3DRender[17063]
#define sipNameNr_LineLoop 18545
#define sipName_LineLoop &sipStrings_Qt3DRender[18545]
#define sipNameNr_Material 8788
#define sipName_Material &sipStrings_Qt3DRender[8788]
#define sipNameNr_NoButton 18554
#define sipName_NoButton &sipStrings_Qt3DRender[18554]
#define sipNameNr_NoFormat 18563
#define sipName_NoFormat &sipStrings_Qt3DRender[18563]
#define sipNameNr_NoHandle 18572
#define sipName_NoHandle &sipStrings_Qt3DRender[18572]
#define sipNameNr_NotEqual 12320
#define sipName_NotEqual &sipStrings_Qt3DRender[12320]
#define sipNameNr_NotReady 18581
#define sipName_NotReady &sipStrings_Qt3DRender[18581]
#define sipNameNr_OnDemand 18590
#define sipName_OnDemand &sipStrings_Qt3DRender[18590]
#define sipNameNr_OpenGLES 18599
#define sipName_OpenGLES &sipStrings_Qt3DRender[18599]
#define sipNameNr_PointHit 18608
#define sipName_PointHit &sipStrings_Qt3DRender[18608]
#define sipNameNr_R8_SNorm 18617
#define sipName_R8_SNorm &sipStrings_Qt3DRender[18617]
#define sipNameNr_R8_UNorm 18626
#define sipName_R8_UNorm &sipStrings_Qt3DRender[18626]
#define sipNameNr_RG11B10F 18635
#define sipName_RG11B10F &sipStrings_Qt3DRender[18635]
#define sipNameNr_RGB10A2U 18644
#define sipName_RGB10A2U &sipStrings_Qt3DRender[18644]
#define sipNameNr_RGB_DXT1 18059
#define sipName_RGB_DXT1 &sipStrings_Qt3DRender[18059]
#define sipNameNr_ReadOnly 18653
#define sipName_ReadOnly &sipStrings_Qt3DRender[18653]
#define sipNameNr_SizeMode 3765
#define sipName_SizeMode &sipStrings_Qt3DRender[3765]
#define sipNameNr_SortType 3329
#define sipName_SortType &sipStrings_Qt3DRender[3329]
#define sipNameNr_Subtract 13114
#define sipName_Subtract &sipStrings_Qt3DRender[13114]
#define sipNameNr_Target1D 18662
#define sipName_Target1D &sipStrings_Qt3DRender[18662]
#define sipNameNr_Target2D 18671
#define sipName_Target2D &sipStrings_Qt3DRender[18671]
#define sipNameNr_Target3D 18680
#define sipName_Target3D &sipStrings_Qt3DRender[18680]
#define sipNameNr_WrapMode 2071
#define sipName_WrapMode &sipStrings_Qt3DRender[2071]
#define sipNameNr___call__ 18689
#define sipName___call__ &sipStrings_Qt3DRender[18689]
#define sipNameNr_addLayer 18698
#define sipName_addLayer &sipStrings_Qt3DRender[18698]
#define sipNameNr_addMatch 18707
#define sipName_addMatch &sipStrings_Qt3DRender[18707]
#define sipNameNr_distance 18716
#define sipName_distance &sipStrings_Qt3DRender[18716]
#define sipNameNr_entityId 18725
#define sipName_entityId &sipStrings_Qt3DRender[18725]
#define sipNameNr_exposure 18734
#define sipName_exposure &sipStrings_Qt3DRender[18734]
#define sipNameNr_faceMode 18743
#define sipName_faceMode &sipStrings_Qt3DRender[18743]
#define sipNameNr_farPlane 18752
#define sipName_farPlane &sipStrings_Qt3DRender[18752]
#define sipNameNr_farValue 18761
#define sipName_farValue &sipStrings_Qt3DRender[18761]
#define sipNameNr_geometry 18770
#define sipName_geometry &sipStrings_Qt3DRender[18770]
#define sipNameNr_matchAll 18779
#define sipName_matchAll &sipStrings_Qt3DRender[18779]
#define sipNameNr_matchAny 18788
#define sipName_matchAny &sipStrings_Qt3DRender[18788]
#define sipNameNr_meshName 18797
#define sipName_meshName &sipStrings_Qt3DRender[18797]
#define sipNameNr_mipLevel 18806
#define sipName_mipLevel &sipStrings_Qt3DRender[18806]
#define sipNameNr_position 18815
#define sipName_position &sipStrings_Qt3DRender[18815]
#define sipNameNr_priority 18824
#define sipName_priority &sipStrings_Qt3DRender[18824]
#define sipNameNr_released 18833
#define sipName_released &sipStrings_Qt3DRender[18833]
#define sipNameNr_renderer 18842
#define sipName_renderer &sipStrings_Qt3DRender[18842]
#define sipNameNr_rotation 18851
#define sipName_rotation &sipStrings_Qt3DRender[18851]
#define sipNameNr_setColor 18860
#define sipName_setColor &sipStrings_Qt3DRender[18860]
#define sipNameNr_setDepth 18869
#define sipName_setDepth &sipStrings_Qt3DRender[18869]
#define sipNameNr_setFaces 18878
#define sipName_setFaces &sipStrings_Qt3DRender[18878]
#define sipNameNr_setGamma 18887
#define sipName_setGamma &sipStrings_Qt3DRender[18887]
#define sipNameNr_setImage 18896
#define sipName_setImage &sipStrings_Qt3DRender[18896]
#define sipNameNr_setLayer 18905
#define sipName_setLayer &sipStrings_Qt3DRender[18905]
#define sipNameNr_setRight 18914
#define sipName_setRight &sipStrings_Qt3DRender[18914]
#define sipNameNr_setValue 18923
#define sipName_setValue &sipStrings_Qt3DRender[18923]
#define sipNameNr_setWidth 18932
#define sipName_setWidth &sipStrings_Qt3DRender[18932]
#define sipNameNr_sizeMode 18941
#define sipName_sizeMode &sipStrings_Qt3DRender[18941]
#define sipNameNr_specular 18950
#define sipName_specular &sipStrings_Qt3DRender[18950]
#define sipNameNr_upVector 18959
#define sipName_upVector &sipStrings_Qt3DRender[18959]
#define sipNameNr_viewport 18968
#define sipName_viewport &sipStrings_Qt3DRender[18968]
#define sipNameNr_wrapMode 18977
#define sipName_wrapMode &sipStrings_Qt3DRender[18977]
#define sipNameNr_xChanged 7802
#define sipName_xChanged &sipStrings_Qt3DRender[7802]
#define sipNameNr_yChanged 7243
#define sipName_yChanged &sipStrings_Qt3DRender[7243]
#define sipNameNr_zChanged 18986
#define sipName_zChanged &sipStrings_Qt3DRender[18986]
#define sipNameNr_Buttons 4028
#define sipName_Buttons &sipStrings_Qt3DRender[4028]
#define sipNameNr_Color10 18995
#define sipName_Color10 &sipStrings_Qt3DRender[18995]
#define sipNameNr_Color11 19003
#define sipName_Color11 &sipStrings_Qt3DRender[19003]
#define sipNameNr_Color12 19011
#define sipName_Color12 &sipStrings_Qt3DRender[19011]
#define sipNameNr_Color13 19019
#define sipName_Color13 &sipStrings_Qt3DRender[19019]
#define sipNameNr_Color14 19027
#define sipName_Color14 &sipStrings_Qt3DRender[19027]
#define sipNameNr_Color15 19035
#define sipName_Color15 &sipStrings_Qt3DRender[19035]
#define sipNameNr_Command 5320
#define sipName_Command &sipStrings_Qt3DRender[5320]
#define sipNameNr_Compute 4945
#define sipName_Compute &sipStrings_Qt3DRender[4945]
#define sipNameNr_DirectX 19043
#define sipName_DirectX &sipStrings_Qt3DRender[19043]
#define sipNameNr_Greater 13786
#define sipName_Greater &sipStrings_Qt3DRender[13786]
#define sipNameNr_HitType 2883
#define sipName_HitType &sipStrings_Qt3DRender[2883]
#define sipNameNr_LineHit 19051
#define sipName_LineHit &sipStrings_Qt3DRender[19051]
#define sipNameNr_Loading 19059
#define sipName_Loading &sipStrings_Qt3DRender[19059]
#define sipNameNr_Nearest 9424
#define sipName_Nearest &sipStrings_Qt3DRender[9424]
#define sipNameNr_Patches 19067
#define sipName_Patches &sipStrings_Qt3DRender[19067]
#define sipNameNr_Profile 791
#define sipName_Profile &sipStrings_Qt3DRender[791]
#define sipNameNr_QCamera 10129
#define sipName_QCamera &sipStrings_Qt3DRender[10129]
#define sipNameNr_QEffect 10149
#define sipName_QEffect &sipStrings_Qt3DRender[10149]
#define sipNameNr_QNoDraw 10169
#define sipName_QNoDraw &sipStrings_Qt3DRender[10169]
#define sipNameNr_RGB10A2 19075
#define sipName_RGB10A2 &sipStrings_Qt3DRender[19075]
#define sipNameNr_RGBA16F 19083
#define sipName_RGBA16F &sipStrings_Qt3DRender[19083]
#define sipNameNr_RGBA16I 19091
#define sipName_RGBA16I &sipStrings_Qt3DRender[19091]
#define sipNameNr_RGBA16U 19099
#define sipName_RGBA16U &sipStrings_Qt3DRender[19099]
#define sipNameNr_RGBA32F 19107
#define sipName_RGBA32F &sipStrings_Qt3DRender[19107]
#define sipNameNr_RGBA32I 19115
#define sipName_RGBA32I &sipStrings_Qt3DRender[19115]
#define sipNameNr_RGBA32U 19123
#define sipName_RGBA32U &sipStrings_Qt3DRender[19123]
#define sipNameNr_Replace 19131
#define sipName_Replace &sipStrings_Qt3DRender[19131]
#define sipNameNr_RunMode 1717
#define sipName_RunMode &sipStrings_Qt3DRender[1717]
#define sipNameNr_RunType 2448
#define sipName_RunType &sipStrings_Qt3DRender[2448]
#define sipNameNr_Stencil 15699
#define sipName_Stencil &sipStrings_Qt3DRender[15699]
#define sipNameNr_Texture 4887
#define sipName_Texture &sipStrings_Qt3DRender[4887]
#define sipNameNr_Uniform 19139
#define sipName_Uniform &sipStrings_Qt3DRender[19139]
#define sipNameNr_buffers 19147
#define sipName_buffers &sipStrings_Qt3DRender[19147]
#define sipNameNr_buttons 19155
#define sipName_buttons &sipStrings_Qt3DRender[19155]
#define sipNameNr_cleanup 19163
#define sipName_cleanup &sipStrings_Qt3DRender[19163]
#define sipNameNr_clicked 19171
#define sipName_clicked &sipStrings_Qt3DRender[19171]
#define sipNameNr_entered 19179
#define sipName_entered &sipStrings_Qt3DRender[19179]
#define sipNameNr_isEmpty 19187
#define sipName_isEmpty &sipStrings_Qt3DRender[19187]
#define sipNameNr_isValid 19195
#define sipName_isValid &sipStrings_Qt3DRender[19195]
#define sipNameNr_layered 19203
#define sipName_layered &sipStrings_Qt3DRender[19203]
#define sipNameNr_outputs 19211
#define sipName_outputs &sipStrings_Qt3DRender[19211]
#define sipNameNr_pressed 15985
#define sipName_pressed &sipStrings_Qt3DRender[15985]
#define sipNameNr_profile 19219
#define sipName_profile &sipStrings_Qt3DRender[19219]
#define sipNameNr_runMode 19227
#define sipName_runMode &sipStrings_Qt3DRender[19227]
#define sipNameNr_runType 19235
#define sipName_runType &sipStrings_Qt3DRender[19235]
#define sipNameNr_samples 19243
#define sipName_samples &sipStrings_Qt3DRender[19243]
#define sipNameNr_setData 19251
#define sipName_setData &sipStrings_Qt3DRender[19251]
#define sipNameNr_setFace 19259
#define sipName_setFace &sipStrings_Qt3DRender[19259]
#define sipNameNr_setLeft 19267
#define sipName_setLeft &sipStrings_Qt3DRender[19267]
#define sipNameNr_setMode 19275
#define sipName_setMode &sipStrings_Qt3DRender[19275]
#define sipNameNr_setName 19283
#define sipName_setName &sipStrings_Qt3DRender[19283]
#define sipNameNr_setSize 19291
#define sipName_setSize &sipStrings_Qt3DRender[19291]
#define sipNameNr_surface 19299
#define sipName_surface &sipStrings_Qt3DRender[19299]
#define sipNameNr_texture 19307
#define sipName_texture &sipStrings_Qt3DRender[19307]
#define sipNameNr_timeout 19315
#define sipName_timeout &sipStrings_Qt3DRender[19315]
#define sipNameNr_trigger 19323
#define sipName_trigger &sipStrings_Qt3DRender[19323]
#define sipNameNr_viewAll 19331
#define sipName_viewAll &sipStrings_Qt3DRender[19331]
#define sipNameNr_Access 3833
#define sipName_Access &sipStrings_Qt3DRender[3833]
#define sipNameNr_Always 14654
#define sipName_Always &sipStrings_Qt3DRender[14654]
#define sipNameNr_Color0 8746
#define sipName_Color0 &sipStrings_Qt3DRender[8746]
#define sipNameNr_Color1 19339
#define sipName_Color1 &sipStrings_Qt3DRender[19339]
#define sipNameNr_Color2 19346
#define sipName_Color2 &sipStrings_Qt3DRender[19346]
#define sipNameNr_Color3 19353
#define sipName_Color3 &sipStrings_Qt3DRender[19353]
#define sipNameNr_Color4 19360
#define sipName_Color4 &sipStrings_Qt3DRender[19360]
#define sipNameNr_Color5 19367
#define sipName_Color5 &sipStrings_Qt3DRender[19367]
#define sipNameNr_Color6 19374
#define sipName_Color6 &sipStrings_Qt3DRender[19374]
#define sipNameNr_Color7 19381
#define sipName_Color7 &sipStrings_Qt3DRender[19381]
#define sipNameNr_Color8 19388
#define sipName_Color8 &sipStrings_Qt3DRender[19388]
#define sipNameNr_Color9 19395
#define sipName_Color9 &sipStrings_Qt3DRender[19395]
#define sipNameNr_Filter 2338
#define sipName_Filter &sipStrings_Qt3DRender[2338]
#define sipNameNr_Format 1016
#define sipName_Format &sipStrings_Qt3DRender[1016]
#define sipNameNr_Invert 19402
#define sipName_Invert &sipStrings_Qt3DRender[19402]
#define sipNameNr_Linear 10050
#define sipName_Linear &sipStrings_Qt3DRender[10050]
#define sipNameNr_Manual 19409
#define sipName_Manual &sipStrings_Qt3DRender[19409]
#define sipNameNr_OpenGL 19416
#define sipName_OpenGL &sipStrings_Qt3DRender[19416]
#define sipNameNr_Points 19423
#define sipName_Points &sipStrings_Qt3DRender[19423]
#define sipNameNr_QLayer 10667
#define sipName_QLayer &sipStrings_Qt3DRender[10667]
#define sipNameNr_R5G6B5 19430
#define sipName_R5G6B5 &sipStrings_Qt3DRender[19430]
#define sipNameNr_RGB16F 19437
#define sipName_RGB16F &sipStrings_Qt3DRender[19437]
#define sipNameNr_RGB16I 19444
#define sipName_RGB16I &sipStrings_Qt3DRender[19444]
#define sipNameNr_RGB16U 19451
#define sipName_RGB16U &sipStrings_Qt3DRender[19451]
#define sipNameNr_RGB32F 19458
#define sipName_RGB32F &sipStrings_Qt3DRender[19458]
#define sipNameNr_RGB32I 19465
#define sipName_RGB32I &sipStrings_Qt3DRender[19465]
#define sipNameNr_RGB32U 19472
#define sipName_RGB32U &sipStrings_Qt3DRender[19472]
#define sipNameNr_RGB5A1 19479
#define sipName_RGB5A1 &sipStrings_Qt3DRender[19479]
#define sipNameNr_RGB9E5 19486
#define sipName_RGB9E5 &sipStrings_Qt3DRender[19486]
#define sipNameNr_RGBA8I 19493
#define sipName_RGBA8I &sipStrings_Qt3DRender[19493]
#define sipNameNr_RGBA8U 19500
#define sipName_RGBA8U &sipStrings_Qt3DRender[19500]
#define sipNameNr_Render 10686
#define sipName_Render &sipStrings_Qt3DRender[10686]
#define sipNameNr_Repeat 13862
#define sipName_Repeat &sipStrings_Qt3DRender[13862]
#define sipNameNr_Status 2375
#define sipName_Status &sipStrings_Qt3DRender[2375]
#define sipNameNr_Target 2412
#define sipName_Target &sipStrings_Qt3DRender[2412]
#define sipNameNr_Vertex 14417
#define sipName_Vertex &sipStrings_Qt3DRender[14417]
#define sipNameNr_Vulkan 19507
#define sipName_Vulkan &sipStrings_Qt3DRender[19507]
#define sipNameNr___eq__ 19514
#define sipName___eq__ &sipStrings_Qt3DRender[19514]
#define sipNameNr___ne__ 19521
#define sipName___ne__ &sipStrings_Qt3DRender[19521]
#define sipNameNr_access 19528
#define sipName_access &sipStrings_Qt3DRender[19528]
#define sipNameNr_bottom 19535
#define sipName_bottom &sipStrings_Qt3DRender[19535]
#define sipNameNr_button 19542
#define sipName_button &sipStrings_Qt3DRender[19542]
#define sipNameNr_camera 19549
#define sipName_camera &sipStrings_Qt3DRender[19549]
#define sipNameNr_center 19556
#define sipName_center &sipStrings_Qt3DRender[19556]
#define sipNameNr_effect 19563
#define sipName_effect &sipStrings_Qt3DRender[19563]
#define sipNameNr_entity 19570
#define sipName_entity &sipStrings_Qt3DRender[19570]
#define sipNameNr_exited 19577
#define sipName_exited &sipStrings_Qt3DRender[19577]
#define sipNameNr_format 19584
#define sipName_format &sipStrings_Qt3DRender[19584]
#define sipNameNr_handle 19591
#define sipName_handle &sipStrings_Qt3DRender[19591]
#define sipNameNr_height 19598
#define sipName_height &sipStrings_Qt3DRender[19598]
#define sipNameNr_layers 19605
#define sipName_layers &sipStrings_Qt3DRender[19605]
#define sipNameNr_length 19612
#define sipName_length &sipStrings_Qt3DRender[19612]
#define sipNameNr_normal 19619
#define sipName_normal &sipStrings_Qt3DRender[19619]
#define sipNameNr_option 19626
#define sipName_option &sipStrings_Qt3DRender[19626]
#define sipNameNr_origin 19633
#define sipName_origin &sipStrings_Qt3DRender[19633]
#define sipNameNr_parent 19640
#define sipName_parent &sipStrings_Qt3DRender[19640]
#define sipNameNr_radius 19647
#define sipName_radius &sipStrings_Qt3DRender[19647]
#define sipNameNr_rotate 19654
#define sipName_rotate &sipStrings_Qt3DRender[19654]
#define sipNameNr_setApi 19661
#define sipName_setApi &sipStrings_Qt3DRender[19661]
#define sipNameNr_setTop 19668
#define sipName_setTop &sipStrings_Qt3DRender[19668]
#define sipNameNr_smooth 19675
#define sipName_smooth &sipStrings_Qt3DRender[19675]
#define sipNameNr_source 19682
#define sipName_source &sipStrings_Qt3DRender[19682]
#define sipNameNr_status 19689
#define sipName_status &sipStrings_Qt3DRender[19689]
#define sipNameNr_target 19696
#define sipName_target &sipStrings_Qt3DRender[19696]
#define sipNameNr_update 19703
#define sipName_update &sipStrings_Qt3DRender[19703]
#define sipNameNr_vendor 19710
#define sipName_vendor &sipStrings_Qt3DRender[19710]
#define sipNameNr_D24S8 19717
#define sipName_D24S8 &sipStrings_Qt3DRender[19717]
#define sipNameNr_Depth 18872
#define sipName_Depth &sipStrings_Qt3DRender[18872]
#define sipNameNr_Equal 9991
#define sipName_Equal &sipStrings_Qt3DRender[9991]
#define sipNameNr_Error 19723
#define sipName_Error &sipStrings_Qt3DRender[19723]
#define sipNameNr_Fixed 19729
#define sipName_Fixed &sipStrings_Qt3DRender[19729]
#define sipNameNr_Front 16466
#define sipName_Front &sipStrings_Qt3DRender[16466]
#define sipNameNr_Lines 19735
#define sipName_Lines &sipStrings_Qt3DRender[19735]
#define sipNameNr_Metal 19741
#define sipName_Metal &sipStrings_Qt3DRender[19741]
#define sipNameNr_Never 15688
#define sipName_Never &sipStrings_Qt3DRender[15688]
#define sipNameNr_None_ 19747
#define sipName_None_ &sipStrings_Qt3DRender[19747]
#define sipNameNr_QMesh 11407
#define sipName_QMesh &sipStrings_Qt3DRender[11407]
#define sipNameNr_RG16F 19753
#define sipName_RG16F &sipStrings_Qt3DRender[19753]
#define sipNameNr_RG16I 19759
#define sipName_RG16I &sipStrings_Qt3DRender[19759]
#define sipNameNr_RG16U 19765
#define sipName_RG16U &sipStrings_Qt3DRender[19765]
#define sipNameNr_RG32F 19771
#define sipName_RG32F &sipStrings_Qt3DRender[19771]
#define sipNameNr_RG32I 19777
#define sipName_RG32I &sipStrings_Qt3DRender[19777]
#define sipNameNr_RG32U 19783
#define sipName_RG32U &sipStrings_Qt3DRender[19783]
#define sipNameNr_RG3B2 19789
#define sipName_RG3B2 &sipStrings_Qt3DRender[19789]
#define sipNameNr_RGB8I 19795
#define sipName_RGB8I &sipStrings_Qt3DRender[19795]
#define sipNameNr_RGB8U 19801
#define sipName_RGB8U &sipStrings_Qt3DRender[19801]
#define sipNameNr_RGBA4 19807
#define sipName_RGBA4 &sipStrings_Qt3DRender[19807]
#define sipNameNr_Ready 18584
#define sipName_Ready &sipStrings_Qt3DRender[18584]
#define sipNameNr_Right 18917
#define sipName_Right &sipStrings_Qt3DRender[18917]
#define sipNameNr_SPIRV 19813
#define sipName_SPIRV &sipStrings_Qt3DRender[19813]
#define sipNameNr_SRGB8 19819
#define sipName_SRGB8 &sipStrings_Qt3DRender[19819]
#define sipNameNr_color 19825
#define sipName_color &sipStrings_Qt3DRender[19825]
#define sipNameNr_depth 19831
#define sipName_depth &sipStrings_Qt3DRender[19831]
#define sipNameNr_event 19837
#define sipName_event &sipStrings_Qt3DRender[19837]
#define sipNameNr_faces 19843
#define sipName_faces &sipStrings_Qt3DRender[19843]
#define sipNameNr_front 19849
#define sipName_front &sipStrings_Qt3DRender[19849]
#define sipNameNr_gamma 19855
#define sipName_gamma &sipStrings_Qt3DRender[19855]
#define sipNameNr_image 19861
#define sipName_image &sipStrings_Qt3DRender[19861]
#define sipNameNr_layer 19867
#define sipName_layer &sipStrings_Qt3DRender[19867]
#define sipNameNr_moved 19873
#define sipName_moved &sipStrings_Qt3DRender[19873]
#define sipNameNr_paint 19879
#define sipName_paint &sipStrings_Qt3DRender[19879]
#define sipNameNr_right 19885
#define sipName_right &sipStrings_Qt3DRender[19885]
#define sipNameNr_value 19891
#define sipName_value &sipStrings_Qt3DRender[19891]
#define sipNameNr_width 19897
#define sipName_width &sipStrings_Qt3DRender[19897]
#define sipNameNr_Back 15728
#define sipName_Back &sipStrings_Qt3DRender[15728]
#define sipNameNr_D32F 19903
#define sipName_D32F &sipStrings_Qt3DRender[19903]
#define sipNameNr_Fill 19908
#define sipName_Fill &sipStrings_Qt3DRender[19908]
#define sipNameNr_GLSL 19913
#define sipName_GLSL &sipStrings_Qt3DRender[19913]
#define sipNameNr_Keep 19918
#define sipName_Keep &sipStrings_Qt3DRender[19918]
#define sipNameNr_Left 19270
#define sipName_Left &sipStrings_Qt3DRender[19270]
#define sipNameNr_Less 16491
#define sipName_Less &sipStrings_Qt3DRender[16491]
#define sipNameNr_Null 19923
#define sipName_Null &sipStrings_Qt3DRender[19923]
#define sipNameNr_R16F 19928
#define sipName_R16F &sipStrings_Qt3DRender[19928]
#define sipNameNr_R16I 19933
#define sipName_R16I &sipStrings_Qt3DRender[19933]
#define sipNameNr_R16U 19938
#define sipName_R16U &sipStrings_Qt3DRender[19938]
#define sipNameNr_R32F 19943
#define sipName_R32F &sipStrings_Qt3DRender[19943]
#define sipNameNr_R32I 19948
#define sipName_R32I &sipStrings_Qt3DRender[19948]
#define sipNameNr_R32U 19953
#define sipName_R32U &sipStrings_Qt3DRender[19953]
#define sipNameNr_RG8I 19958
#define sipName_RG8I &sipStrings_Qt3DRender[19958]
#define sipNameNr_RG8U 19963
#define sipName_RG8U &sipStrings_Qt3DRender[19963]
#define sipNameNr_Type 929
#define sipName_Type &sipStrings_Qt3DRender[929]
#define sipNameNr_Zero 19968
#define sipName_Zero &sipStrings_Qt3DRender[19968]
#define sipNameNr_back 11444
#define sipName_back &sipStrings_Qt3DRender[11444]
#define sipNameNr_data 19973
#define sipName_data &sipStrings_Qt3DRender[19973]
#define sipNameNr_face 2672
#define sipName_face &sipStrings_Qt3DRender[2672]
#define sipNameNr_hits 19978
#define sipName_hits &sipStrings_Qt3DRender[19978]
#define sipNameNr_left 19983
#define sipName_left &sipStrings_Qt3DRender[19983]
#define sipNameNr_lens 19988
#define sipName_lens &sipStrings_Qt3DRender[19988]
#define sipNameNr_mode 19993
#define sipName_mode &sipStrings_Qt3DRender[19993]
#define sipNameNr_name 19998
#define sipName_name &sipStrings_Qt3DRender[19998]
#define sipNameNr_rect 20003
#define sipName_rect &sipStrings_Qt3DRender[20003]
#define sipNameNr_roll 20008
#define sipName_roll &sipStrings_Qt3DRender[20008]
#define sipNameNr_setX 20013
#define sipName_setX &sipStrings_Qt3DRender[20013]
#define sipNameNr_setY 20018
#define sipName_setY &sipStrings_Qt3DRender[20018]
#define sipNameNr_setZ 20023
#define sipName_setZ &sipStrings_Qt3DRender[20023]
#define sipNameNr_size 20028
#define sipName_size &sipStrings_Qt3DRender[20028]
#define sipNameNr_swap 20033
#define sipName_swap &sipStrings_Qt3DRender[20033]
#define sipNameNr_tilt 20038
#define sipName_tilt &sipStrings_Qt3DRender[20038]
#define sipNameNr_type 20043
#define sipName_type &sipStrings_Qt3DRender[20043]
#define sipNameNr_API 2563
#define sipName_API &sipStrings_Qt3DRender[2563]
#define sipNameNr_Add 20048
#define sipName_Add &sipStrings_Qt3DRender[20048]
#define sipNameNr_All 18784
#define sipName_All &sipStrings_Qt3DRender[18784]
#define sipNameNr_Api 2745
#define sipName_Api &sipStrings_Qt3DRender[2745]
#define sipNameNr_D16 20052
#define sipName_D16 &sipStrings_Qt3DRender[20052]
#define sipNameNr_D24 20056
#define sipName_D24 &sipStrings_Qt3DRender[20056]
#define sipNameNr_D32 20060
#define sipName_D32 &sipStrings_Qt3DRender[20060]
#define sipNameNr_Max 20064
#define sipName_Max &sipStrings_Qt3DRender[20064]
#define sipNameNr_Min 20068
#define sipName_Min &sipStrings_Qt3DRender[20068]
#define sipNameNr_One 20072
#define sipName_One &sipStrings_Qt3DRender[20072]
#define sipNameNr_R8I 20076
#define sipName_R8I &sipStrings_Qt3DRender[20076]
#define sipNameNr_R8U 20080
#define sipName_R8U &sipStrings_Qt3DRender[20080]
#define sipNameNr_RHI 20084
#define sipName_RHI &sipStrings_Qt3DRender[20084]
#define sipNameNr_api 20088
#define sipName_api &sipStrings_Qt3DRender[20088]
#define sipNameNr_log 20092
#define sipName_log &sipStrings_Qt3DRender[20092]
#define sipNameNr_pan 20096
#define sipName_pan &sipStrings_Qt3DRender[20096]
#define sipNameNr_top 20100
#define sipName_top &sipStrings_Qt3DRender[20100]
#define sipNameNr_uvw 20104
#define sipName_uvw &sipStrings_Qt3DRender[20104]
#define sipNameNr_id 19200
#define sipName_id &sipStrings_Qt3DRender[19200]
#define sipNameNr_x 10535
#define sipName_x &sipStrings_Qt3DRender[10535]
#define sipNameNr_y 1316
#define sipName_y &sipStrings_Qt3DRender[1316]
#define sipNameNr_z 20108
#define sipName_z &sipStrings_Qt3DRender[20108]

#define sipMalloc                   sipAPI_Qt3DRender->api_malloc
#define sipFree                     sipAPI_Qt3DRender->api_free
#define sipBuildResult              sipAPI_Qt3DRender->api_build_result
#define sipCallMethod               sipAPI_Qt3DRender->api_call_method
#define sipCallProcedureMethod      sipAPI_Qt3DRender->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_Qt3DRender->api_call_error_handler
#define sipParseResultEx            sipAPI_Qt3DRender->api_parse_result_ex
#define sipParseResult              sipAPI_Qt3DRender->api_parse_result
#define sipParseArgs                sipAPI_Qt3DRender->api_parse_args
#define sipParseKwdArgs             sipAPI_Qt3DRender->api_parse_kwd_args
#define sipParsePair                sipAPI_Qt3DRender->api_parse_pair
#define sipInstanceDestroyed        sipAPI_Qt3DRender->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_Qt3DRender->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_Qt3DRender->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_Qt3DRender->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_Qt3DRender->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_Qt3DRender->api_convert_to_void_ptr
#define sipAddException             sipAPI_Qt3DRender->api_add_exception
#define sipNoFunction               sipAPI_Qt3DRender->api_no_function
#define sipNoMethod                 sipAPI_Qt3DRender->api_no_method
#define sipAbstractMethod           sipAPI_Qt3DRender->api_abstract_method
#define sipBadClass                 sipAPI_Qt3DRender->api_bad_class
#define sipBadCatcherResult         sipAPI_Qt3DRender->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_Qt3DRender->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_Qt3DRender->api_bad_operator_arg
#define sipTrace                    sipAPI_Qt3DRender->api_trace
#define sipTransferBack             sipAPI_Qt3DRender->api_transfer_back
#define sipTransferTo               sipAPI_Qt3DRender->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_Qt3DRender->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_Qt3DRender->api_wrapper_type
#define sipWrapperType_Type         sipAPI_Qt3DRender->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_Qt3DRender->api_voidptr_type
#define sipGetPyObject              sipAPI_Qt3DRender->api_get_pyobject
#define sipGetAddress               sipAPI_Qt3DRender->api_get_address
#define sipGetMixinAddress          sipAPI_Qt3DRender->api_get_mixin_address
#define sipGetCppPtr                sipAPI_Qt3DRender->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Qt3DRender->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_Qt3DRender->api_call_hook
#define sipEndThread                sipAPI_Qt3DRender->api_end_thread
#define sipRaiseUnknownException    sipAPI_Qt3DRender->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_Qt3DRender->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_Qt3DRender->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_Qt3DRender->api_add_type_instance
#define sipPySlotExtend             sipAPI_Qt3DRender->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_Qt3DRender->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_Qt3DRender->api_can_convert_to_type
#define sipConvertToType            sipAPI_Qt3DRender->api_convert_to_type
#define sipForceConvertToType       sipAPI_Qt3DRender->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_Qt3DRender->api_convert_to_enum
#define sipConvertToBool            sipAPI_Qt3DRender->api_convert_to_bool
#define sipReleaseType              sipAPI_Qt3DRender->api_release_type
#define sipConvertFromType          sipAPI_Qt3DRender->api_convert_from_type
#define sipConvertFromNewType       sipAPI_Qt3DRender->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_Qt3DRender->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_Qt3DRender->api_convert_from_enum
#define sipGetState                 sipAPI_Qt3DRender->api_get_state
#define sipExportSymbol             sipAPI_Qt3DRender->api_export_symbol
#define sipImportSymbol             sipAPI_Qt3DRender->api_import_symbol
#define sipFindType                 sipAPI_Qt3DRender->api_find_type
#define sipBytes_AsChar             sipAPI_Qt3DRender->api_bytes_as_char
#define sipBytes_AsString           sipAPI_Qt3DRender->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_Qt3DRender->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_Qt3DRender->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_Qt3DRender->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_Qt3DRender->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_Qt3DRender->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_Qt3DRender->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_Qt3DRender->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Qt3DRender->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Qt3DRender->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Qt3DRender->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Qt3DRender->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_Qt3DRender->api_get_reference
#define sipKeepReference            sipAPI_Qt3DRender->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_Qt3DRender->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_Qt3DRender->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_Qt3DRender->api_type_from_py_type_object
#define sipTypeScope                sipAPI_Qt3DRender->api_type_scope
#define sipResolveTypedef           sipAPI_Qt3DRender->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_Qt3DRender->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_Qt3DRender->api_enable_autoconversion
#define sipInitMixin                sipAPI_Qt3DRender->api_init_mixin
#define sipExportModule             sipAPI_Qt3DRender->api_export_module
#define sipInitModule               sipAPI_Qt3DRender->api_init_module
#define sipGetInterpreter           sipAPI_Qt3DRender->api_get_interpreter
#define sipSetTypeUserData          sipAPI_Qt3DRender->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_Qt3DRender->api_get_type_user_data
#define sipPyTypeDict               sipAPI_Qt3DRender->api_py_type_dict
#define sipPyTypeName               sipAPI_Qt3DRender->api_py_type_name
#define sipGetCFunction             sipAPI_Qt3DRender->api_get_c_function
#define sipGetMethod                sipAPI_Qt3DRender->api_get_method
#define sipFromMethod               sipAPI_Qt3DRender->api_from_method
#define sipGetDate                  sipAPI_Qt3DRender->api_get_date
#define sipFromDate                 sipAPI_Qt3DRender->api_from_date
#define sipGetDateTime              sipAPI_Qt3DRender->api_get_datetime
#define sipFromDateTime             sipAPI_Qt3DRender->api_from_datetime
#define sipGetTime                  sipAPI_Qt3DRender->api_get_time
#define sipFromTime                 sipAPI_Qt3DRender->api_from_time
#define sipIsUserType               sipAPI_Qt3DRender->api_is_user_type
#define sipCheckPluginForType       sipAPI_Qt3DRender->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_Qt3DRender->api_unicode_new
#define sipUnicodeWrite             sipAPI_Qt3DRender->api_unicode_write
#define sipUnicodeData              sipAPI_Qt3DRender->api_unicode_data
#define sipGetBufferInfo            sipAPI_Qt3DRender->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_Qt3DRender->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_Qt3DRender->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_Qt3DRender->api_is_derived_class
#define sipGetUserObject            sipAPI_Qt3DRender->api_get_user_object
#define sipSetUserObject            sipAPI_Qt3DRender->api_set_user_object
#define sipRegisterEventHandler     sipAPI_Qt3DRender->api_register_event_handler
#define sipConvertToArray           sipAPI_Qt3DRender->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_Qt3DRender->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_Qt3DRender->api_enable_gc
#define sipPrintObject              sipAPI_Qt3DRender->api_print_object
#define sipLong_AsChar              sipAPI_Qt3DRender->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_Qt3DRender->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_Qt3DRender->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_Qt3DRender->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_Qt3DRender->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_Qt3DRender->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_Qt3DRender->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_Qt3DRender->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_Qt3DRender->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_Qt3DRender->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_Qt3DRender->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_Qt3DRender->api_long_as_size_t
#define sipVisitWrappers            sipAPI_Qt3DRender->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_Qt3DRender->api_register_exit_notifier
#define sipDeprecated               sipAPI_Qt3DRender->api_deprecated
#define sipPyTypeDictRef            sipAPI_Qt3DRender->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_Qt3DRender->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_Qt3DRender->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_Qt3DRender->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_Qt3DRender->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_Qt3DRender->api_release_type_us
#define sipIsPyMethod               sipAPI_Qt3DRender->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_Qt3DRender[];


#define sipType_Qt3DRender_API sipExportedTypes_Qt3DRender[17]

#define sipType_Qt3DRender_QAbstractLight sipExportedTypes_Qt3DRender[19]

#define sipType_Qt3DRender_QAbstractLight_Type sipExportedTypes_Qt3DRender[20]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QAbstractLight;

#define sipType_Qt3DRender_QAbstractRayCaster sipExportedTypes_Qt3DRender[21]

#define sipType_Qt3DRender_QAbstractRayCaster_FilterMode sipExportedTypes_Qt3DRender[22]

#define sipType_Qt3DRender_QAbstractRayCaster_RunMode sipExportedTypes_Qt3DRender[23]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QAbstractRayCaster;

#define sipType_Qt3DRender_QAbstractTexture sipExportedTypes_Qt3DRender[24]

#define sipType_Qt3DRender_QAbstractTexture_HandleType sipExportedTypes_Qt3DRender[29]

#define sipType_Qt3DRender_QAbstractTexture_ComparisonMode sipExportedTypes_Qt3DRender[26]

#define sipType_Qt3DRender_QAbstractTexture_ComparisonFunction sipExportedTypes_Qt3DRender[25]

#define sipType_Qt3DRender_QAbstractTexture_CubeMapFace sipExportedTypes_Qt3DRender[27]

#define sipType_Qt3DRender_QAbstractTexture_Filter sipExportedTypes_Qt3DRender[28]

#define sipType_Qt3DRender_QAbstractTexture_TextureFormat sipExportedTypes_Qt3DRender[32]

#define sipType_Qt3DRender_QAbstractTexture_Target sipExportedTypes_Qt3DRender[31]

#define sipType_Qt3DRender_QAbstractTexture_Status sipExportedTypes_Qt3DRender[30]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QAbstractTexture;

#define sipType_Qt3DRender_QAbstractTextureImage sipExportedTypes_Qt3DRender[33]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QAbstractTextureImage;

#define sipType_Qt3DRender_QRenderState sipExportedTypes_Qt3DRender[127]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderState;

#define sipType_Qt3DRender_QAlphaCoverage sipExportedTypes_Qt3DRender[34]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QAlphaCoverage;

#define sipType_Qt3DRender_QAlphaTest sipExportedTypes_Qt3DRender[35]

#define sipType_Qt3DRender_QAlphaTest_AlphaFunction sipExportedTypes_Qt3DRender[36]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QAlphaTest;

#define sipType_Qt3DRender_QBlendEquation sipExportedTypes_Qt3DRender[37]

#define sipType_Qt3DRender_QBlendEquation_BlendFunction sipExportedTypes_Qt3DRender[38]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QBlendEquation;

#define sipType_Qt3DRender_QBlendEquationArguments sipExportedTypes_Qt3DRender[39]

#define sipType_Qt3DRender_QBlendEquationArguments_Blending sipExportedTypes_Qt3DRender[40]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QBlendEquationArguments;

#define sipType_Qt3DRender_QFrameGraphNode sipExportedTypes_Qt3DRender[65]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QFrameGraphNode;

#define sipType_Qt3DRender_QBlitFramebuffer sipExportedTypes_Qt3DRender[41]

#define sipType_Qt3DRender_QBlitFramebuffer_InterpolationMethod sipExportedTypes_Qt3DRender[42]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QBlitFramebuffer;

#define sipType_Qt3DRender_QCamera sipExportedTypes_Qt3DRender[43]

#define sipType_Qt3DRender_QCamera_CameraTranslationOption sipExportedTypes_Qt3DRender[44]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QCamera;

#define sipType_Qt3DRender_QCameraLens sipExportedTypes_Qt3DRender[45]

#define sipType_Qt3DRender_QCameraLens_ProjectionType sipExportedTypes_Qt3DRender[46]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QCameraLens;

#define sipType_Qt3DRender_QCameraSelector sipExportedTypes_Qt3DRender[47]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QCameraSelector;

#define sipType_Qt3DRender_QClearBuffers sipExportedTypes_Qt3DRender[48]

#define sipType_Qt3DRender_QClearBuffers_BufferType sipExportedTypes_Qt3DRender[49]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QClearBuffers;

#define sipType_Qt3DRender_QClipPlane sipExportedTypes_Qt3DRender[50]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QClipPlane;

#define sipType_Qt3DRender_QComputeCommand sipExportedTypes_Qt3DRender[52]

#define sipType_Qt3DRender_QComputeCommand_RunType sipExportedTypes_Qt3DRender[53]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QComputeCommand;

#define sipType_Qt3DRender_QColorMask sipExportedTypes_Qt3DRender[51]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QColorMask;

#define sipType_Qt3DRender_QCullFace sipExportedTypes_Qt3DRender[54]

#define sipType_Qt3DRender_QCullFace_CullingMode sipExportedTypes_Qt3DRender[55]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QCullFace;

#define sipType_Qt3DRender_QDepthRange sipExportedTypes_Qt3DRender[56]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QDepthRange;

#define sipType_Qt3DRender_QDepthTest sipExportedTypes_Qt3DRender[57]

#define sipType_Qt3DRender_QDepthTest_DepthFunction sipExportedTypes_Qt3DRender[58]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QDepthTest;

#define sipType_Qt3DRender_QDirectionalLight sipExportedTypes_Qt3DRender[59]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QDirectionalLight;

#define sipType_Qt3DRender_QDispatchCompute sipExportedTypes_Qt3DRender[60]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QDispatchCompute;

#define sipType_Qt3DRender_QDithering sipExportedTypes_Qt3DRender[61]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QDithering;

#define sipType_Qt3DRender_QEffect sipExportedTypes_Qt3DRender[62]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QEffect;

#define sipType_Qt3DRender_QEnvironmentLight sipExportedTypes_Qt3DRender[63]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QEnvironmentLight;

#define sipType_Qt3DRender_QFilterKey sipExportedTypes_Qt3DRender[64]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QFilterKey;

#define sipType_Qt3DRender_QFrontFace sipExportedTypes_Qt3DRender[66]

#define sipType_Qt3DRender_QFrontFace_WindingDirection sipExportedTypes_Qt3DRender[67]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QFrontFace;

#define sipType_Qt3DRender_QFrustumCulling sipExportedTypes_Qt3DRender[68]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QFrustumCulling;

#define sipType_Qt3DRender_QGeometryRenderer sipExportedTypes_Qt3DRender[69]

#define sipType_Qt3DRender_QGeometryRenderer_PrimitiveType sipExportedTypes_Qt3DRender[70]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QGeometryRenderer;

#define sipType_Qt3DRender_QGraphicsApiFilter sipExportedTypes_Qt3DRender[71]

#define sipType_Qt3DRender_QGraphicsApiFilter_OpenGLProfile sipExportedTypes_Qt3DRender[73]

#define sipType_Qt3DRender_QGraphicsApiFilter_Api sipExportedTypes_Qt3DRender[72]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QGraphicsApiFilter;

#define sipType_Qt3DRender_QLayer sipExportedTypes_Qt3DRender[74]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QLayer;

#define sipType_Qt3DRender_QLayerFilter sipExportedTypes_Qt3DRender[75]

#define sipType_Qt3DRender_QLayerFilter_FilterMode sipExportedTypes_Qt3DRender[76]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QLayerFilter;

#define sipType_Qt3DRender_QLevelOfDetail sipExportedTypes_Qt3DRender[77]

#define sipType_Qt3DRender_QLevelOfDetail_ThresholdType sipExportedTypes_Qt3DRender[78]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QLevelOfDetail;

#define sipType_Qt3DRender_QLevelOfDetailBoundingSphere sipExportedTypes_Qt3DRender[79]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QLevelOfDetailBoundingSphere;

#define sipType_Qt3DRender_QLevelOfDetailSwitch sipExportedTypes_Qt3DRender[80]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QLevelOfDetailSwitch;

#define sipType_Qt3DRender_QLineWidth sipExportedTypes_Qt3DRender[81]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QLineWidth;

#define sipType_Qt3DRender_QMaterial sipExportedTypes_Qt3DRender[82]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QMaterial;

#define sipType_Qt3DRender_QMemoryBarrier sipExportedTypes_Qt3DRender[83]

#define sipType_Qt3DRender_QMemoryBarrier_Operation sipExportedTypes_Qt3DRender[84]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QMemoryBarrier;

#define sipType_Qt3DRender_QMesh sipExportedTypes_Qt3DRender[85]

#define sipType_Qt3DRender_QMesh_Status sipExportedTypes_Qt3DRender[86]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QMesh;

#define sipType_Qt3DRender_QMultiSampleAntiAliasing sipExportedTypes_Qt3DRender[87]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QMultiSampleAntiAliasing;

#define sipType_Qt3DRender_QNoDepthMask sipExportedTypes_Qt3DRender[88]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QNoDepthMask;

#define sipType_Qt3DRender_QNoDraw sipExportedTypes_Qt3DRender[89]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QNoDraw;

#define sipType_Qt3DRender_QNoPicking sipExportedTypes_Qt3DRender[90]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QNoPicking;

#define sipType_Qt3DRender_QObjectPicker sipExportedTypes_Qt3DRender[91]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QObjectPicker;

#define sipType_Qt3DRender_QPaintedTextureImage sipExportedTypes_Qt3DRender[92]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPaintedTextureImage;

#define sipType_Qt3DRender_QParameter sipExportedTypes_Qt3DRender[93]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QParameter;

#define sipType_Qt3DRender_QPickEvent sipExportedTypes_Qt3DRender[94]

#define sipType_Qt3DRender_QPickEvent_Modifiers sipExportedTypes_Qt3DRender[96]

#define sipType_Qt3DRender_QPickEvent_Buttons sipExportedTypes_Qt3DRender[95]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPickEvent;

#define sipType_Qt3DRender_QPickingProxy sipExportedTypes_Qt3DRender[100]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPickingProxy;

#define sipType_Qt3DRender_QPickingSettings sipExportedTypes_Qt3DRender[101]

#define sipType_Qt3DRender_QPickingSettings_FaceOrientationPickingMode sipExportedTypes_Qt3DRender[102]

#define sipType_Qt3DRender_QPickingSettings_PickResultMode sipExportedTypes_Qt3DRender[104]

#define sipType_Qt3DRender_QPickingSettings_PickMethod sipExportedTypes_Qt3DRender[103]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPickingSettings;

#define sipType_Qt3DRender_QPickLineEvent sipExportedTypes_Qt3DRender[97]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPickLineEvent;

#define sipType_Qt3DRender_QPickPointEvent sipExportedTypes_Qt3DRender[98]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPickPointEvent;

#define sipType_Qt3DRender_QPickTriangleEvent sipExportedTypes_Qt3DRender[99]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPickTriangleEvent;

#define sipType_Qt3DRender_QPointLight sipExportedTypes_Qt3DRender[105]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPointLight;

#define sipType_Qt3DRender_QPointSize sipExportedTypes_Qt3DRender[106]

#define sipType_Qt3DRender_QPointSize_SizeMode sipExportedTypes_Qt3DRender[107]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPointSize;

#define sipType_Qt3DRender_QPolygonOffset sipExportedTypes_Qt3DRender[108]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QPolygonOffset;

#define sipType_Qt3DRender_QProximityFilter sipExportedTypes_Qt3DRender[109]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QProximityFilter;

#define sipType_Qt3DRender_QRasterMode sipExportedTypes_Qt3DRender[110]

#define sipType_Qt3DRender_QRasterMode_FaceMode sipExportedTypes_Qt3DRender[111]

#define sipType_Qt3DRender_QRasterMode_RasterMode sipExportedTypes_Qt3DRender[112]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRasterMode;

#define sipType_Qt3DRender_QRayCaster sipExportedTypes_Qt3DRender[113]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRayCaster;

#define sipType_Qt3DRender_QRayCasterHit sipExportedTypes_Qt3DRender[114]

#define sipType_Qt3DRender_QRayCasterHit_HitType sipExportedTypes_Qt3DRender[115]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRayCasterHit;

#define sipType_Qt3DRender_Render sipExportedTypes_Qt3DRender[191]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_Render;

#define sipType_Qt3DRender_QRenderAspect sipExportedTypes_Qt3DRender[116]

#define sipType_Qt3DRender_QRenderAspect_SubmissionType sipExportedTypes_Qt3DRender[117]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderAspect;

#define sipType_Qt3DRender_QRenderCapabilities sipExportedTypes_Qt3DRender[118]

#define sipType_Qt3DRender_QRenderCapabilities_Profile sipExportedTypes_Qt3DRender[120]

#define sipType_Qt3DRender_QRenderCapabilities_API sipExportedTypes_Qt3DRender[119]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderCapabilities;

#define sipType_Qt3DRender_QRenderCaptureReply sipExportedTypes_Qt3DRender[122]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderCaptureReply;

#define sipType_Qt3DRender_QRenderCapture sipExportedTypes_Qt3DRender[121]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderCapture;

#define sipType_Qt3DRender_QRenderPass sipExportedTypes_Qt3DRender[123]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderPass;

#define sipType_Qt3DRender_QRenderPassFilter sipExportedTypes_Qt3DRender[124]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderPassFilter;

#define sipType_Qt3DRender_QRenderSettings sipExportedTypes_Qt3DRender[125]

#define sipType_Qt3DRender_QRenderSettings_RenderPolicy sipExportedTypes_Qt3DRender[126]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderSettings;

#define sipType_Qt3DRender_QRenderStateSet sipExportedTypes_Qt3DRender[128]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderStateSet;

#define sipType_Qt3DRender_QRenderSurfaceSelector sipExportedTypes_Qt3DRender[129]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderSurfaceSelector;

#define sipType_Qt3DRender_QRenderTarget sipExportedTypes_Qt3DRender[130]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderTarget;

#define sipType_Qt3DRender_QRenderTargetOutput sipExportedTypes_Qt3DRender[131]

#define sipType_Qt3DRender_QRenderTargetOutput_AttachmentPoint sipExportedTypes_Qt3DRender[132]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderTargetOutput;

#define sipType_Qt3DRender_QRenderTargetSelector sipExportedTypes_Qt3DRender[133]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QRenderTargetSelector;

#define sipType_Qt3DRender_QSceneLoader sipExportedTypes_Qt3DRender[134]

#define sipType_Qt3DRender_QSceneLoader_ComponentType sipExportedTypes_Qt3DRender[135]

#define sipType_Qt3DRender_QSceneLoader_Status sipExportedTypes_Qt3DRender[136]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QSceneLoader;

#define sipType_Qt3DRender_QScissorTest sipExportedTypes_Qt3DRender[137]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QScissorTest;

#define sipType_Qt3DRender_QScreenRayCaster sipExportedTypes_Qt3DRender[138]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QScreenRayCaster;

#define sipType_Qt3DRender_QSeamlessCubemap sipExportedTypes_Qt3DRender[139]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QSeamlessCubemap;

#define sipType_Qt3DRender_QSetFence sipExportedTypes_Qt3DRender[140]

#define sipType_Qt3DRender_QSetFence_HandleType sipExportedTypes_Qt3DRender[141]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QSetFence;

#define sipType_Qt3DRender_PropertyReaderInterface sipExportedTypes_Qt3DRender[18]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_PropertyReaderInterface;

#define sipType_Qt3DRender_QShaderData sipExportedTypes_Qt3DRender[142]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QShaderData;

#define sipType_Qt3DRender_QShaderImage sipExportedTypes_Qt3DRender[143]

#define sipType_Qt3DRender_QShaderImage_ImageFormat sipExportedTypes_Qt3DRender[145]

#define sipType_Qt3DRender_QShaderImage_Access sipExportedTypes_Qt3DRender[144]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QShaderImage;

#define sipType_Qt3DRender_QShaderProgram sipExportedTypes_Qt3DRender[146]

#define sipType_Qt3DRender_QShaderProgram_Format sipExportedTypes_Qt3DRender[147]

#define sipType_Qt3DRender_QShaderProgram_Status sipExportedTypes_Qt3DRender[149]

#define sipType_Qt3DRender_QShaderProgram_ShaderType sipExportedTypes_Qt3DRender[148]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QShaderProgram;

#define sipType_Qt3DRender_QShaderProgramBuilder sipExportedTypes_Qt3DRender[150]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QShaderProgramBuilder;

#define sipType_Qt3DRender_QSortPolicy sipExportedTypes_Qt3DRender[152]

#define sipType_Qt3DRender_QSortPolicy_SortType sipExportedTypes_Qt3DRender[153]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QSortPolicy;

#define sipType_Qt3DRender_QSpotLight sipExportedTypes_Qt3DRender[154]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QSpotLight;

#define sipType_Qt3DRender_QStencilMask sipExportedTypes_Qt3DRender[155]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QStencilMask;

#define sipType_Qt3DRender_QStencilOperation sipExportedTypes_Qt3DRender[156]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QStencilOperation;

#define sipType_Qt3DRender_QStencilOperationArguments sipExportedTypes_Qt3DRender[157]

#define sipType_Qt3DRender_QStencilOperationArguments_Operation sipExportedTypes_Qt3DRender[159]

#define sipType_Qt3DRender_QStencilOperationArguments_FaceMode sipExportedTypes_Qt3DRender[158]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QStencilOperationArguments;

#define sipType_Qt3DRender_QStencilTest sipExportedTypes_Qt3DRender[160]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QStencilTest;

#define sipType_Qt3DRender_QStencilTestArguments sipExportedTypes_Qt3DRender[161]

#define sipType_Qt3DRender_QStencilTestArguments_StencilFunction sipExportedTypes_Qt3DRender[163]

#define sipType_Qt3DRender_QStencilTestArguments_StencilFaceMode sipExportedTypes_Qt3DRender[162]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QStencilTestArguments;

#define sipType_Qt3DRender_QSubtreeEnabler sipExportedTypes_Qt3DRender[164]

#define sipType_Qt3DRender_QSubtreeEnabler_Enablement sipExportedTypes_Qt3DRender[165]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QSubtreeEnabler;

#define sipType_Qt3DRender_QTechnique sipExportedTypes_Qt3DRender[166]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTechnique;

#define sipType_Qt3DRender_QTechniqueFilter sipExportedTypes_Qt3DRender[167]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTechniqueFilter;

#define sipType_Qt3DRender_QTexture1D sipExportedTypes_Qt3DRender[168]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTexture1D;

#define sipType_Qt3DRender_QTexture1DArray sipExportedTypes_Qt3DRender[169]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTexture1DArray;

#define sipType_Qt3DRender_QTexture2D sipExportedTypes_Qt3DRender[170]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTexture2D;

#define sipType_Qt3DRender_QTexture2DArray sipExportedTypes_Qt3DRender[171]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTexture2DArray;

#define sipType_Qt3DRender_QTexture3D sipExportedTypes_Qt3DRender[174]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTexture3D;

#define sipType_Qt3DRender_QTextureCubeMap sipExportedTypes_Qt3DRender[176]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureCubeMap;

#define sipType_Qt3DRender_QTextureCubeMapArray sipExportedTypes_Qt3DRender[177]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureCubeMapArray;

#define sipType_Qt3DRender_QTexture2DMultisample sipExportedTypes_Qt3DRender[172]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTexture2DMultisample;

#define sipType_Qt3DRender_QTexture2DMultisampleArray sipExportedTypes_Qt3DRender[173]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTexture2DMultisampleArray;

#define sipType_Qt3DRender_QTextureRectangle sipExportedTypes_Qt3DRender[185]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureRectangle;

#define sipType_Qt3DRender_QTextureBuffer sipExportedTypes_Qt3DRender[175]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureBuffer;

#define sipType_Qt3DRender_QTextureLoader sipExportedTypes_Qt3DRender[184]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureLoader;

#define sipType_Qt3DRender_QSharedGLTexture sipExportedTypes_Qt3DRender[151]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QSharedGLTexture;

#define sipType_Qt3DRender_QTextureData sipExportedTypes_Qt3DRender[178]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureData;

#define sipType_Qt3DRender_QTextureDataUpdate sipExportedTypes_Qt3DRender[179]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureDataUpdate;

#define sipType_Qt3DRender_QTextureImage sipExportedTypes_Qt3DRender[180]

#define sipType_Qt3DRender_QTextureImage_Status sipExportedTypes_Qt3DRender[181]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureImage;

#define sipType_Qt3DRender_QTextureImageData sipExportedTypes_Qt3DRender[182]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureImageData;

#define sipType_Qt3DRender_QTextureImageDataGenerator sipExportedTypes_Qt3DRender[183]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureImageDataGenerator;

#define sipType_Qt3DRender_QTextureWrapMode sipExportedTypes_Qt3DRender[186]

#define sipType_Qt3DRender_QTextureWrapMode_WrapMode sipExportedTypes_Qt3DRender[187]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QTextureWrapMode;

#define sipType_Qt3DRender_QViewport sipExportedTypes_Qt3DRender[188]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QViewport;

#define sipType_Qt3DRender_QWaitFence sipExportedTypes_Qt3DRender[189]

#define sipType_Qt3DRender_QWaitFence_HandleType sipExportedTypes_Qt3DRender[190]

extern sipClassTypeDef sipTypeDef_Qt3DRender_Qt3DRender_QWaitFence;

#define sipType_QList_0101Qt3DRender_QRenderPass sipExportedTypes_Qt3DRender[7]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QRenderPass;

#define sipType_QList_0101Qt3DRender_QRenderTargetOutput sipExportedTypes_Qt3DRender[9]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QRenderTargetOutput;

#define sipType_QList_0101Qt3DRender_QRenderState sipExportedTypes_Qt3DRender[8]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QRenderState;

#define sipType_QList_0101Qt3DRender_QFilterKey sipExportedTypes_Qt3DRender[3]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QFilterKey;

#define sipType_QList_0101Qt3DRender_QTechnique sipExportedTypes_Qt3DRender[12]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QTechnique;

#define sipType_QList_0101Qt3DRender_QParameter sipExportedTypes_Qt3DRender[5]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QParameter;

#define sipType_QList_0101Qt3DRender_QAbstractTextureImage sipExportedTypes_Qt3DRender[2]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QAbstractTextureImage;

#define sipType_QList_0101Qt3DRender_QLayer sipExportedTypes_Qt3DRender[4]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0101Qt3DRender_QLayer;

#define sipType_QSharedPointer_0100Qt3DRender_QTextureImageData sipExportedTypes_Qt3DRender[15]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QSharedPointer_0100Qt3DRender_QTextureImageData;

#define sipType_QSharedPointer_0100Qt3DRender_QTextureImageDataGenerator sipExportedTypes_Qt3DRender[16]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QSharedPointer_0100Qt3DRender_QTextureImageDataGenerator;

#define sipType_QFlags_0100Qt3DRender_QMemoryBarrier_Operation sipExportedTypes_Qt3DRender[1]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QFlags_0100Qt3DRender_QMemoryBarrier_Operation;

#define sipType_QFlags_0100Qt3DRender_QClearBuffers_BufferType sipExportedTypes_Qt3DRender[0]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QFlags_0100Qt3DRender_QClearBuffers_BufferType;

#define sipType_QList_0100Qt3DRender_QRayCasterHit sipExportedTypes_Qt3DRender[6]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0100Qt3DRender_QRayCasterHit;

#define sipType_QSharedPointer_0100Qt3DRender_PropertyReaderInterface sipExportedTypes_Qt3DRender[14]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QSharedPointer_0100Qt3DRender_PropertyReaderInterface;

#define sipType_QList_0100Qt3DRender_QSortPolicy_SortType sipExportedTypes_Qt3DRender[11]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0100Qt3DRender_QSortPolicy_SortType;

#define sipType_QList_0100Qt3DRender_QRenderTargetOutput_AttachmentPoint sipExportedTypes_Qt3DRender[10]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0100Qt3DRender_QRenderTargetOutput_AttachmentPoint;

#define sipType_QList_0100Qt3DRender_QTextureImageDataPtr sipExportedTypes_Qt3DRender[13]

extern sipMappedTypeDef sipTypeDef_Qt3DRender_QList_0100Qt3DRender_QTextureImageDataPtr;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Qt3DRender;
extern sipExportedModuleDef sipModuleAPI_Qt3DRender;
extern sipTypeDef *sipExportedTypes_Qt3DRender[];

#define sipType_QObject sipImportedTypes_Qt3DRender_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_Qt3DRender_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_Qt3DRender_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_Qt3DRender_QtCore[14].it_td

#define sipType_QChildEvent sipImportedTypes_Qt3DRender_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_Qt3DRender_QtCore[5].it_td

#define sipType_QPoint sipImportedTypes_Qt3DRender_QtCore[7].it_td

#define sipType_QPointF sipImportedTypes_Qt3DRender_QtCore[8].it_td

#define sipType_QRect sipImportedTypes_Qt3DRender_QtCore[9].it_td

#define sipType_QRectF sipImportedTypes_Qt3DRender_QtCore[10].it_td

#define sipType_QSize sipImportedTypes_Qt3DRender_QtCore[11].it_td

#define sipType_QUrl sipImportedTypes_Qt3DRender_QtCore[15].it_td

#define sipType_QVariant sipImportedTypes_Qt3DRender_QtCore[16].it_td

#define sipType_QStringList sipImportedTypes_Qt3DRender_QtCore[13].it_td

#define sipType_QList_2400 sipImportedTypes_Qt3DRender_QtCore[4].it_td

#define sipType_QList_1800 sipImportedTypes_Qt3DRender_QtCore[3].it_td

#define sipType_QString sipImportedTypes_Qt3DRender_QtCore[12].it_td

#define sipType_qintptr sipImportedTypes_Qt3DRender_QtCore[17].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DRender_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_Qt3DRender_QtCore[];

#define sipType_QColor sipImportedTypes_Qt3DRender_QtGui[0].it_td

#define sipType_QImage sipImportedTypes_Qt3DRender_QtGui[1].it_td

#define sipType_QMatrix4x4 sipImportedTypes_Qt3DRender_QtGui[2].it_td

#define sipType_QPainter sipImportedTypes_Qt3DRender_QtGui[3].it_td

#define sipType_QQuaternion sipImportedTypes_Qt3DRender_QtGui[4].it_td

#define sipType_QVector3D sipImportedTypes_Qt3DRender_QtGui[5].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DRender_QtGui[];

#define sipType_Qt3DCore_QAbstractAspect sipImportedTypes_Qt3DRender_Qt3DCore[0].it_td

#define sipType_Qt3DCore_QAbstractFunctor sipImportedTypes_Qt3DRender_Qt3DCore[1].it_td

#define sipType_Qt3DCore_QNode sipImportedTypes_Qt3DRender_Qt3DCore[6].it_td

#define sipType_Qt3DCore_QComponent sipImportedTypes_Qt3DRender_Qt3DCore[3].it_td

#define sipType_Qt3DCore_QBoundingVolume sipImportedTypes_Qt3DRender_Qt3DCore[2].it_td

#define sipType_Qt3DCore_QEntity sipImportedTypes_Qt3DRender_Qt3DCore[4].it_td

#define sipType_Qt3DCore_QGeometry sipImportedTypes_Qt3DRender_Qt3DCore[5].it_td

#define sipType_Qt3DCore_QNodeId sipImportedTypes_Qt3DRender_Qt3DCore[7].it_td

#define sipType_Qt3DCore_QTransform sipImportedTypes_Qt3DRender_Qt3DCore[8].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DRender_Qt3DCore[];

#define sipType_QOpenGLTexture_PixelType sipImportedTypes_Qt3DRender_QtOpenGL[1].it_td

#define sipType_QOpenGLTexture_PixelFormat sipImportedTypes_Qt3DRender_QtOpenGL[0].it_td

#define sipType_QOpenGLTexture_TextureFormat sipImportedTypes_Qt3DRender_QtOpenGL[3].it_td

#define sipType_QOpenGLTexture_Target sipImportedTypes_Qt3DRender_QtOpenGL[2].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DRender_QtOpenGL[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_Qt3DRender_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_Qt3DRender_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_Qt3DRender_qt_metacast;
#line 95 "/home/abuild/rpmbuild/BUILD/PyQt6_3D-6.8.0/sip/Qt3DCore/qsharedpointer.sip"

#include <qsharedpointer.h>


// The dtor for the saved QSharedPointer.
template<class T>
void qt3d_QspDtor(PyObject *capsule)
{
    delete reinterpret_cast<QSharedPointer<T> *>(
            PyCapsule_GetPointer(capsule, 0));
}


template<class T>
bool qt3d_SaveQsp(PyObject *py, QSharedPointer<T> *qsp)
{
    // Wrap the copy in a Python object.
    PyObject *qsp_obj = PyCapsule_New(qsp, 0, qt3d_QspDtor<T>);

    if (!qsp_obj)
        return false;

    sipSetUserObject((sipSimpleWrapper *)py, qsp_obj);

    return true;
}

#line 3745 "/home/abuild/rpmbuild/BUILD/PyQt6_3D-6.8.0/build/Qt3DRender/sipAPIQt3DRender.h"

#endif
